<?php

namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
class Version020200 extends AbstractMigration
{
    public function up(Schema $schema)
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != "mysql", "Migration can only be executed safely on 'mysql'.");

        $this->addSql("DROP TABLE access_stat");
        $this->addSql("CREATE TABLE access_stat_year_month (date DATE NOT NULL, traffic BIGINT UNSIGNED NOT NULL COMMENT 'Accrued traffic in bytes for the month', access_count INT UNSIGNED NOT NULL COMMENT 'Number of accesses for the month', distinct_ips INT UNSIGNED NOT NULL COMMENT 'Number of different IPs for the month', distinct_devices INT UNSIGNED NOT NULL COMMENT 'Number of different devices for the month', PRIMARY KEY(date)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB");
        $this->addSql("CREATE TABLE App (id INT UNSIGNED AUTO_INCREMENT NOT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, icon VARCHAR(255) DEFAULT NULL, type VARCHAR(255) NOT NULL, appStore TINYINT(1) DEFAULT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB");
        $this->addSql("CREATE TABLE app_device (app_id INT UNSIGNED NOT NULL, device_id INT UNSIGNED NOT NULL, INDEX IDX_EC2CDB0E7987212D (app_id), INDEX IDX_EC2CDB0E94A4C7D4 (device_id), PRIMARY KEY(app_id, device_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB");
        $this->addSql("CREATE TABLE syncml_cspstatus (id BIGINT UNSIGNED AUTO_INCREMENT NOT NULL, device_id INT UNSIGNED NOT NULL, locuriprefix VARCHAR(255) DEFAULT NULL, installed TINYINT(1) NOT NULL, pendingoperation VARCHAR(64) DEFAULT NULL, INDEX IDX_5BF3661E94A4C7D4 (device_id), UNIQUE INDEX UNIQ_5BF3661E94A4C7D4C76D0407 (device_id, locuriprefix), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB");
        $this->addSql("CREATE TABLE syncml_commands (id BIGINT UNSIGNED AUTO_INCREMENT NOT NULL, admin_id INT UNSIGNED DEFAULT NULL, device_id INT UNSIGNED NOT NULL, cspstatus_id BIGINT UNSIGNED DEFAULT NULL, createtime INT UNSIGNED NOT NULL COMMENT 'The creation time of the command', command MEDIUMTEXT DEFAULT NULL COMMENT 'The SyncML command', comandtype VARCHAR(64) NOT NULL COMMENT 'The type of the SyncML command', defaultcomandtype VARCHAR(64) DEFAULT NULL COMMENT 'The default command type of command groups', status VARCHAR(64) DEFAULT 'New' NOT NULL COMMENT 'The current status of the command', sentcount INT UNSIGNED NOT NULL COMMENT 'The number of times the command has been sent', responsetime INT UNSIGNED DEFAULT NULL COMMENT 'The time of the response', statuscode VARCHAR(10) DEFAULT NULL COMMENT 'The status code returned by the client', statuscodes VARCHAR(1000) DEFAULT NULL COMMENT 'The status codes for commands in a command group returned by the client(DC2Type:json_array_string)', INDEX IDX_2D7EEA02642B8210 (admin_id), INDEX IDX_2D7EEA0294A4C7D4 (device_id), INDEX IDX_2D7EEA02386EDDEE (cspstatus_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB");
        $this->addSql("CREATE TABLE mswlanconfigs (id BIGINT UNSIGNED AUTO_INCREMENT NOT NULL, configgroup_id INT UNSIGNED NOT NULL, ssid VARCHAR(32) NOT NULL, profile TEXT DEFAULT NULL, INDEX IDX_58C18C0BFF00FACA (configgroup_id), UNIQUE INDEX UNIQ_58C18C0BF09973C8FF00FACA (ssid, configgroup_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB");
        $this->addSql("ALTER TABLE app_device ADD CONSTRAINT FK_EC2CDB0E7987212D FOREIGN KEY (app_id) REFERENCES App (id) ON DELETE CASCADE");
        $this->addSql("ALTER TABLE app_device ADD CONSTRAINT FK_EC2CDB0E94A4C7D4 FOREIGN KEY (device_id) REFERENCES devices (id) ON DELETE CASCADE");
        $this->addSql("ALTER TABLE syncml_cspstatus ADD CONSTRAINT FK_5BF3661E94A4C7D4 FOREIGN KEY (device_id) REFERENCES devices (id) ON DELETE CASCADE");
        $this->addSql("ALTER TABLE syncml_commands ADD CONSTRAINT FK_2D7EEA02642B8210 FOREIGN KEY (admin_id) REFERENCES admins (id) ON DELETE SET NULL");
        $this->addSql("ALTER TABLE syncml_commands ADD CONSTRAINT FK_2D7EEA0294A4C7D4 FOREIGN KEY (device_id) REFERENCES devices (id) ON DELETE CASCADE");
        $this->addSql("ALTER TABLE syncml_commands ADD CONSTRAINT FK_2D7EEA02386EDDEE FOREIGN KEY (cspstatus_id) REFERENCES syncml_cspstatus (id)");
        $this->addSql("ALTER TABLE mswlanconfigs ADD CONSTRAINT FK_58C18C0BFF00FACA FOREIGN KEY (configgroup_id) REFERENCES configgroups (id)");
        $this->addSql("DROP TABLE IF EXISTS profiles");
        $this->addSql("ALTER TABLE clientcerts ADD issuer VARCHAR(30) DEFAULT NULL, CHANGE challenge challenge VARCHAR(65) DEFAULT NULL");
        $this->addSql("UPDATE clientcerts SET challenge = SHA1(challenge)");
        $this->addSql("ALTER TABLE configgroups ADD noexchange TINYINT(1) NOT NULL, ADD androidProfile TEXT DEFAULT NULL, ADD winPhoneExchangeConfig VARCHAR(511) DEFAULT NULL COMMENT '(DC2Type:json_array_string)', ADD winPhonePassCode VARCHAR(511) DEFAULT NULL COMMENT '(DC2Type:json_array_string)', ADD winPhoneRestrictions VARCHAR(511) DEFAULT NULL COMMENT '(DC2Type:json_array_string)'");
        $this->addSql("ALTER TABLE mailaccounts ADD uuid VARCHAR(255) DEFAULT NULL COMMENT 'UUID of the mail account (Windows Phone)'");
        $this->addSql("ALTER TABLE devices ADD omaauthappsrv VARCHAR(255) DEFAULT NULL, ADD omaauthclient VARCHAR(255) DEFAULT NULL, ADD omaauthnonce VARCHAR(255) DEFAULT NULL, CHANGE mdmtoken mdmtoken VARBINARY(255) DEFAULT NULL COMMENT '(DC2Type:binary)', CHANGE deviceinformation deviceinformation TEXT DEFAULT NULL COMMENT '(DC2Type:json_array)'");
        $this->addSql("ALTER TABLE reverseproxy_urls CHANGE external_path_hash external_path_hash BINARY(20) NOT NULL COMMENT '(DC2Type:binary)'");
    }

    public function down(Schema $schema)
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != "mysql", "Migration can only be executed safely on 'mysql'.");

        $this->addSql("CREATE TABLE access_stat (type VARCHAR(20) NOT NULL COMMENT 'Describes the time period e.g. total, last_month, this_month', traffic BIGINT UNSIGNED NOT NULL COMMENT 'Accrued traffic in bytes in the period', access_count INT UNSIGNED NOT NULL COMMENT 'Number of accesses in the period', distinct_ips INT UNSIGNED NOT NULL COMMENT 'Number of different IPs in the period', distinct_devices INT UNSIGNED NOT NULL COMMENT 'Number of different devices in the period', PRIMARY KEY(type)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB");
        $this->addSql("ALTER TABLE app_device DROP FOREIGN KEY FK_EC2CDB0E7987212D");
        $this->addSql("ALTER TABLE syncml_commands DROP FOREIGN KEY FK_2D7EEA02386EDDEE");
        $this->addSql("CREATE TABLE profiles (id INT UNSIGNED AUTO_INCREMENT NOT NULL, name VARCHAR(50) NOT NULL, comment VARCHAR(255) DEFAULT NULL, content LONGTEXT NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB");
        $this->addSql("DROP TABLE access_stat_year_month");
        $this->addSql("DROP TABLE App");
        $this->addSql("DROP TABLE app_device");
        $this->addSql("DROP TABLE syncml_cspstatus");
        $this->addSql("DROP TABLE syncml_commands");
        $this->addSql("DROP TABLE mswlanconfigs");
        $this->addSql("ALTER TABLE clientcerts DROP issuer, CHANGE challenge challenge VARCHAR(30) DEFAULT NULL");
        $this->addSql("ALTER TABLE configgroups DROP androidProfile, DROP winPhoneExchangeConfig, DROP winPhonePassCode, DROP winPhoneRestrictions");
        $this->addSql("ALTER TABLE devices DROP omaauthappsrv, DROP omaauthclient, DROP omaauthnonce, CHANGE mdmtoken mdmtoken TINYBLOB DEFAULT NULL, CHANGE deviceinformation deviceinformation LONGTEXT DEFAULT NULL");
        $this->addSql("ALTER TABLE mailaccounts DROP uuid");
        $this->addSql("ALTER TABLE reverseproxy_urls CHANGE external_path_hash external_path_hash TINYBLOB NOT NULL");
    }
}
