<?php

namespace Application\Migrations;

use Doctrine\DBAL\Migrations\AbstractMigration;
use Doctrine\DBAL\Schema\Schema;

/**
 * Auto-generated Migration: Please modify to your needs!
 */
class Version020300 extends AbstractMigration
{
    public function up(Schema $schema)
    {
        // this up() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'mysql', 'Migration can only be executed safely on \'mysql\'.');

        $this->addSql('ALTER TABLE app_device DROP FOREIGN KEY FK_EC2CDB0E7987212D');
        $this->addSql('CREATE TABLE androidapps (id INT UNSIGNED AUTO_INCREMENT NOT NULL, type VARCHAR(255) NOT NULL, apk_path VARCHAR(255) DEFAULT NULL, needs_update TINYINT(1) NOT NULL, system TINYINT(1) NOT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, icon VARCHAR(255) DEFAULT NULL, icon_large VARCHAR(255) DEFAULT NULL, description LONGTEXT DEFAULT NULL, version VARCHAR(255) DEFAULT NULL, release_notes VARCHAR(255) DEFAULT NULL, price DOUBLE PRECISION DEFAULT NULL, currency VARCHAR(255) DEFAULT NULL, vendor VARCHAR(255) DEFAULT NULL, screenshots LONGTEXT DEFAULT NULL COMMENT \'(DC2Type:array)\', supports TEXT DEFAULT NULL COMMENT \'(DC2Type:json_array)\', managed TINYINT(1) DEFAULT NULL, force_install TINYINT(1) NOT NULL, UNIQUE INDEX UNIQ_D5E698C7772E836A (identifier), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE android_app_config_group (android_app_id INT UNSIGNED NOT NULL, config_group_id INT UNSIGNED NOT NULL, INDEX IDX_BAB1C6062033A2A0 (android_app_id), INDEX IDX_BAB1C606439C3799 (config_group_id), PRIMARY KEY(android_app_id, config_group_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE androidappstates (id INT UNSIGNED AUTO_INCREMENT NOT NULL, app_id INT UNSIGNED DEFAULT NULL, install_command_id BIGINT UNSIGNED DEFAULT NULL, remove_command_id BIGINT UNSIGNED DEFAULT NULL, device_id INT UNSIGNED DEFAULT NULL, install_attempts INT NOT NULL, last_install_attempt DATETIME DEFAULT NULL, version VARCHAR(255) DEFAULT NULL, state VARCHAR(255) DEFAULT NULL, mdm_state VARCHAR(255) DEFAULT NULL, state_change_time DATETIME DEFAULT NULL, mdm_state_time DATETIME DEFAULT NULL, managed TINYINT(1) NOT NULL, rejected TINYINT(1) NOT NULL, app_size INT NOT NULL, data_size INT NOT NULL, INDEX IDX_B9753E547987212D (app_id), UNIQUE INDEX UNIQ_B9753E54A3720D31 (install_command_id), UNIQUE INDEX UNIQ_B9753E54CFCB62E7 (remove_command_id), INDEX IDX_B9753E5494A4C7D4 (device_id), INDEX idx_state (state), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE iosappstates (id INT UNSIGNED AUTO_INCREMENT NOT NULL, app_id INT UNSIGNED DEFAULT NULL, apply_redemption_code_command_id BIGINT UNSIGNED DEFAULT NULL, install_command_id BIGINT UNSIGNED DEFAULT NULL, remove_command_id BIGINT UNSIGNED DEFAULT NULL, device_id INT UNSIGNED DEFAULT NULL, install_attempts INT NOT NULL, last_install_attempt DATETIME DEFAULT NULL, version VARCHAR(255) DEFAULT NULL, state VARCHAR(255) DEFAULT NULL, mdm_state VARCHAR(255) DEFAULT NULL, state_change_time DATETIME DEFAULT NULL, mdm_state_time DATETIME DEFAULT NULL, managed TINYINT(1) NOT NULL, rejected TINYINT(1) NOT NULL, app_size INT NOT NULL, data_size INT NOT NULL, INDEX IDX_9B5CCE217987212D (app_id), UNIQUE INDEX UNIQ_9B5CCE21B8BC4325 (apply_redemption_code_command_id), UNIQUE INDEX UNIQ_9B5CCE21A3720D31 (install_command_id), UNIQUE INDEX UNIQ_9B5CCE21CFCB62E7 (remove_command_id), INDEX IDX_9B5CCE2194A4C7D4 (device_id), INDEX idx_state (state), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE win_phone_app_policy (id INT UNSIGNED AUTO_INCREMENT NOT NULL, name VARCHAR(255) NOT NULL, type SMALLINT NOT NULL, policy MEDIUMTEXT NOT NULL, UNIQUE INDEX UNIQ_372191145E237E06 (name), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE iosapps (id INT UNSIGNED AUTO_INCREMENT NOT NULL, type VARCHAR(255) NOT NULL, remove_whene_mdm_is_removed TINYINT(1) DEFAULT NULL, prevent_backup TINYINT(1) DEFAULT NULL, i_tunes_store_id BIGINT UNSIGNED DEFAULT NULL, ipa LONGTEXT DEFAULT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, icon VARCHAR(255) DEFAULT NULL, icon_large VARCHAR(255) DEFAULT NULL, description LONGTEXT DEFAULT NULL, version VARCHAR(255) DEFAULT NULL, release_notes VARCHAR(255) DEFAULT NULL, price DOUBLE PRECISION DEFAULT NULL, currency VARCHAR(255) DEFAULT NULL, vendor VARCHAR(255) DEFAULT NULL, screenshots LONGTEXT DEFAULT NULL COMMENT \'(DC2Type:array)\', supports TEXT DEFAULT NULL COMMENT \'(DC2Type:json_array)\', managed TINYINT(1) DEFAULT NULL, force_install TINYINT(1) NOT NULL, UNIQUE INDEX UNIQ_F5CA509E34D5E42 (i_tunes_store_id), UNIQUE INDEX UNIQ_F5CA509E772E836A (identifier), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE ios_app_config_group (ios_app_id INT UNSIGNED NOT NULL, config_group_id INT UNSIGNED NOT NULL, INDEX IDX_A1DD4BB172A5861A (ios_app_id), INDEX IDX_A1DD4BB1439C3799 (config_group_id), PRIMARY KEY(ios_app_id, config_group_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE wificonfigs (id INT UNSIGNED AUTO_INCREMENT NOT NULL, name VARCHAR(255) NOT NULL, ssid VARCHAR(255) NOT NULL, encryption_type VARCHAR(255) NOT NULL, encryption_key VARCHAR(255) DEFAULT NULL, hidden TINYINT(1) NOT NULL, auto_join TINYINT(1) NOT NULL, proxy_type VARCHAR(255) NOT NULL, proxy_host VARCHAR(255) DEFAULT NULL, proxy_port INT DEFAULT NULL, proxy_username VARCHAR(255) DEFAULT NULL, proxy_password VARCHAR(255) DEFAULT NULL, proxy_pac_url VARCHAR(255) DEFAULT NULL, proxy_pac_fallback_allowed TINYINT(1) DEFAULT NULL, hotspot TINYINT(1) NOT NULL, UNIQUE INDEX UNIQ_AEB43DD55E237E06 (name), UNIQUE INDEX UNIQ_AEB43DD5F09973C8 (ssid), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE wifi_config_config_group (wifi_config_id INT UNSIGNED NOT NULL, config_group_id INT UNSIGNED NOT NULL, INDEX IDX_303C3635B1441E49 (wifi_config_id), INDEX IDX_303C3635439C3799 (config_group_id), PRIMARY KEY(wifi_config_id, config_group_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('ALTER TABLE android_app_config_group ADD CONSTRAINT FK_BAB1C6062033A2A0 FOREIGN KEY (android_app_id) REFERENCES androidapps (id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE android_app_config_group ADD CONSTRAINT FK_BAB1C606439C3799 FOREIGN KEY (config_group_id) REFERENCES configgroups (id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE androidappstates ADD CONSTRAINT FK_B9753E547987212D FOREIGN KEY (app_id) REFERENCES androidapps (id)');
        $this->addSql('ALTER TABLE androidappstates ADD CONSTRAINT FK_B9753E54A3720D31 FOREIGN KEY (install_command_id) REFERENCES mdmcommands (id)');
        $this->addSql('ALTER TABLE androidappstates ADD CONSTRAINT FK_B9753E54CFCB62E7 FOREIGN KEY (remove_command_id) REFERENCES mdmcommands (id)');
        $this->addSql('ALTER TABLE androidappstates ADD CONSTRAINT FK_B9753E5494A4C7D4 FOREIGN KEY (device_id) REFERENCES devices (id)');
        $this->addSql('ALTER TABLE iosappstates ADD CONSTRAINT FK_9B5CCE217987212D FOREIGN KEY (app_id) REFERENCES iosapps (id)');
        $this->addSql('ALTER TABLE iosappstates ADD CONSTRAINT FK_9B5CCE21B8BC4325 FOREIGN KEY (apply_redemption_code_command_id) REFERENCES mdmcommands (id)');
        $this->addSql('ALTER TABLE iosappstates ADD CONSTRAINT FK_9B5CCE21A3720D31 FOREIGN KEY (install_command_id) REFERENCES mdmcommands (id)');
        $this->addSql('ALTER TABLE iosappstates ADD CONSTRAINT FK_9B5CCE21CFCB62E7 FOREIGN KEY (remove_command_id) REFERENCES mdmcommands (id)');
        $this->addSql('ALTER TABLE iosappstates ADD CONSTRAINT FK_9B5CCE2194A4C7D4 FOREIGN KEY (device_id) REFERENCES devices (id)');
        $this->addSql('ALTER TABLE ios_app_config_group ADD CONSTRAINT FK_A1DD4BB172A5861A FOREIGN KEY (ios_app_id) REFERENCES iosapps (id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE ios_app_config_group ADD CONSTRAINT FK_A1DD4BB1439C3799 FOREIGN KEY (config_group_id) REFERENCES configgroups (id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE wifi_config_config_group ADD CONSTRAINT FK_303C3635B1441E49 FOREIGN KEY (wifi_config_id) REFERENCES wificonfigs (id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE wifi_config_config_group ADD CONSTRAINT FK_303C3635439C3799 FOREIGN KEY (config_group_id) REFERENCES configgroups (id) ON DELETE CASCADE');
        $this->addSql('DROP TABLE App');
        $this->addSql('DROP TABLE app_device');
        $this->addSql('ALTER TABLE admins CHANGE level level INT UNSIGNED NOT NULL');

        /* custom start */
        $this->addSql('ALTER TABLE configgroups ADD win_phone_app_policy_id INT UNSIGNED DEFAULT NULL, ADD device_timeout INT UNSIGNED NOT NULL, CHANGE allowProfileRemoval allow_profile_removal TINYINT(1) NOT NULL, CHANGE allowMove allow_move TINYINT(1) NOT NULL, CHANGE fromAnyApp from_any_app TINYINT(1) NOT NULL, CHANGE winPhoneExchangeConfig win_phone_exchange_config VARCHAR(511) DEFAULT NULL COMMENT \'(DC2Type:json_array_string)\', CHANGE winPhonePassCode win_phone_pass_code VARCHAR(511) DEFAULT NULL COMMENT \'(DC2Type:json_array_string)\', CHANGE winPhoneRestrictions win_phone_restrictions TEXT DEFAULT NULL COMMENT \'(DC2Type:json_array)\', CHANGE syncdays sync_days INT NOT NULL, CHANGE customprofile custom_profile TINYINT(1) DEFAULT NULL, CHANGE customprofilename custom_profile_name VARCHAR(255) DEFAULT NULL, CHANGE androidprofile android_profile TEXT DEFAULT NULL');
        /* custom end */

        $this->addSql('ALTER TABLE configgroups ADD CONSTRAINT FK_C77887AC595D65AE FOREIGN KEY (win_phone_app_policy_id) REFERENCES win_phone_app_policy (id)');
        $this->addSql('CREATE INDEX IDX_C77887AC595D65AE ON configgroups (win_phone_app_policy_id)');
        $this->addSql('ALTER TABLE access_stat_year_month CHANGE traffic traffic BIGINT UNSIGNED NOT NULL COMMENT \'Accrued traffic in bytes in the month\', CHANGE access_count access_count INT UNSIGNED NOT NULL COMMENT \'Number of accesses in the month\', CHANGE distinct_ips distinct_ips INT UNSIGNED NOT NULL COMMENT \'Number of different IPs in the month\', CHANGE distinct_devices distinct_devices INT UNSIGNED NOT NULL COMMENT \'Number of different devices in the month\'');

        /* custom start */
        $this->addSql('CREATE UNIQUE INDEX UNIQ_C884EEFDAA9E377A ON access_stat_daily (date)');
        $this->addSql('ALTER TABLE access_stat_daily DROP PRIMARY KEY');
        $this->addSql('ALTER TABLE access_stat_daily ADD id INT UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY FIRST');
        /* custom end */

        $this->addSql('ALTER TABLE devices ADD owner VARCHAR(255) NOT NULL, ADD timedout TINYINT(1) NOT NULL');
        $this->addSql('ALTER TABLE mdmcommands ADD info VARCHAR(255) DEFAULT NULL');

        // The name of the foreign keys depend on the version that was initially installed
        foreach ($this->sm->listTableForeignKeys("configgroups_reverseproxyurls") as $fk) {
            $this->addSql('ALTER TABLE configgroups_reverseproxyurls DROP FOREIGN KEY ' . $fk->getName());
        }

        $this->addSql('ALTER TABLE configgroups_reverseproxyurls DROP PRIMARY KEY');
        $this->addSql('ALTER TABLE configgroups_reverseproxyurls ADD CONSTRAINT FK_40A18A41D460FB91 FOREIGN KEY (reverseproxyurl_id) REFERENCES reverseproxy_urls (id)');
        $this->addSql('ALTER TABLE configgroups_reverseproxyurls ADD CONSTRAINT FK_40A18A41FF00FACA FOREIGN KEY (configgroup_id) REFERENCES configgroups (id)');
        $this->addSql('ALTER TABLE configgroups_reverseproxyurls ADD PRIMARY KEY (reverseproxyurl_id, configgroup_id)');
        $this->addSql('ALTER TABLE users DROP FOREIGN KEY FK_1483A5E9676989C');
        $this->addSql('DROP INDEX IDX_1483A5E9676989C ON users');
        $this->addSql('ALTER TABLE users CHANGE configgroup_id config_group_id INT UNSIGNED NOT NULL');
        $this->addSql('ALTER TABLE users ADD CONSTRAINT FK_1483A5E9439C3799 FOREIGN KEY (config_group_id) REFERENCES configgroups (id)');
        $this->addSql('CREATE INDEX IDX_1483A5E9439C3799 ON users (config_group_id)');
        $this->addSql('ALTER TABLE syncml_commands ADD info VARCHAR(255) DEFAULT NULL');

        /* custom start */
        $this->addSql('UPDATE admins SET login=\'SYSTEM\' WHERE id=0');
        $this->addSql('UPDATE devices SET owner=\'company\'');
        /* custom end */
    }

    public function down(Schema $schema)
    {
        // this down() migration is auto-generated, please modify it to your needs
        $this->abortIf($this->connection->getDatabasePlatform()->getName() != 'mysql', 'Migration can only be executed safely on \'mysql\'.');

        $this->addSql('ALTER TABLE android_app_config_group DROP FOREIGN KEY FK_BAB1C6062033A2A0');
        $this->addSql('ALTER TABLE androidappstates DROP FOREIGN KEY FK_B9753E547987212D');
        $this->addSql('ALTER TABLE configgroups DROP FOREIGN KEY FK_C77887AC595D65AE');
        $this->addSql('ALTER TABLE iosappstates DROP FOREIGN KEY FK_9B5CCE217987212D');
        $this->addSql('ALTER TABLE ios_app_config_group DROP FOREIGN KEY FK_A1DD4BB172A5861A');
        $this->addSql('ALTER TABLE wifi_config_config_group DROP FOREIGN KEY FK_303C3635B1441E49');
        $this->addSql('CREATE TABLE App (id INT UNSIGNED AUTO_INCREMENT NOT NULL, identifier VARCHAR(255) NOT NULL, name VARCHAR(255) NOT NULL, icon VARCHAR(255) DEFAULT NULL, type VARCHAR(255) NOT NULL, appStore TINYINT(1) DEFAULT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('CREATE TABLE app_device (app_id INT UNSIGNED NOT NULL, device_id INT UNSIGNED NOT NULL, INDEX IDX_EC2CDB0E7987212D (app_id), INDEX IDX_EC2CDB0E94A4C7D4 (device_id), PRIMARY KEY(app_id, device_id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB');
        $this->addSql('ALTER TABLE app_device ADD CONSTRAINT FK_EC2CDB0E7987212D FOREIGN KEY (app_id) REFERENCES App (id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE app_device ADD CONSTRAINT FK_EC2CDB0E94A4C7D4 FOREIGN KEY (device_id) REFERENCES devices (id) ON DELETE CASCADE');
        $this->addSql('DROP TABLE androidapps');
        $this->addSql('DROP TABLE android_app_config_group');
        $this->addSql('DROP TABLE androidappstates');
        $this->addSql('DROP TABLE iosappstates');
        $this->addSql('DROP TABLE win_phone_app_policy');
        $this->addSql('DROP TABLE iosapps');
        $this->addSql('DROP TABLE ios_app_config_group');
        $this->addSql('DROP TABLE wificonfigs');
        $this->addSql('DROP TABLE wifi_config_config_group');
        $this->addSql('DROP INDEX UNIQ_C884EEFDAA9E377A ON access_stat_daily');
        $this->addSql('ALTER TABLE access_stat_daily DROP PRIMARY KEY');
        $this->addSql('ALTER TABLE access_stat_daily DROP id');
        $this->addSql('ALTER TABLE access_stat_daily ADD PRIMARY KEY (date)');
        $this->addSql('ALTER TABLE access_stat_year_month CHANGE traffic traffic BIGINT UNSIGNED NOT NULL COMMENT \'Accrued traffic in bytes for the month\', CHANGE access_count access_count INT UNSIGNED NOT NULL COMMENT \'Number of accesses for the month\', CHANGE distinct_ips distinct_ips INT UNSIGNED NOT NULL COMMENT \'Number of different IPs for the month\', CHANGE distinct_devices distinct_devices INT UNSIGNED NOT NULL COMMENT \'Number of different devices for the month\'');
        $this->addSql('DROP INDEX IDX_C77887AC595D65AE ON configgroups');

        /* custom start */
        $this->addSql('ALTER TABLE configgroups CHANGE allow_profile_removal allowProfileRemoval TINYINT(1) NOT NULL, CHANGE allow_move allowMove TINYINT(1) NOT NULL, CHANGE from_any_app fromAnyApp TINYINT(1) NOT NULL, CHANGE win_phone_exchange_config winPhoneExchangeConfig VARCHAR(511) DEFAULT NULL COMMENT \'(DC2Type:json_array_string)\', CHANGE win_phone_pass_code winPhonePassCode VARCHAR(511) DEFAULT NULL COMMENT \'(DC2Type:json_array_string)\', ADD winPhoneRestrictions VARCHAR(511) DEFAULT NULL COMMENT \'(DC2Type:json_array_string)\', DROP win_phone_app_policy_id, DROP device_timeout, DROP win_phone_restrictions, CHANGE sync_days syncDays INT NOT NULL, CHANGE custom_profile customProfile TINYINT(1) DEFAULT NULL, CHANGE custom_profile_name customProfileName VARCHAR(255) DEFAULT NULL, CHANGE android_profile androidProfile LONGTEXT DEFAULT NULL');
        /* custom end */

        $this->addSql('ALTER TABLE configgroups_reverseproxyurls DROP FOREIGN KEY FK_40A18A41D460FB91');
        $this->addSql('ALTER TABLE configgroups_reverseproxyurls DROP FOREIGN KEY FK_40A18A41FF00FACA');
        $this->addSql('ALTER TABLE configgroups_reverseproxyurls DROP PRIMARY KEY');
        $this->addSql('ALTER TABLE configgroups_reverseproxyurls ADD CONSTRAINT FK_75FFCB31D460FB91 FOREIGN KEY (reverseproxyurl_id) REFERENCES reverseproxy_urls (id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE configgroups_reverseproxyurls ADD CONSTRAINT FK_75FFCB31FF00FACA FOREIGN KEY (configgroup_id) REFERENCES configgroups (id) ON DELETE CASCADE');
        $this->addSql('ALTER TABLE configgroups_reverseproxyurls ADD PRIMARY KEY (configgroup_id, reverseproxyurl_id)');
        $this->addSql('ALTER TABLE devices DROP owner, DROP timedout');
        $this->addSql('ALTER TABLE mdmcommands DROP info');
        $this->addSql('ALTER TABLE syncml_commands DROP info');
        $this->addSql('ALTER TABLE users DROP FOREIGN KEY FK_1483A5E9439C3799');
        $this->addSql('DROP INDEX IDX_1483A5E9439C3799 ON users');
        $this->addSql('ALTER TABLE users CHANGE config_group_id configGroup_id INT UNSIGNED NOT NULL');
        $this->addSql('ALTER TABLE users ADD CONSTRAINT FK_1483A5E9676989C FOREIGN KEY (configGroup_id) REFERENCES configgroups (id)');
        $this->addSql('CREATE INDEX IDX_1483A5E9676989C ON users (configGroup_id)');

        /* custom start */
        $this->addSql('UPDATE admins SET login=\'system\' WHERE id=0');
        /* custom end */
    }
}
