<?php
namespace Topalis\ActiveSyncFilter\Config;

/**
 * These constants describe the possible error behaviors of the Filter Server.
 *
 * @author Dominic Tubach
 */
class ErrorBehavior
{
    const __DEFAULT = self::IGNORE;

    const HALT = "HALT";
    const IGNORE = "IGNORE";
    const REMOVE = "REMOVE";

    /**
     * Checks if the specified value describes a valid error behavior.
     *
     * @param string $errorBehvior The string to be checked.
     * @return boolean true if the specified value describes a valid error
     *         behavior, false otherwise.
     */
    public static function isValid($errorBehvior)
    {
        switch ($errorBehvior) {
            case self::HALT:
            case self::IGNORE:
            case self::REMOVE:
                return true;
        }
        return false;
    }
}
