<?php
namespace Topalis\ActiveSyncFilter\Config\Form;

use Topalis\ActiveSyncFilter\Plugin\PluginConfigEntry;
use Topalis\Util\StringUtil;

/**
 *
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class FormConfigEntry
{
    /**
     * @var PluginConfigEntry
     */
    protected $entry;

    protected $value;

    public function __construct(PluginConfigEntry $entry)
    {
        $this->entry = $entry;
        $this->init();
    }

    protected function init()
    {
        $this->setValue($this->entry->getValue());
    }

    public function save()
    {
        $this->entry->setValue($this->getValue());
    }

    public function setValue($value)
    {
        $this->value = $value;

        return $this;
    }

    public function getValue()
    {
        if ($this->entry->isBool()) {
            return StringUtil::strtobool($this->value);
        }
        return $this->value;
    }

    public function getId()
    {
        $id = $this->entry->getKey();
        $id = str_replace(" ", "___", $id);
        $id = str_replace(".", "", $id);

        return $id;
    }

    /**
     * @return \Topalis\ActiveSyncFilter\Plugin\PluginConfigEntry
     */
    public function getEntry()
    {
        return $this->entry;
    }
}
