<?php
namespace Topalis\ActiveSyncFilter\DependencyInjection;

use Symfony\Component\Config\Definition\Builder\TreeBuilder;
use Symfony\Component\Config\Definition\ConfigurationInterface;

/**
 *
 *
 * @author Florian Pfitzer <florian.pfitzer@to.com>
 */
class Configuration implements ConfigurationInterface
{

    /**
     * Generates the configuration tree builder.
     *
     * @return \Symfony\Component\Config\Definition\Builder\TreeBuilder The tree builder
     */
    public function getConfigTreeBuilder()
    {
        $libwbxml = "libwbxml2.so.1";
        if (is_file("/usr/lib64/" . $libwbxml)) {
            $libwbxmlFile = "/usr/lib64/" . $libwbxml;
        } else if (is_file("/usr/local/lib64/" . $libwbxml)) {
            $libwbxmlFile = "/usr/local/lib64/" . $libwbxml;
        } else if (is_file("/usr/local/lib/" . $libwbxml)) {
            $libwbxmlFile = "/usr/local/lib/" . $libwbxml;
        } else {
            $libwbxmlFile = "/usr/lib/" . $libwbxml;
        }

        $treeBuilder = new TreeBuilder();
        $rootNode = $treeBuilder->root('asf');
        $rootNode
            ->children()
                ->scalarNode("config_file")->defaultValue("/etc/activesyncfilterd/activesyncfilterd.conf")->end()
                ->scalarNode("service_command")->defaultValue("/usr/sbin/activesyncfilterd-service")->end()
                ->scalarNode("libwbxml_file")->defaultValue($libwbxmlFile)->end()
            ->end()
        ;

        return $treeBuilder;
    }
}
