<?php
namespace Topalis\ActiveSyncFilter\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Translation\Tests\String;

/**
 *
 * @author Dominic Tubach <dominic.tubach@to.com> @ORM\Table(name="asf_cache")
 *         @ORM\Entity
 */
class AsfCache
{

    /**
     *
     * @var integer
     * @ORM\Column(name="id", type="bigint", nullable=false, options={"unsigned"=true})
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    protected $id;

    /**
     *
     * @var integer
     * @ORM\Column(name="insize", type="bigint", nullable=false, options={"unsigned"=true})
     */
    protected $inSize;

    /**
     *
     * @var integer
     * @ORM\Column(name="crc32", type="integer", nullable=false, options={"unsigned"=true})
     */
    protected $crc32;

    /**
     *
     * @var integer
     * @ORM\Column(name="outsize", type="bigint", nullable=false, options={"unsigned"=true})
     */
    protected $outSize;

    /**
     *
     * @var string
     * @ORM\Column(name="outmimetype", type="string", length=255, nullable=true)
     */
    protected $outMimeType;

    /**
     *
     * @var string
     * @ORM\Column(name="out", type="blob", nullable=true)
     */
    protected $out;

    /**
     *
     * @var string @ORM\Column(name="state", type="string", length=255, nullable=false)
     */
    protected $state;

    /**
     *
     * @var integer @ORM\Column(name="creationtime", type="bigint", nullable=false, options={"unsigned"=true})
     */
    protected $creationTime;

    /**
     *
     * @var integer @ORM\Column(name="lastusetime", type="bigint", nullable=false, options={"unsigned"=true})
     */
    protected $lastUseTime;

    /**
     *
     * @var integer @ORM\Column(name="configid", type="integer", nullable=false, options={"unsigned"=true})
     */
    protected $configId;

    /**
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     *
     * @param integer $id
     */
    public function setId($id)
    {
        $this->id = $id;
        return $this;
    }

    /**
     *
     * @return integer
     */
    public function getInSize()
    {
        return $this->inSize;
    }

    /**
     *
     * @param integer $inSize
     */
    public function setInSize($inSize)
    {
        $this->inSize = $inSize;
        return $this;
    }

    /**
     *
     * @return integer
     */
    public function getCrc32()
    {
        return $this->crc32;
    }

    /**
     *
     * @param integer $crc32
     */
    public function setCrc32($crc32)
    {
        $this->crc32 = $crc32;
        return $this;
    }

    /**
     *
     * @return integer
     */
    public function getOutSize()
    {
        return $this->outSize;
    }

    /**
     *
     * @param integer $outSize
     */
    public function setOutSize($outSize)
    {
        $this->outSize = $outSize;
        return $this;
    }

    /**
     *
     * @return string
     */
    public function getOutMimeType()
    {
        return $this->outMimeType;
    }

    /**
     *
     * @param string $outMimeType
     */
    public function setOutMimeType($outMimeType)
    {
        $this->outMimeType = $outMimeType;
        return $this;
    }

    /**
     *
     * @return string
     */
    public function getOut()
    {
        return $this->out;
    }

    /**
     *
     * @param string $out
     */
    public function setOut($out)
    {
        $this->out = $out;
        return $this;
    }

    /**
     *
     * @return string
     */
    public function getState()
    {
        return $this->state;
    }

    /**
     *
     * @param string $state
     */
    public function setState($state)
    {
        $this->state = $state;
        return $this;
    }

    /**
     *
     * @return integer
     */
    public function getCreationTime()
    {
        return $this->creationTime;
    }

    /**
     *
     * @param integer $creationTime
     */
    public function setCreationTime($creationTime)
    {
        $this->creationTime = $creationTime;
        return $this;
    }

    /**
     *
     * @return integer
     */
    public function getLastUseTime()
    {
        return $this->lastUseTime;
    }

    /**
     *
     * @param integer $lastUseTime
     */
    public function setLastUseTime($lastUseTime)
    {
        $this->lastUseTime = $lastUseTime;
        return $this;
    }

    /**
     *
     * @return integer
     */
    public function getConfigId()
    {
        return $this->configId;
    }

    /**
     *
     * @param integer $configId
     */
    public function setConfigId($configId)
    {
        $this->configId = $configId;
        return $this;
    }
}
