<?php

namespace Topalis\ActiveSyncFilter\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * AsfConfRemove
 *
 * @ORM\Table(name="asf_conf_remove")
 * @ORM\Entity
 */
class AsfConfRemove
{
    /**
     * @var integer
     *
     * @ORM\Column(name="configid", type="integer", nullable=false)
     * @ORM\Id
     */
    private $configId;

    /**
     * @var string
     *
     * @ORM\Column(name="contenttype", type="string", length=255, nullable=false)
     * @ORM\Id
     */
    private $contentType;

    /**
     * @var string
     *
     * @ORM\Column(name="enabled", type="string", length=255, nullable=true)
     */
    private $enabled;

    /**
     * @return integer The configuration id.
     */
    public function getConfigId()
    {
        return $this->configId;
    }

    /**
     * Get contentType
     *
     * @return string
     */
    public function getContentType()
    {
        return $this->contentType;
    }

    /**
     * Set enabled
     *
     * @param string $enabled
     * @return AsfConfRemove
     */
    public function setEnabled($enabled)
    {
        $this->enabled = $enabled;

        return $this;
    }

    /**
     * Get enabled
     *
     * @return string
     */
    public function getEnabled()
    {
        return $this->enabled;
    }
}
