<?php

namespace Topalis\ActiveSyncFilter\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * AsfLog
 *
 * @ORM\Table(name="asf_log")
 * @ORM\Entity
 */
class AsfLog
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var integer
     *
     * @ORM\Column(name="starttime", type="bigint", nullable=false)
     */
    private $startTime;

    /**
     * @var integer
     *
     * @ORM\Column(name="endtime", type="bigint", nullable=false)
     */
    private $endTime;

    /**
     * @var integer
     *
     * @ORM\Column(name="insize", type="integer", nullable=false)
     */
    private $inSize;

    /**
     * @var integer
     *
     * @ORM\Column(name="outsize", type="integer", nullable=false)
     */
    private $outSize;

    /**
     * @var string
     *
     * @ORM\Column(name="user", type="string", length=255, nullable=false)
     */
    private $user;

    /**
     * @var string
     *
     * @ORM\Column(name="command", type="string", length=255, nullable=false)
     */
    private $command;

    /**
     * @var AsfLogFilterApplications
     *
     * @ORM\OneToMany(targetEntity="AsfLogFilterApplications", mappedBy="log")
     */
    protected $filterApplications;

    /**
     * Constructor
     */
    public function __construct()
    {
        $this->filterApplications = new \Doctrine\Common\Collections\ArrayCollection();
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set startTime
     *
     * @param integer $startTime
     * @return AsfLog
     */
    public function setStartTime($startTime)
    {
        $this->startTime = $startTime;

        return $this;
    }

    /**
     * Get startTime
     *
     * @return integer
     */
    public function getStartTime()
    {
        return $this->startTime;
    }

    /**
     * Set endTime
     *
     * @param integer $endTime
     * @return AsfLog
     */
    public function setEndTime($endTime)
    {
        $this->endTime = $endTime;

        return $this;
    }

    /**
     * Get endTime
     *
     * @return integer
     */
    public function getEndTime()
    {
        return $this->endTime;
    }

    /**
     * Set inSize
     *
     * @param integer $inSize
     * @return AsfLog
     */
    public function setInSize($inSize)
    {
        $this->inSize = $inSize;

        return $this;
    }

    /**
     * Get inSize
     *
     * @return integer
     */
    public function getInSize()
    {
        return $this->inSize;
    }

    /**
     * Set outSize
     *
     * @param integer $outSize
     * @return AsfLog
     */
    public function setOutSize($outSize)
    {
        $this->outSize = $outSize;

        return $this;
    }

    /**
     * Get outSize
     *
     * @return integer
     */
    public function getOutSize()
    {
        return $this->outSize;
    }

    /**
     * Set user
     *
     * @param string $user
     * @return AsfLog
     */
    public function setUser($user)
    {
        $this->user = $user;

        return $this;
    }

    /**
     * Get user
     *
     * @return string
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * Set command
     *
     * @param string $command
     * @return AsfLog
     */
    public function setCommand($command)
    {
        $this->command = $command;

        return $this;
    }

    /**
     * Get command
     *
     * @return string
     */
    public function getCommand()
    {
        return $this->command;
    }

    /**
     * Add filterApplications
     *
     * @param \Topalis\ActiveSyncFilter\Entity\AsfLogFilterApplications $filterApplication
     * @return AsfLog
     */
    public function addFilterApplication(\Topalis\ActiveSyncFilter\Entity\AsfLogFilterApplications $filterApplication)
    {
        $this->filterApplications[] = $filterApplication;

        return $this;
    }

    /**
     * Remove filterApplications
     *
     * @param \Topalis\ActiveSyncFilter\Entity\AsfLogFilterApplications $filterApplication
     */
    public function removeFilterApplication(
        \Topalis\ActiveSyncFilter\Entity\AsfLogFilterApplications $filterApplication)
    {
        $this->filterApplications->removeElement($filterApplication);
    }

    /**
     * Get filterApplications
     *
     * @return \Doctrine\Common\Collections\Collection
     */
    public function getFilterApplications()
    {
        return $this->filterApplications;
    }
}
