<?php
namespace Topalis\ActiveSyncFilter\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Table(name="asf_log_filter_applications")
 * @ORM\Entity
 */
class AsfLogFilterApplications
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="bigint")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    protected $id;

    /**
     * @var \Topalis\ActiveSyncFilter\Entity\AsfLog
     *
     * @ORM\ManyToOne(targetEntity="AsfLog", inversedBy="filterApplications")
     */
    protected $log;

    /**
     * @var integer
     *
     * @ORM\Column(name="starttime", type="bigint")
     */
    protected $startTime;

    /**
     * @var integer
     *
     * @ORM\Column(name="endtime", type="bigint")
     */
    protected $endTime;

    /**
     * @var string
     *
     * @ORM\Column(name="mediatype", type="string", length=255)
     */
    protected $mediaType;

    /**
     * @var string
     *
     * @ORM\Column(name="subtype", type="string", length=255)
     */
    protected $subType;

    /**
     * @var string
     *
     * @ORM\Column(name="result", type="string", length=255)
     */
    protected $result;

    /**
     * @var integer
     *
     * @ORM\Column(name="insize", type="integer", options={"unsigned"=true})
     */
    protected $inSize;

    /**
     * @var integer
     *
     * @ORM\Column(name="outsize", type="integer", options={"unsigned"=true})
     */
    protected $outSize;

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set startTime
     *
     * @param integer $startTime
     * @return AsfLogFilterApplications
     */
    public function setStartTime($startTime)
    {
        $this->startTime = $startTime;

        return $this;
    }

    /**
     * Get startTime
     *
     * @return integer
     */
    public function getStartTime()
    {
        return $this->startTime;
    }

    /**
     * Set endTime
     *
     * @param integer $endTime
     * @return AsfLogFilterApplications
     */
    public function setEndTime($endTime)
    {
        $this->endTime = $endTime;

        return $this;
    }

    /**
     * Get endTime
     *
     * @return integer
     */
    public function getEndTime()
    {
        return $this->endTime;
    }

    /**
     * Set mediaType
     *
     * @param string $mediaType
     * @return AsfLogFilterApplications
     */
    public function setMediaType($mediaType)
    {
        $this->mediaType = $mediaType;

        return $this;
    }

    /**
     * Get mediaType
     *
     * @return string
     */
    public function getMediaType()
    {
        return $this->mediaType;
    }

    /**
     * Set subType
     *
     * @param string $subType
     * @return AsfLogFilterApplications
     */
    public function setSubType($subType)
    {
        $this->subType = $subType;

        return $this;
    }

    /**
     * Get subType
     *
     * @return string
     */
    public function getSubType()
    {
        return $this->subType;
    }

    /**
     * Set result
     *
     * @param string $result
     * @return AsfLogFilterApplications
     */
    public function setResult($result)
    {
        $this->result = $result;

        return $this;
    }

    /**
     * Get result
     *
     * @return string
     */
    public function getResult()
    {
        return $this->result;
    }

    /**
     * Set log
     *
     * @param \Topalis\ActiveSyncFilter\Entity\AsfLog $log
     * @return AsfLogFilterApplications
     */
    public function setLog(\Topalis\ActiveSyncFilter\Entity\AsfLog $log = null)
    {
        $this->log = $log;

        return $this;
    }

    /**
     * Get log
     *
     * @return \Topalis\ActiveSyncFilter\Entity\AsfLog
     */
    public function getLog()
    {
        return $this->log;
    }
}
