<?php

namespace Topalis\ActiveSyncFilter\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * AsfTrafficDay
 *
 * @ORM\Table(name="asf_traffic_day")
 * @ORM\Entity
 */
class AsfTrafficDay
{
    /**
     * @var \DateTime
     *
     * Doctrine has problems with type date as primary key, so we use string
     * @ORM\Column(name="date", type="string", nullable=false)
     * @ORM\Id
     */
    private $date;

    /**
     * @var integer
     *
     * @ORM\Column(name="insize", type="bigint", nullable=false)
     */
    private $inSize;

    /**
     * @var integer
     *
     * @ORM\Column(name="outsize", type="bigint", nullable=false)
     */
    private $outSize;

    /**
     * @var integer
     *
     * @ORM\Column(name="diff", type="bigint", nullable=false)
     */
    private $diff;

    /**
     * Set date
     *
     * @param \DateTime $date
     * @return AsfTrafficDay
     */
    public function setDate(\DateTime $date)
    {
        $this->date = $date->format("Y-m-d");

        return $this;
    }

    /**
     * Get date
     *
     * @return \DateTime
     */
    public function getDate()
    {
        return new \DateTime($this->date);
    }

    /**
     * Set inSize
     *
     * @param integer $inSize
     * @return AsfTrafficDay
     */
    public function setInSize($inSize)
    {
        $this->inSize = $inSize;

        return $this;
    }

    /**
     * Get inSize
     *
     * @return integer
     */
    public function getInSize()
    {
        return $this->inSize;
    }

    /**
     * Set outSize
     *
     * @param integer $outSize
     * @return AsfTrafficDay
     */
    public function setOutSize($outSize)
    {
        $this->outSize = $outSize;

        return $this;
    }

    /**
     * Get outSize
     *
     * @return integer
     */
    public function getOutSize()
    {
        return $this->outSize;
    }

    /**
     * Set diff
     *
     * @param integer $diff
     * @return AsfTrafficDay
     */
    public function setDiff($diff)
    {
        $this->diff = $diff;

        return $this;
    }

    /**
     * Get diff
     *
     * @return integer
     */
    public function getDiff()
    {
        return $this->diff;
    }
}
