<?php
namespace Topalis\ActiveSyncFilter\EventListener;

use Symfony\Component\HttpFoundation\Session\SessionInterface;
use Symfony\Component\HttpKernel\Event\GetResponseEvent;
use Symfony\Component\HttpKernel\HttpKernelInterface;
use Topalis\ActiveSyncFilter\FilterServer;

/**
 *
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class FilterServerLocaleListener
{
    /**
     * @var SessionInterface
     */
    private $session;

    /**
     * @var \Topalis\ActiveSyncFilter\FilterServer
     */
    private $filterServer;

    public function __construct(FilterServer $filterServer, SessionInterface $session = null)
    {
        $this->filterServer = $filterServer;
        $this->session = $session;
    }

    public function onKernelRequest(GetResponseEvent $event)
    {
        if (HttpKernelInterface::MASTER_REQUEST !== $event->getRequestType()) {
            return;
        }

        if (null === $this->session) {
            return;
        }

        $this->filterServer->setLanguage($this->session->get("_locale"));
    }

}
