<?php
namespace Topalis\ActiveSyncFilter\Form\Extension\Type;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Topalis\ActiveSyncFilter\Form\Extension\Transformer\MimeTypeTransformer;

/**
 * Display remove and exclude mime type textareas
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class MimeTypeType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused
        $builder
            ->add("remove", "textarea", array(
                "label" => "admin.asf.remove",
            ))
            ->add("exclude", "textarea", array(
                "label" => "admin.asf.exclude",
            ))
            ->addModelTransformer(new MimeTypeTransformer())
        ;
    }

    /**
     * Returns the name of this type.
     * @return string The name of this type
     */
    public function getName()
    {
        return "mime_type";
    }
}
