<?php
namespace Topalis\ActiveSyncFilter\Form\Extension\Type;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Topalis\ActiveSyncFilter\Form\Extension\EventListener\PluginEventListener;

/**
 * Plugin specific form
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class PluginType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused
        $builder
            ->addEventSubscriber(new PluginEventListener($builder->getFormFactory()))
        ;
    }

    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver
            ->setDefaults(array(
                "data_class" => "Topalis\ActiveSyncFilter\Config\Form\FormPluginConfig"
            ))
        ;
    }

    /**
     * Returns the name of this type.
     * @return string The name of this type
     */
    public function getName()
    {
        return "plugin";
    }
}
