<?php
namespace Topalis\ActiveSyncFilter\Plugin;

/**
 * A PluginConfigMeta gives access to the plugin config related data defined in
 * the plugin description.
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
interface PluginConfigMetaInterface
{
    /**
     * @param string $key Key of a configuration entry.
     * @return boolean true if a configuration entry with the specified key
     *   exists, false otherwise.
     */
    public function containsEntry($key);

    /**
     * @return PluginConfigEntryMetaInterface[] All configuration entries.
     */
    public function getEntries();

    /**
     * @param string $key The configuration key to get the configuration entry
     *   for.
     * @return PluginConfigEntryMetaInterface|NULL The configuration entry of
     *     the specified key, or null if such an entry does not exist.
     */
    public function getEntry($key);

    /**
     * @return Plugin The plugin this object belongs to.
     */
    public function getPlugin();
}
