<?php
namespace Topalis\ActiveSyncFilter\Util;

/**
 * This class is used to split a JDBC URL.
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
class JdbcUrlConverter
{

    /**
     * Converts the specified JDBC URL into an array containing the keys host
     * and port.
     *
     * @param string $jdbcUrl The JDBC URL to convert.
     * @return array The converted array.
     */
    public static function toArray($jdbcUrl)
    {
        preg_match("/jdbc:mysql:\/\/([A-Za-z0-1\.-]+)(:([0-9]+))?\/([A-Za-z0-9-_]+)/", $jdbcUrl, $matches);
        $options = array("host" => $matches[1]);
        if (!empty($matches[3])) {
            $options['port'] = $matches[3];
        }
        $options['database'] = $matches[4];
        return $options;
    }

}
