<?php
namespace Topalis\Apache\DependencyInjection;

use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Extension\Extension;
use Symfony\Component\DependencyInjection\Loader\YamlFileLoader;

/**
 *
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
class TopalisApacheExtension extends Extension
{
    public function load(array $configs, ContainerBuilder $container)
    {
        $configuration = $this->getConfiguration($configs, $container);
        $config = $this->processConfiguration($configuration, $configs);

        $apacheConfigDir = $config['config']['dir']['base'];
        $container->setParameter("apache.config.dir.base", $apacheConfigDir);
        $auralisConfigDir = $config['config']['dir']['auralis'];

        $container->setParameter("apache.config.dir", $apacheConfigDir);
        $container->setParameter("apache.config.auralis.dir", $apacheConfigDir . "/" . $auralisConfigDir);

        $loader = new YamlFileLoader($container, new FileLocator(__DIR__."/../Resources/config"));
        $loader->load("services.yml");
    }

}
