<?php
namespace Topalis\Apns;

/**
 * This class wraps the \ApnsPHP_Log_Interface to the \Psr\Log\LoggerInterface.
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
class ApnsPsrLogger implements \ApnsPHP_Log_Interface
{
    /**
     *
     * @var \Psr\Log\LoggerInterface
     */
    private $logger;

    /**
     * @param \Psr\Log\LoggerInterface $logger
     */
    public function __construct(\Psr\Log\LoggerInterface $logger)
    {
        $this->logger = $logger;
    }

    public function log($sMessage)
    {
        $type = strstr($sMessage, ":", true);
        $message = substr($sMessage, strlen($type) + 2);
        switch ($type) {
            case "DEBUG":
                $this->logger->debug($message);
                return;
            case "STATUS":
                /* fall through */
            case "INFO":
                $this->logger->info($message);
                return;
            case "NOTICE":
                $this->logger->notice($message);
                return;
            case "WARNING":
                $this->logger->warning($message);
                return;
            case "ERROR":
                $this->logger->error($message);
                return;
            case "CRITICAL":
                $this->logger->critical($message);
                return;
            case "ALERT":
                $this->logger->alert($message);
                return;
            case "FATAL":
                $this->logger->emergency($message);
                return;
            default:
                $this->logger->error($sMessage);
                return;
        }
    }

}
