<?php
namespace Topalis\Apns\DependencyInjection;

use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\Extension\Extension;
use Symfony\Component\DependencyInjection\Loader\YamlFileLoader;

/**
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
class TopalisApnsExtension extends Extension
{
    public function load(array $configs, \Symfony\Component\DependencyInjection\ContainerBuilder $container)
    {
        $configuration = $this->getConfiguration($configs, $container);
        $config = $this->processConfiguration($configuration, $configs);

        if (!$container->hasParameter("apns.is_development")) {
            $container->setParameter("apns.is_development", $config['is_development']);
        }

        $loader = new YamlFileLoader($container, new FileLocator(__DIR__."/../Resources/config"));
        $loader->load("services.yml");
    }

}
