<?php
namespace Topalis\App\Command;

/**
 * refresh ios app data from apple api
 *
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class RefreshIosAppsCommand extends RefreshAppsCommand
{
    protected function configure()
    {
        $this
            ->setDefinition(array())
            ->setDescription("refresh ios app data from apple api")
            ->setName("app:ios:refresh");
    }

    /**
     * @return \Topalis\App\Entity\AppEntityManager
     */
    protected function getAppEntityManager()
    {
        return $this->getContainer()->get("app.entity.manager.ios_app");
    }

    /**
     * @return \Topalis\App\Ios\IosAppStore
     */
    protected function getAppStore()
    {
        return $this->getContainer()->get("app.ios.store");
    }
}
