<?php
namespace Topalis\App\DependencyInjection;

use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\Extension\Extension;
use Symfony\Component\DependencyInjection\Loader\YamlFileLoader;

/**
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class TopalisAppExtension extends Extension
{
    public function load(array $configs, \Symfony\Component\DependencyInjection\ContainerBuilder $container)
    {
        $configuration = $this->getConfiguration($configs, $container);
        $this->processConfiguration($configuration, $configs);

        $loader = new YamlFileLoader($container, new FileLocator(__DIR__."/../Resources/config"));
        $loader->load("services.yml");
        $loader->load("orm.yml");

        $container->setParameter("app.sections", array(
            "ios"     => array("title" => "admin.app.ios.title", "route" => "admin_app_ios_managed"),
            "android" => array("title" => "admin.app.android.title", "route" => "admin_app_android_managed"),
            "winphone" => array("title" => "admin.app.winphone.title", "route" => "admin_app_winphone_policy")
        ));
    }
}
