<?php
namespace Topalis\App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="iosappstates", indexes={
 *    @ORM\Index(name="idx_state", columns={"state"}),
 * })
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class IosAppState extends MdmAppState
{
    /**
     * @var App
     * @ORM\ManyToOne(targetEntity="Topalis\App\Entity\IosApp", inversedBy="states", cascade={"persist"})
     */
    protected $app;

    /**
     *
     * @var \Topalis\MDM\Entity\MdmCommand
     * @ORM\OneToOne(targetEntity="Topalis\MDM\Entity\MdmCommand", cascade={"persist"})
     */
    protected $applyRedemptionCodeCommand;

    /**
     * @return \Topalis\MDM\Entity\MdmCommand
     */
    public function getApplyRedemptionCodeCommand()
    {
        return $this->applyRedemptionCodeCommand;
    }

    /**
     * @param \Topalis\MDM\Entity\MdmCommand $applyRedemptionCodeCommand
     *
     * @return $this
     */
    public function setApplyRedemptionCodeCommand(\Topalis\MDM\Entity\MdmCommand $applyRedemptionCodeCommand)
    {
        $this->applyRedemptionCodeCommand = $applyRedemptionCodeCommand;

        return $this;
    }
}
