<?php
namespace Topalis\App\Form\Type;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Topalis\App\Validator\Apk;

/**
 *
 *
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class AndroidAppForm extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused

        $builder
            ->add("apkPath", "jquery_file_upload", array(
                "label"       => "admin.app.android.apkFile",
                "endpoint"    => "android_app",
                "required"    => true,
                "constraints" => array(new Apk())
            ))
            ->add("configGroups", "genemu_jqueryselect2_entity", array(
                "label"            => "admin.app.groups",
                "descriptionBlock" => true,
                "description"      => "admin.app.groupsDescription",
                "class"            => 'Topalis\ConfigGroup\Entity\ConfigGroup',
                "property"         => "name",
                "multiple"         => true,
                "by_reference"     => false,
                "required"         => false,
                "placeholder"      => "admin.app.selectGroup",
            ))
            ->add("forceInstall", "checkbox", array(
                "label"    => "admin.app.force",
                "required" => false,
            ));
    }

    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            "data_class" => "Topalis\App\Entity\AndroidApp"
        ));
    }

    public function getName()
    {
        return "android_app";
    }
}
