<?php
namespace Topalis\ConfigGroup\Controller;

use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;
use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Topalis\ConfigGroup\Entity\ConfigGroup;
use Topalis\ConfigGroup\Form\Type\ConfigGroupForm;

/**
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 * @Route("/admin/group/{group}/section/general")
 */
class GeneralSectionController extends Controller
{
    /**
     * @Route("", name="admin_group_section_general")
     * @param ConfigGroup $group
     * @Template()
     *
     * @return array
     */
    public function indexAction(ConfigGroup $group)
    {
        $request = $this->getRequest();

        $form = $this->createForm(new ConfigGroupForm());
        $form->setData($group);

        if ($request->isMethod("POST")) {
            $form->submit($request);
            if ($form->isValid()) {
                $this->get("config_group.entity.manager.config_group")->save($group);
                $this->get("session")->getFlashBag()->add(
                    "success",
                    $this->get("translator")->trans("admin.group.saveSuccess")
                );

                return $this->redirect(
                    $this->generateUrl("admin_group_section_general", array("group" => $group->getId()))
                );
            }
        }

        $devices = $this->get("device.controller")->indexAction($group);

        return array(
            "group"   => $group,
            "form"    => $form->createView(),
            "devices" => $devices,
        );
    }
}
