<?php
namespace Topalis\ConfigGroup\Form\Transformer\WinPhone\Util;

/**
 * Class containing methods for Windows Phone form data transformation
 */
class WinPhoneTransformerUtil
{
    /**
     * Add boolean or replace value with boolean in the specified array.
     *
     * @param array $options Array to manipulate.
     * @param string $key Key in array to add or replace.
     * @param string|integer $true If entry at $key equals $true it will be
     *     replaced with true, otherwise with false.
     * @param boolean $default The value added if $key is not set.
     */
    public static function addOrReplaceBool(array &$options, $key, $true = 1, $default = true)
    {
        if (isset($options[$key])) {
            if ($options[$key] == $true) {
                $options[$key] = true;
            } else {
                $options[$key] = false;
            }
        } else {
            $options[$key] = $default;
        }
    }

    /**
     * Replaces boolean with specified value in specified array.
     *
     * @param array $options Array to manipulate.
     * @param string $key Key in array to replace.
     * @param string|integer $true If entry at $key is true it will be replaced
     *     with this value.
     * @param string|integer $false If entry at $key is false it will be
     *     repalced with this value.
     */
    public static function revReplaceBool(array &$options, $key, $true = 1, $false = 0)
    {
        if ($options[$key]) {
            $options[$key] = $true;
        } else {
            $options[$key] = $false;
        }
    }
}
