<?php
namespace Topalis\ConfigGroup\Form\Type\Ios;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;

/**
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class AirPrintType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused
        $prefix = "admin.group.profile.airprint.";
        $builder
            ->add("servers", "jquery_collection", array(
                "label" => $prefix."servers",
                "allow_add" => true,
                "allow_delete" => true,
                "type" => new AirPrintServerType(),
            ))
        ;
    }

    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            "data_class" => 'Topalis\Profile\Payload\AirPrintPayload',
            "required"   => false
        ));
    }

    public function getName()
    {
        return "airprint";
    }
}
