<?php
namespace Topalis\ConfigGroup\Form\Type\Ios;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Topalis\Profile\Payload\RestrictionsPayload;

/**
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class RestrictionsType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused
        $prefix = "admin.group.profile.restrictions.";
        $builder
            ->add("allowAppInstallation", "checkbox", array(
                "label" => $prefix."allowAppInstallation",
            ))
            ->add("allowCamera", "checkbox", array(
                "label" => $prefix."allowCamera",
            ))
            ->add("allowScreenShot", "checkbox", array(
                "label" => $prefix."allowScreenShot"
            ))
            ->add("allowPhotoStream", "checkbox", array(
                "label" => $prefix."allowPhotoStream",
                "os" => array("iOS" => ">=5.0")
            ))
            ->add("allowSharedStream", "checkbox", array(
                "label" => $prefix."allowSharedStream",
                "os" => array("iOS" => ">=6.0")
            ))
            ->add("allowPassbookWhileLocked", "checkbox", array(
                "label" => $prefix."allowPassbookWhileLocked",
                "os" => array("iOS" => ">=6.0")
            ))
            ->add("allowVoiceDialing", "checkbox", array(
                "label" => $prefix."allowVoiceDialing"
            ))
            ->add("allowAssistant", "checkbox", array(
                "label" => $prefix."allowAssistant",
            ))
            ->add("allowAssistantWhileLocked", "checkbox", array(
                "label" => $prefix."allowAssistantWhileLocked",
                "os" => array("iOS" => ">=5.1")
            ))
            ->add("allowInAppPurchases", "checkbox", array(
                "label" => $prefix."allowInAppPurchases"
            ))
            ->add("forceITunesStorePasswordEntry", "checkbox", array(
                "label" => $prefix."forceITunesStorePasswordEntry",
                "os" => array("iOS" => ">=5.0")
            ))
            ->add("allowGlobalBackgroundFetchWhenRoaming", "checkbox", array(
                "label" => $prefix."allowGlobalBackgroundFetchWhenRoaming"
            ))
            ->add("allowCloudDocumentSync", "checkbox", array(
                "label" => $prefix."allowCloudDocumentSync",
                "os" => array("iOS" => ">=5.0")
            ))
            ->add("allowCloudBackup", "checkbox", array(
                "label" => $prefix."allowCloudBackup",
                "os" => array("iOS" => ">=5.0")
            ))
            ->add("forceEncryptedBackup", "checkbox", array(
                "label" => $prefix."forceEncryptedBackup",
            ))
            ->add("allowUntrustedTLSPrompt", "checkbox", array(
                "label" => $prefix."allowUntrustedTLSPrompt",
                "os" => array("iOS" => ">=5.0")
            ))
            ->add("allowDiagnosticSubmission", "checkbox", array(
                "label" => $prefix."allowDiagnosticSubmission",
                "os" => array("iOS" => ">=6.0")
            ))
            ->add("allowYouTube", "checkbox", array(
                "label" => $prefix."allowYouTube",
                "os" => array("iOS" => "<6")
            ))
            ->add("allowiTunes", "checkbox", array(
                "label" => $prefix."allowiTunes",
            ))
            ->add("allowSafari", "checkbox", array(
                "label" => $prefix."allowSafari"
            ))
            ->add("allowLockScreenControlCenter", "checkbox", array(
                "label" => $prefix."allowLockScreenControlCenter",
                "os" => array("iOS" => ">=7"),
            ))
            ->add("allowLockScreenNotificationsView", "checkbox", array(
                "label" => $prefix."allowLockScreenNotificationsView",
                "os" => array("iOS" => ">=7"),
            ))
            ->add("allowLockScreenTodayView", "checkbox", array(
                "label" => $prefix."allowLockScreenTodayView",
                "os" => array("iOS" => ">=7"),
            ))
            ->add("allowOpenFromManagedToUnmanaged", "checkbox", array(
                "label" => $prefix."allowOpenFromManagedToUnmanaged",
                "os" => array("iOS" => ">=7"),
            ))
            ->add("allowOpenFromUnmanagedToManaged", "checkbox", array(
                "label" => $prefix."allowOpenFromUnmanagedToManaged",
                "os" => array("iOS" => ">=7")
            ))
            ->add("allowOTAPKIUpdates", "checkbox", array(
                "label" => $prefix."allowOTAPKIUpdates",
                "os" => array("iOS" => ">=7")
            ))
            ->add("forceLimitAdTracking", "checkbox", array(
                "label" => $prefix."forceLimitAdTracking",
                "os" => array("iOS" => ">=7")
            ))
        ;
    }

    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            "data_class" => 'Topalis\Profile\Payload\RestrictionsPayload',
            "required" => false,
        ));
    }

    public function getName()
    {
        return "restrictions";
    }
}
