<?php
namespace Topalis\ConfigGroup\Form\Type\Ios;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;

/**
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class WebContentFilter extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused
        $prefix = "admin.group.profile.web_content_filter.";
        $builder
            ->add("auto_filter_enabled", "checkbox", array(
                "label" => $prefix."auto_filter_enabled"
            ))
            ->add("permitted_urls", "textarea_array", array(
                "label" => $prefix."permitted_urls"
            ))
            ->add("blacklisted_urls", "textarea_array", array(
                "label" => $prefix."blacklisted_urls"
            ))
        ;
    }

    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            "data_class" => 'Topalis\Profile\Payload\WebContentFilterPayload',
            "required"   => false
        ));
    }

    public function getName()
    {
        return "web_content_filter";
    }
}
