<?php
namespace Topalis\ConfigGroup\Twig;

use Topalis\ConfigGroup\ConfigSectionManager;

/**
 *
 *
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class ConfigGroupExtension extends \Twig_Extension
{

    /**
     * @var ConfigSectionManager
     */
    private $configSectionManager;

    /**
     * @param ConfigSectionManager $configSectionManager
     */
    public function __construct(ConfigSectionManager $configSectionManager)
    {
        $this->configSectionManager = $configSectionManager;
    }

    public function getFunctions()
    {
        return array(
            "config_group_sections" => new \Twig_SimpleFunction("config_group_sections", array($this, "getSections"))
        );
    }

    /**
     * @return \Topalis\ConfigGroup\ConfigGroupSectionInterface[]
     */
    public function getSections()
    {
        return $this->configSectionManager->getAllSections();
    }

    public function getName()
    {
        return "config_group";
    }
}
