<?php
namespace Topalis\Configuration\Controller\Section;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;
use Topalis\Configuration\Form\ExchangeConfigurationForm;
use Topalis\Configuration\Form\Handler\ExchangeConfigurationFormHandler;

/**
 *
 *
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 * @author Dominic Tubach <dominic.tubach@to.com>
 * @Route("/admin/config/exchange")
 */
class ExchangeConfigController extends Controller
{
    /**
     * @Route("", name="admin_config_exchange")
     * @Template()
     * @param Request $request
     *
     * @return array
     */
    public function indexAction(Request $request)
    {
        $config = $this->get("config.auralis");
        $form = $this->createForm(new ExchangeConfigurationForm(), array(
            "exchangeHost"        => $config->getExchangeHost(),
            "exchangeSSL"         => $config->isExchangeSsl(),
            "exchangeDomain"      => $config->getExchangeDomain(),
            "exchangeAltLogin"    => $config->isExchangeAltLoginType(),
        ));

        $formHandler = new ExchangeConfigurationFormHandler($request, $this->container);
        if ($formHandler->process($form)) {
            $this->get("session")->getFlashBag()->add("success",
                $this->get("translator")->trans("admin.global.saveSuccess")
            );

            return $this->redirect($this->generateUrl("admin_config_exchange"));
        }

        return array(
            "form"           => $form->createView(),
            "sections"       => $this->container->getParameter("config.sections"),
            "active_section" => "exchange",
        );
    }
}
