<?php
namespace Topalis\Configuration\Controller\Section;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;
use Topalis\Configuration\Form\SnmpConfigurationForm;

/**
 *
 *
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 * @Route("/admin/config/snmp")
 */
class SnmpConfigController extends Controller
{
    /**
     * @Route("", name="admin_config_snmp")
     * @Template()
     * @param Request $request
     *
     * @return array|\Symfony\Component\HttpFoundation\RedirectResponse
     */
    public function indexAction(Request $request)
    {
        $snmpManager = $this->get("config.snmpd.manager");
        $initialData = array(
            "enabled" => $snmpManager->isEnabled(),
            "community" => $snmpManager->getCommunity(),

        );
        $form = $this->createForm(new SnmpConfigurationForm(), $initialData);
        $form->handleRequest($request);

        if ($form->isValid()) {
            $data = $form->getData();
            $snmpManager->setCommunity($data['community']);
            $snmpManager->setEnabled($data['enabled']);
            $this->get("session")->getFlashBag()->add("success",
                $this->get("translator")->trans("admin.global.saveSuccess")
            );

            return $this->redirect($this->generateUrl("admin_config_snmp"));
        }

        return array(
            "form"           => $form->createView(),
            "sections"       => $this->container->getParameter("config.sections"),
            "active_section" => "snmp",
        );
    }
}
