<?php
namespace Topalis\Configuration\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Validator\Constraints\NotBlank;

class AdminNetworkConfigurationForm extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused

        $builder
            ->add("adminPassword", "repeated", array(
                "type"            => "password",
                "invalid_message" => "password.doNotMatch",
                "first_options"   => array(
                    "label"       => "admin.global.adminPassword",
                    "description" => "admin.global.initialAdminPassword",
                ),
                "second_options"  => array("label" => "repeatPassword"),
                "constraints"     => new NotBlank()
            ));
    }

    public function getParent()
    {
        return new NetworkConfigurationForm();
    }

    public function getName()
    {
        return "config_network";
    }
}
