<?php
namespace Topalis\Configuration\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class AdvancedConfigurationForm extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused

        $builder
            ->add("port", new PortConfigurationForm())
            // ActiveSync Filter
            ->add("minWbxmlLen", "number", array(
                "label" => "admin.asf.minWBXML",
                "required" => false,
            ))
            ->add("itunesStore", "country", array(
                "label" => "admin.app.store",
                "preferred_choices" => array(\Locale::getRegion(\Locale::getDefault()))
            ))
            ->add("googlePlayStoreLang", "language", array(
                "label" => "admin.app.android.storeLang",
                "description" => "admin.app.android.storeLangDescr",
                "descriptionBlock" => true,
                "preferred_choices" => array(\Locale::getPrimaryLanguage(\Locale::getDefault()))
            ))
            ->add("appInstallAttempts", "integer", array(
                "label"            => "admin.app.installAttempts",
                "required"         => false,
                "description"      => "admin.app.installAttemptsDescription",
                "descriptionBlock" => true,
                "constraints" => new Assert\Range(array("min" => 1))
            ))
        ;
    }

    public function getName()
    {
        return "config_advanced";
    }
}
