<?php
namespace Topalis\Configuration\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Validator\Constraints as Assert;
use Topalis\Form\Validator\Constraint\IPList;

/**
 * ApacheBasicConfigurationForm
 *
 * @author Dominic Tubach <dominic.tubach@to.com>
 */
class ApacheBasicConfigurationForm extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused
        $builder
            ->add("hostname", "text", array(
                "label" => "Hostname",
                "constraints" => new Assert\NotBlank()
            ))
            ->add("allowFrom", "text", array(
                "label" => "admin.global.adminNetwork",
                "description" => "admin.global.adminNetworkDescription",
                "constraints" => array(new Assert\NotBlank(), new IPList())
            ))
        ;
    }

    /**
     * Returns the name of this type.
     *
     * @return string The name of this type
     */
    public function getName()
    {
        return "apacheBasic";
    }
}
