<?php
namespace Topalis\Configuration\Form;

use Topalis\System\Form\NetworkConfigurationForm;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Topalis\Configuration\Validator\SNMPEnabled;

/**
 * Global Configuration form
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class ConfigurationForm extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused
        $builder
            // Network
            ->add("network", new NetworkConfigurationForm())

            // LDAP Configuration
            ->add("ldap", new LdapConfigurationForm())

            // Port configuration
            // Network
            ->add("gcm", new GcmConfigurationForm())

        ;
    }

    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver
            ->setDefaults(array(
                "constraints" => new SNMPEnabled()
            ))
        ;

    }

    public function getName()
    {
        return "systemConfig";
    }
}
