<?php
namespace Topalis\Configuration\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Topalis\Configuration\Validator\GcmApiKey;

/**
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class GcmConfigurationForm extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused

        $builder
            ->add("api_key", "text", array(
                "label" => "admin.global.gcm.apiKey",
                "constraints" => new GcmApiKey(),
                "required" => false,
            ))
            ->add("project_id", "text", array(
                "label" => "admin.global.gcm.projectId",
                "required" => false,
            ))
        ;
    }

    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            "data_class" => 'Topalis\Gcm\GcmConfig'
        ));
    }

    public function getName()
    {
        return "config_gcm";
    }
}
