<?php
namespace Topalis\Configuration\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;

/**
 * HttpProxyConfigurationForm
 *
 * @author Dominic Tubach <dominic.tubach@to.com>
 */
class HttpProxyConfigurationForm extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused
        $builder
            ->add("host", "text", array(
                "label" => "admin.global.proxy.host",
                "description" => "admin.global.proxy.hostDescription",
                "required" => false
            ))
            ->add("user", "text", array(
                "label" => "admin.global.proxy.user",
                "description" => "admin.global.proxy.userDescription",
                "required" => false
            ))
            ->add("password", "password", array(
                "label" => "admin.global.proxy.password",
                "required" => false
            ))
        ;
    }

    /**
     * Returns the name of this type.
     *
     * @return string The name of this type
     */
    public function getName()
    {
        return "httpProxy";
    }
}
