<?php
namespace Topalis\Configuration\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;

/**
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class MailConfigurationForm extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused

        $builder
            ->add("mail_server", "text", array(
                "required"    => false,
                "label"       => "admin.global.mail.smtpServer",
                "description" => "admin.global.mail.smtpServerEx",
            ))
            ->add("mail_port", "number", array(
                "required" => false,
                "label"    => "admin.global.mail.port",
            ))
            ->add("mail_sender", "email", array(
                "required"    => false,
                "label"       => "admin.global.mail.sender",
                "description" => "admin.global.mail.senderEx",
            ))
            ->add("mail_contact", "text", array(
                "required"    => false,
                "label"       => "admin.global.mail.contact",
                "description" => "admin.global.mail.contactEx",
            ));
    }

    public function getName()
    {
        return "config_mail";
    }
}
