<?php
namespace Topalis\Configuration\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Topalis\System\Form\InterfaceConfigForm;
use Topalis\System\Form\TimeConfigForm;

/**
 * NetworkConfigurationForm
 * This form allows to disable the adding of the
 * network interface configuration and the time configuration through the
 * boolean options "interface" and "time".
 *
 * @author Dominic Tubach <dominic.tubach@to.com>
 */
class NetworkConfigurationForm extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused

        $builder
            ->add("apacheBasic", new ApacheBasicConfigurationForm())
            ->add("httpProxy", new HttpProxyConfigurationForm())
        ;
        if ($options['interface']) {
            $builder->add("interface", new InterfaceConfigForm());
        }
        if ($options['time']) {
            $builder->add("time", new TimeConfigForm());
        }
    }

    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            "interface" => true,
            "time" => true,
        ));
    }

    public function getName()
    {
        return "network";
    }
}
