<?php
namespace Topalis\Configuration\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Validator\Constraints\File;
use Symfony\Component\Validator\Constraints\NotBlank;

/**
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class RestoreForm extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused
        $builder
            ->add("password", "password", array(
                "label" => "Password",
            ))
            ->add("file", "file", array(
                "label" => "admin.global.configFile",
                "constraints" => array(new NotBlank(), new File())
            ))
        ;
    }

    /**
     * Returns the name of this type.
     * @return string The name of this type
     */
    public function getName()
    {
        return "restore";
    }
}
