<?php
namespace Topalis\Configuration\Validator;

use Symfony\Component\Validator\Constraint;
use Symfony\Component\Validator\ConstraintValidator;
use Symfony\Component\Validator\Exception\UnexpectedTypeException;
use Topalis\Configuration\Snmpd\SnmpdManager;

/**
 * Validates snmp community
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class SNMPEnabledValidator extends ConstraintValidator
{
    public function validate($value, Constraint $constraint)
    {
        /** @var $constraint SNMPEnabled */
        if (null === $value || "" === $value) {
            return;
        }

        if (!is_array($value)) {
            throw new UnexpectedTypeException($value, "array");
        }

        if ($value['enabled']) {
            if (0 == strlen($value['community'])) {
                $this->context->addViolationAt("community", $constraint->message);
            }
        }
    }
}
