<?php
namespace Topalis\Dashboard;

use Topalis\Dashboard\System\Memory;
use Topalis\Dashboard\System\Network;
use Topalis\Dashboard\System\Filesystem;
use Topalis\Dashboard\System\CPU;

/**
 * gather information about the auralis appliance
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class System
{
    protected $memory;
    protected $cpu;
    protected $filesystem;
    protected $network;
    protected $sleep;

    public function __construct($sleep = false)
    {
        $this->sleep = $sleep;
    }

    /**
     * @return System\Memory
     */
    public function getMemory()
    {
        return ($this->memory) ? : $this->memory = new Memory();
    }

    /**
     * @return System\CPU
     */
    public function getCPU()
    {
        return ($this->cpu) ? : $this->cpu = new CPU($this->sleep);
    }

    /**
     * @return System\Filesystem
     */
    public function getFilesystem()
    {
        return ($this->filesystem) ? : $this->filesystem = new Filesystem();
    }

    /**
     * @return System\Network
     */
    public function getNetwork()
    {
        return ($this->network) ? : $this->network = new Network($this->sleep);
    }
}
