<?php
namespace Topalis\Dashboard\System\Device;

/**
 * Disk device
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class DiskDevice
{
    protected $name;
    protected $size;
    protected $use;
    protected $used;
    protected $available;
    protected $mountPoint;

    public function setAvailable($available)
    {
        $this->available = $available;

        return $this;
    }

    public function getAvailable()
    {
        return $this->available;
    }

    public function setMountPoint($mountPoint)
    {
        $this->mountPoint = $mountPoint;

        return $this;
    }

    public function getMountPoint()
    {
        return $this->mountPoint;
    }

    public function setName($name)
    {
        $this->name = $name;

        return $this;
    }

    public function getName()
    {
        return $this->name;
    }

    public function setSize($size)
    {
        $this->size = $size;

        return $this;
    }

    public function getSize()
    {
        return $this->size;
    }

    /**
     * Sets the disk usage in perecent.
     *
     * @param int $use The disk usage in percent to set.
     * @return DiskDevice $this
     */
    public function setUse($use)
    {
        $this->use = $use;

        return $this;
    }

    /**
     * @return int disk usage in percent
     */
    public function getUse()
    {
        return $this->use;
    }

    public function setUsed($used)
    {
        $this->used = $used;

        return $this;
    }

    public function getUsed()
    {
        return $this->used;
    }

}
