<?php
namespace Topalis\Database\Query;

use Doctrine\ORM\Query\AST\Functions\FunctionNode;
use Doctrine\ORM\Query\Lexer;

/**
 * DATEFunction ::= "DATE" "(" StringExpression ")"
 * DATE(expr) is transformed to: YYYY-MM-DD
 *
 * @author Dominic Tubach <dominic.tubach@to.com>
 */
class DATE extends FunctionNode
{
    private $expr;

    public function parse(\Doctrine\ORM\Query\Parser $parser)
    {
        $parser->match(Lexer::T_IDENTIFIER);
        $parser->match(Lexer::T_OPEN_PARENTHESIS);
        $this->expr = $parser->ScalarExpression();
        $parser->match(Lexer::T_CLOSE_PARENTHESIS);
    }

    public function getSql(\Doctrine\ORM\Query\SqlWalker $sqlWalker)
    {
        return "DATE(" . $this->expr->dispatch($sqlWalker) . ")";
    }
}
