<?php
namespace Topalis\Device\Entity;

use Topalis\Database\EntityManager;

/**
 *
 * @author Dominic Tubach <dominic.tubach@to.com>
 */
class AccessLogEntityManager extends EntityManager
{
    public function __construct(\Doctrine\ORM\EntityManager $em)
    {
        parent::__construct($em, "Topalis\Device\Entity\AccessLog");
    }

    public function getDeviceForIp($ip)
    {
        $qb = $this->createQueryBuilder("a");
        $qb2 = $this->createQueryBuilder("a2");
        $qb->select("a, d")
            ->join("a.device", "d")
            ->where("a.id = ("
                . $qb2->select("max(a2.id)")->where("a2.ip = :ip")->getDQL()
                . ")")
            ->setParameter("ip", $ip)
        ;
        $a = $qb->getQuery()->getOneOrNullResult();
        return $a === null ? null : $a->getDevice();
    }

    /**
     * @param Device $device The device to get the last log entry for.
     * @return AccessLog|NULL The last log entry for the specified device, or
     *     null if there's no log entry.
     */
    public function getLastLogForDevice(Device $device)
    {
        return $this->createQueryBuilder("a")
            ->where("a.device = :device")
            ->orderBy("a.id", "DESC")
            ->setParameter("device", $device)
            ->setMaxResults(1)
            ->getQuery()->getOneOrNullResult();
    }
}
