<?php

namespace Topalis\Device\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * AccessStatDaily
 *
 * @ORM\Table(name="access_stat_daily")
 * @ORM\Entity
 */
class AccessStatDaily
{
    /**
     * @var integer
     * @ORM\Column(name="id", type="integer", nullable=false, options={"unsigned"=true})
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    protected $id;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="date", type="date", nullable=false, unique=true,
     *     options={"comment"="The date at which the traffic accrued"})
     */
    protected $date;

    /**
     * @var integer
     *
     * @ORM\Column(name="traffic", type="bigint", nullable=false,
     *     options={"unsigned"=true, "comment"="Accrued traffic in bytes at that day"})
     */
    protected $traffic;

    /**
     * @var integer
     *
     * @ORM\Column(name="access_count", type="integer", nullable=false,
     *     options={"unsigned"=true, "comment"="Number of accesses at that day"})
     */
    protected $accessCount;

    /**
     * @var integer
     *
     * @ORM\Column(name="distinct_ips", type="integer", nullable=false,
     *     options={"unsigned"=true, "comment"="Number of different IPs at that day"})
     */
    protected $distinctIps;

    /**
     * @var integer
     *
     * @ORM\Column(name="distinct_devices", type="integer", nullable=false,
     *     options={"unsigned"=true, "comment"="Number of different devices at that day"})
     */
    protected $distinctDevices;

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set date
     *
     * @param \DateTime $date
     * @return AccessStatDaily
     */
    public function setDate(\DateTime $date)
    {
        $this->date = $date;

        return $this;
    }

    /**
     * Get date
     *
     * @return \DateTime
     */
    public function getDate()
    {
        return $this->date;
    }

    /**
     * Set traffic
     *
     * @param integer $traffic
     * @return AccessStatDaily
     */
    public function setTraffic($traffic)
    {
        $this->traffic = $traffic;

        return $this;
    }

    /**
     * Get traffic
     *
     * @return integer
     */
    public function getTraffic()
    {
        return $this->traffic;
    }

    /**
     * Set accessCount
     *
     * @param integer $accessCount
     * @return AccessStatDaily
     */
    public function setAccessCount($accessCount)
    {
        $this->accessCount = $accessCount;

        return $this;
    }

    /**
     * Get accessCount
     *
     * @return integer
     */
    public function getAccessCount()
    {
        return $this->accessCount;
    }

    /**
     * Set distinctIps
     *
     * @param integer $distinctIps
     * @return AccessStatDaily
     */
    public function setDistinctIps($distinctIps)
    {
        $this->distinctIps = $distinctIps;

        return $this;
    }

    /**
     * Get distinctIps
     *
     * @return integer
     */
    public function getDistinctIps()
    {
        return $this->distinctIps;
    }

    /**
     * Set distinctDevices
     *
     * @param integer $distinctDevices
     * @return AccessStatDaily
     */
    public function setDistinctDevices($distinctDevices)
    {
        $this->distinctDevices = $distinctDevices;

        return $this;
    }

    /**
     * Get distinctDevices
     *
     * @return integer
     */
    public function getDistinctDevices()
    {
        return $this->distinctDevices;
    }
}
