<?php

namespace Topalis\Device\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 *
 * @author Dominic Tubach <dominic.tubach@to.com>
 *
 * @ORM\Table(name="access_stat_year_month")
 * @ORM\Entity
 */
class AccessStatYearMonth
{
    /**
     * Contains month and year, day is irrelevant and is always set to 01.
     * @var string
     *
     * @ORM\Column(name="date", type="date")
     * @ORM\Id
     */
    protected $date;

    /**
     * @var integer
     *
     * @ORM\Column(name="traffic", type="bigint", nullable=false,
     *     options={"unsigned"=true, "comment"="Accrued traffic in bytes in the month"})
     */
    protected $traffic;

    /**
     * @var integer
     *
     * @ORM\Column(name="access_count", type="integer", nullable=false,
     *     options={"unsigned"=true, "comment"="Number of accesses in the month"})
     */
    protected $accessCount;

    /**
     * @var integer
     *
     * @ORM\Column(name="distinct_ips", type="integer", nullable=false,
     *     options={"unsigned"=true, "comment"="Number of different IPs in the month"})
     */
    protected $distinctIps;

    /**
     * @var integer
     *
     * @ORM\Column(name="distinct_devices", type="integer", nullable=false,
     *     options={"unsigned"=true, "comment"="Number of different devices in the month"})
     */
    protected $distinctDevices;

    /**
     * Get date
     *
     * @return string
     */
    public function getDate()
    {
        return $this->date;
    }

    /**
     * Set traffic
     *
     * @param integer $traffic
     * @return AccessStatYearMonth
     */
    public function setTraffic($traffic)
    {
        $this->traffic = $traffic;

        return $this;
    }

    /**
     * Get traffic
     *
     * @return integer
     */
    public function getTraffic()
    {
        return $this->traffic;
    }

    /**
     * Set accessCount
     *
     * @param integer $accessCount
     * @return AccessStatYearMonth
     */
    public function setAccessCount($accessCount)
    {
        $this->accessCount = $accessCount;

        return $this;
    }

    /**
     * Get accessCount
     *
     * @return integer
     */
    public function getAccessCount()
    {
        return $this->accessCount;
    }

    /**
     * Set distinctIps
     *
     * @param integer $distinctIps
     * @return AccessStatYearMonth
     */
    public function setDistinctIps($distinctIps)
    {
        $this->distinctIps = $distinctIps;

        return $this;
    }

    /**
     * Get distinctIps
     *
     * @return integer
     */
    public function getDistinctIps()
    {
        return $this->distinctIps;
    }

    /**
     * Set distinctDevices
     *
     * @param integer $distinctDevices
     * @return AccessStatYearMonth
     */
    public function setDistinctDevices($distinctDevices)
    {
        $this->distinctDevices = $distinctDevices;

        return $this;
    }

    /**
     * Get distinctDevices
     *
     * @return integer
     */
    public function getDistinctDevices()
    {
        return $this->distinctDevices;
    }
}
