<?php
namespace Topalis\Device\EventListener;

use Doctrine\ORM\Event\LifecycleEventArgs;
use Topalis\Device\Entity\Device;
use Topalis\Device\Type\DeviceTypeFactory;

/**
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
class DeviceTypeListener
{
    /**
     * @var \Topalis\Device\Type\DeviceTypeFactory
     */
    private $typeFactory;

    public function __construct(DeviceTypeFactory $typeFactory)
    {
        $this->typeFactory = $typeFactory;
    }

    public function postLoad(LifecycleEventArgs $args)
    {
        $device = $args->getEntity();
        if (!$device instanceof Device) {
            return;
        }
        if (null === $device->getOs()) {
            return;
        }
        $device->setType($this->typeFactory->getTypeById($device->getOs()));
    }

    public function postPersist(LifecycleEventArgs $args)
    {
        $device = $args->getEntity();
        if (!$device instanceof Device) {
            return;
        }
        if (null === $device->getType()) {
            $device->setType($this->typeFactory->getTypeById($device->getOs()));
        }
    }
}
