<?php
namespace Topalis\Device\EventListener;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use Topalis\Device\Type\AndroidDeviceType;
use Topalis\Profile\PayloadEvent;
use Topalis\Profile\PayloadEvents;

/**
 * Add samsung license payload to enroll profiles for android
 *
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class SamsungLicenseListener implements EventSubscriberInterface
{
    public static function getSubscribedEvents()
    {
        return array(
            PayloadEvents::CREATE_ENROLL_PROFILE => "createEnrollProfile"
        );
    }

    public function createEnrollProfile(PayloadEvent $event)
    {
        $type = $event->getDevice()->getType();
        if (!$type instanceof AndroidDeviceType) {
            return;
        }

        $payload = $type->getSamsungPayload();
        $event->getPayloadFactory()->initPayload($payload, "samsung");
        $event->getProfile()->addPayload($payload);
    }
}
