<?php
namespace Topalis\Device\Filter;

use Doctrine\ORM\Mapping\ClassMetadata;
use Doctrine\ORM\Query\Filter\SQLFilter;
use Topalis\Device\Entity\Device;

/**
 * Only fetch devices with deleted = 0
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class DeletedDeviceFilter extends SQLFilter
{
    public function addFilterConstraint(ClassMetadata $targetEntity, $targetTableAlias)
    {
        // Check if the entity implements the LocalAware interface
        if ($targetEntity->reflClass->getName() != 'Topalis\Device\Entity\Device') {
            return "";
        }

        return "(" . $targetTableAlias . " .deleted = 0 OR "
            . $targetTableAlias . ".wipestatus = " . Device::WIPE_PENDING . ")";
    }
}
