<?php
namespace Topalis\Device\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Symfony\Component\Validator\Constraints\NotBlank;
use Topalis\Form\Validator\Constraint\AndroidPasscode;

/**
 *
 *
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class SetPasscodeForm extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add("passcode", "passcode", array(
                "label" => "admin.devices.setPasscode.passcode",
                "constraints" => array(
                    new NotBlank(),
                    new AndroidPasscode($options['passcode'])
                ),
                "passcode" => $options['passcode'],
            ))
        ;

    }

    public function generatePassword()
    {

    }

    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            "passcode" => array()
        ));
    }

    public function getName()
    {
        return "device_set_passcode";
    }
}
