<?php
namespace Topalis\Device\MDM;

/**
 * Interface describing methods all MDM command classes must provide.
 *
 * @author Dominic Tubach <dominic.tubach@to.com>
 */
interface MdmCommandInterface
{
    /**
     * @return int
     */
    public function getId();

    /**
     * @return \Topalis\Admin\Entity\Admin The administrator that generated the command.
     */
    public function getAdmin();

    /**
     * @return \Topalis\Device\Entity\Device The device the command is aimed for.
     */
    public function getDevice();

    /**
     *
     * @return string Type of the command.
     */
    public function getType();

    /**
     * @return string Status of the command
     */
    public function getStatus();

    /**
     * @return int The creation time of the command as UNIX timestamp.
     */
    public function getCreateTime();

    /**
     * @return int UNIX timestamp when the command was answered by the client.
     */
    public function getResponseTime();

    /**
     * @return int The number of times the command has been copied.
     */
    public function getCopyCount();
}
