tableConfig['device-table'] = {
    bPaginate: true,
    bLengthChange: true,
    "lengthMenu": [ 25, 50, 75, 100 ],
    "aoColumns": [
        null, // device owner
        null, // device name
        { "bVisible": false }, // status sort
        { "iDataSort": 2 }, // status
        null, // os
        null, // version
        null, // config group
        null, // owner
        null, // comment
        null // actions
    ]
};

var deviceModalCallback = function($form) {
    var $accounts = $form.find(".mail-accounts");
    var index = $accounts.length;
    var prototype = $accounts.data("prototype");

    $form.find(".addMailAccount").click(function(event) {
        event.preventDefault();

        var newAccount = prototype.replace(/__name__/g, index++);
        var $account = $('<div class="mail-account"></div>').append(newAccount);


        $accounts.append($account);
    });

    var $userSelect = $form.find("select#device_user");

    var loadGroup = function(user) {
        $.ajax(Routing.generate("admin_user_load_group", {id: user}), {
            success: function(result) {
                $("#device_config_group").val(result.id);
            }
        });
    };

    $userSelect.change(function() {
        var option = $(this).val();
        loadGroup(option);
    });
    if ($userSelect.length > 0) {
        loadGroup($userSelect.val());
    }
};

jQuery(document).ready(function() {
    $("#deviceAdd").click(function(event) {
        event.preventDefault();
        var params = {};
        var group = $(this).data("group");
        if (group > 0) {
            params.group = group;
        }
        openModalForm(Routing.generate("admin_device_add", params), deviceModalCallback);
    });

    $(document).on("click", ".deviceEdit", function(event) {
        event.preventDefault();
        var device = $(this).parent().data("id");

        openModalForm(Routing.generate("admin_device_edit", {id: device}), deviceModalCallback);
    });

    $(document).on("click", "a.repush", function(event) {
        event.preventDefault();
        var device = $(this).parent().data("id");
        openModal(Routing.generate("admin_device_repush", {id: device}));
    });
});
