<?php
namespace Topalis\Device\Type;

use Topalis\Device\Entity\Device;

/**
 *
 *
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
abstract class AbstractDeviceType implements DeviceTypeInterface
{
    public function hasDeviceInfo(Device $device)
    {
        return false;
    }

    public function hasSupport($name, Device $device = null)
    {
        return false;
    }

    public function getDeviceInfo(Device $device)
    {
        return null;
    }

    public function isManaged(Device $device)
    {
        return false;
    }

    public function isRolloutFailed(Device $device)
    {
        return false;
    }

    public function isRolloutFinished(Device $device)
    {
        return $this->hasDeviceInfo($device);
    }

    public function getPushTopic()
    {
        return null;
    }

    public function parseMdmToken(Device $device, $token)
    {
        return $token;
    }

    public function getDeviceProfile(Device $device)
    {
        throw new \BadMethodCallException("can't create profile for device");
    }

    public function getAppStateEntityManagerId()
    {
        throw new \BadMethodCallException("device type does not support app states");
    }
}
