<?php
namespace Topalis\Device\Type\Info;

/**
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class AndroidDeviceInfo extends IosDeviceInfo
{
    public function getVendor()
    {
        return $this->get("Vendor");
    }

    public function getModelName()
    {
        return $this->getData('Model');
    }

    public function getOsVersion()
    {
        return "Android " . $this->getData('OSVersion') . " (" . $this->getData('BuildVersion') . ")";
    }

    public function getIcon()
    {
        return "bundles/topalisdevice/images/android.png";
    }

    /**
     * device is encrypted
     * @return boolean
     */
    public function isEncrypted()
    {
        return (boolean) $this->getData('DeviceEncrypted');
    }

    public function isPasswordSufficient()
    {
        return (boolean) $this->getData('PasscodeSufficient');
    }

    public function getWifiIps()
    {
        return $this->getData('WiFiIp');
    }

    public function getAvailableCapacity()
    {
        return $this->getData('AvailableDeviceCapacity');
    }

    public function getCapacity()
    {
        return $this->getData('DeviceCapacity');
    }

    public function hasExternalStorage()
    {
        return null !== $this->getData('ExternalCapacity');
    }

    public function getAvailableExternalCapacity()
    {
        return $this->getData('AvailableExternalCapacity');
    }

    public function getExternalCapacity()
    {
        return $this->getData('ExternalCapacity');
    }

    public function getBatteryLevel()
    {
        return $this->getData('BatteryLevel') / 100;
    }

    protected function getUsedKeys()
    {
        return array_merge(parent::getUsedKeys(),
            array("WiFiIp", "DeviceEncrypted", "PasscodeSufficient", "NotRegistered", "PasscodePolicy"));
    }
}
