<?php
namespace Topalis\Device\Type\Info;

/**
 * Parses information about a device
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
interface DeviceInfo
{
    public function getVendor();

    public function getModelName();

    public function getName();

    public function getOsVersion();

    public function isRoaming();

    public function getCarrier();

    public function getPhoneNumber();

    public function getUDID();

    public function getIMEI();

    public function getWifiMac();

    public function getBluetoothMac();

    public function getSerial();

    public function getAvailableCapacity();

    public function getCapacity();

    /**
     * @return boolean
     */
    public function hasExternalStorage();

    public function getAvailableExternalCapacity();

    public function getExternalCapacity();

    /**
     * @return float percentage of battery level (0-1)
     */
    public function getBatteryLevel();

    /**
     * @return array associative array containing data that's not accessable
     *     through the other methods.
     */
    public function getOther();

    public function getIcon();

    /**
     *
     * @param string $key
     * @return mixed|NULL The device info with the specified key.
     */
    public function get($key);
}
