<?php
namespace Topalis\Form;

use Topalis\Util\ArrayUtil;

/**
 * Class represents a certificate to be used in twig templates
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class Cert
{
    public $certC = '';
    public $certSt = '';
    public $certL = '';
    public $certO = '';
    public $certOu = '';
    public $certCn = '';
    public $certEmail = '';
    /**
     * @param string $pem The certificate data.
     */
    public function __construct($pem = null)
    {
        if ($pem) {
            $x509 = openssl_x509_parse($pem);
            $subject = ArrayUtil::get($x509, "subject", array());
            $this->certC = ArrayUtil::get($subject, "C");
            $this->certSt = ArrayUtil::get($subject, "ST");
            $this->certL = ArrayUtil::get($subject, "L");
            $this->certO = ArrayUtil::get($subject, "O");
            $this->certOu = ArrayUtil::get($subject, "OU");
            $this->certCn = ArrayUtil::get($subject, "CN");
            $this->certEmail = ArrayUtil::get($subject, "emailAddress");
        }
    }
}
