<?php
namespace Topalis\Form\Extension\EventListener;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use Symfony\Component\Form\FormEvent;
use Symfony\Component\Form\FormEvents;

/**
 * remembers saved password and sets it again if an empty password was submitted
 *
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class PasswordListener implements EventSubscriberInterface
{
    protected $password;

    public static function getSubscribedEvents()
    {
        return array(
            FormEvents::PRE_SET_DATA => "preSetData",
            FormEvents::PRE_SUBMIT => "preSubmit",
        );
    }

    public function preSetData(FormEvent $event)
    {
        $data = $event->getData();
        if (!empty($data)) {
            $this->password = $data;
        }
    }

    public function preSubmit(FormEvent $event)
    {
        $data = $event->getData();
        if (empty($data)) {
            $event->setData($this->password);
        }
    }

}
