<?php
namespace Topalis\Form\Extension\Type;

use Symfony\Component\Form\AbstractTypeExtension;
use Symfony\Component\Form\FormInterface;
use Symfony\Component\Form\FormView;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;

/**
 * Add description to form fields
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class FormType extends AbstractTypeExtension
{
    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(
            array(
                "description"       => null,
                "descriptionBlock"  => false,
                "descriptionParams" => array(),
                "help"              => null,
                "helpHtml"          => false,
                "helpPlacement"     => "right",
                "status"            => null
            )
        );
    }

    public function buildView(FormView $view, FormInterface $form, array $options)
    {
        $form; // unused
        $view->vars = array_replace(
            $view->vars,
            array(
                "description"       => $options['description'],
                "descriptionBlock"  => $options['descriptionBlock'],
                "descriptionParams" => $options['descriptionParams'],
                "help"              => $options['help'],
                "helpHtml"          => $options['helpHtml'],
                "helpPlacement"     => $options['helpPlacement'],
                "status"            => $options['status'],
            )
        );
    }

    /**
     * Returns the name of the type being extended.
     *
     * @return string The name of the type being extended
     */
    public function getExtendedType()
    {
        return "form";
    }
}
