<?php
namespace Topalis\Form\Extension\Type;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Topalis\Form\Extension\EventListener\DefaultPasscodeListener;

/**
 *
 *
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class PasscodeType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder->addEventSubscriber(new DefaultPasscodeListener($options['passcode']));
    }

    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            "passcode" => array(),
        ));
    }

    public function getParent()
    {
        return "text";
    }

    public function getName()
    {
        return "passcode";
    }
}
