<?php
namespace Topalis\Form\Extension\Type;

use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Form\FormInterface;
use Symfony\Component\Form\FormView;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Topalis\Form\Extension\EventListener\PasswordListener;
use Symfony\Component\Form\Extension\Core\Type\PasswordType as BasePasswordType;

/**
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class PasswordType extends BasePasswordType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused
        $builder->addEventSubscriber(new PasswordListener());
    }

    public function buildView(FormView $view, FormInterface $form, array $options)
    {
        $view->vars['had_value'] = !empty($view->vars['value']) || $options['had_value'];

        parent::buildView($view, $form, $options);
    }

    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        parent::setDefaultOptions($resolver);
        $resolver->setDefaults(array(
            "had_value" => false
        ));
    }

}
