<?php
namespace Topalis\Kernel;

abstract class AbstractTimeProvider implements TimeProviderInterface
{
    public function getDate($format)
    {
        return date($format, $this->getTime());
    }

    public function getDateTime()
    {
        $dt = \DateTime::createFromFormat("U", $this->getTime());
        $dt->setTimezone($this->getTimezone());
        return $dt;
    }

    public function getTimezone()
    {
        // ignore warning for silencing errors
        // @codingStandardsIgnoreStart
        return new \DateTimeZone(@date_default_timezone_get());
        // @codingStandardsIgnoreEnd
    }
}
