<?php
namespace Topalis\Kernel\DependencyInjection;

use InvalidArgumentException;
use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Extension\Extension;
use Symfony\Component\DependencyInjection\Loader\YamlFileLoader;

/**
 *
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class TopalisKernelExtension extends Extension
{
    public function load(array $configs, ContainerBuilder $container)
    {
        $configuration = $this->getConfiguration($configs, $container);
        $config = $this->processConfiguration($configuration, $configs);

        $container->setParameter("kernel.languages", array("de", "en"));
        $container->setParameter("kernel.upload_dir", $config['upload_dir']);

        $loader = new YamlFileLoader($container, new FileLocator(__DIR__."/../Resources/config"));
        $loader->load("db.yml");
        $loader->load("auth.yml");
        $loader->load("twig.yml");
        $loader->load("services.yml");
        $loader->load("security.yml");
        $loader->load("assets.yml");
    }
}
