<?php
namespace Topalis\Kernel\Exception\Curl;

class CurlException extends \Exception
{
    private $curlErrorCode;
    private $curlErrorMessage;
    private $url;

    public function __construct($url, $curlErrorMessage, $curlErrorCode, $message = null)
    {
        if ($message === null) {
            $message = sprintf("Downloading %s failed: %s", $url, "$curlErrorMessage ($curlErrorCode)");
        }
        parent::__construct($message);
        $this->url = $url;
        $this->curlErrorMessage = $curlErrorMessage;
        $this->curlErrorCode = $curlErrorCode;
    }

    /**
     * @return int cURL error code.
     * @see http://curl.haxx.se/libcurl/c/libcurl-errors.html
     */
    public function getCurlErrorCode()
    {
        return $this->curlErrorCode;
    }

    public function getCurlErrorMessage()
    {
        return $this->curlErrorMessage;
    }

    public function getUrl()
    {
        return $this->url;
    }
}
