<?php
namespace Topalis\Kernel\Exception\Download;

class DownloadException extends \Exception
{
    private $httpStatus;
    private $url;

    public function __construct($url, $httpStatus, $message = null)
    {
        $httpStatus = $httpStatus ? intval($httpStatus) : false;
        if ($message === null) {
            if ($httpStatus) {
                $message = sprintf("Downloading %s failed (HTTP status code %d)", $url, $httpStatus);
            } else {
                $message = sprintf("Downloading %s failed", $url);
            }
        }
        $this->url = $url;
        $this->httpStatus = $httpStatus;
        parent::__construct($message);
    }

    public function getHttpStatus()
    {
        return $this->httpStatus;
    }

    public function getUrl()
    {
        return $this->url;
    }
}
