<?php
namespace Topalis\Kernel\Monolog;

use Topalis\Util\Exception\Process\ExecException;

/**
 * This processor adds the output of an external program call set in an
 * ExecException.
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
class ExecProcessor
{
    /**
     * @param array $record
     * @return array
     */
    public function __invoke(array $record)
    {
        if (isset($record['context']['exception'])) {
            $e = $record['context']['exception'];
            if ($e instanceof ExecException && !$e->isMessageContainsOutput()) {
                $record['extra']['exec_output'] = $e->getOutput();
            }
        }
        return $record;
    }

}
