<?php
namespace Topalis\Kernel\Security;

use Symfony\Bundle\SecurityBundle\DependencyInjection\Security\Factory\FormLoginFactory;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\DefinitionDecorator;

/**
 *
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class DeviceSecurityFactory extends FormLoginFactory
{
    public function __construct()
    {
        parent::__construct();
        $this->addOption("device", true);
    }

    /**
     * Subclasses must return the id of a service which implements the
     * AuthenticationProviderInterface.
     *
     * @param ContainerBuilder $container
     * @param string           $id             The unique id of the firewall
     * @param array            $config         The options array for this listener
     * @param string           $userProviderId The id of the user provider
     *
     * @return string never null, the id of the authentication provider
     */
    protected function createAuthProvider(ContainerBuilder $container, $id, $config, $userProviderId)
    {
        $config; // unused
        $userProviderId; // unused

        $provider = 'security.authentication.provider.device.'.$id;
        $container
            ->setDefinition($provider, new DefinitionDecorator('kernel.security.authentication.provider.device'))
            ->replaceArgument(1, $id)
        ;

        return $provider;
    }

    public function getPosition()
    {
        return "form";
    }

    public function getKey()
    {
        return "device";
    }
}
