<?php
namespace Topalis\Kernel;

/**
 * A TimeProvider is used to get the current time. If can be used to override
 * the current time in tests.
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
interface TimeProviderInterface
{
    /**
     * @param string $format A formatted date string created with date() using
     *     the timestamp returned by getTime().
     */
    public function getDate($format);

    /**
     * @return \DateTime A DateTime object with the current time.
     */
    public function getDateTime();

    /**
     * @return int The current UNIX timestamp.
     */
    public function getTime();

    /**
     * @return \DateTimeZone The default time zone.
     */
    public function getTimezone();
}
