<?php
namespace Topalis\Log\DependencyInjection;

use Symfony\Component\Config\Definition\Builder\TreeBuilder;
use Symfony\Component\Config\Definition\ConfigurationInterface;

/**
 *
 *
 * @author Florian Pfitzer <florian.pfitzer@to.com>
 * @author Dominic Tubach <dominic.tubach@to.com>
 */
class Configuration implements ConfigurationInterface
{

    /**
     * Generates the configuration tree builder.
     *
     * @return \Symfony\Component\Config\Definition\Builder\TreeBuilder The tree builder
     */
    public function getConfigTreeBuilder()
    {
        $treeBuilder = new TreeBuilder();
        $rootNode = $treeBuilder->root("log");

        if (is_dir("/var/log/apache2")) {
            $defaultHttpdLogDir = "/var/log/apache2";
        } else {
            $defaultHttpdLogDir = "/var/log/httpd";
        }

        $rootNode->children()
            ->arrayNode("httpd")->addDefaultsIfNotSet()->children()
                ->scalarNode("dir")->isRequired()->defaultValue($defaultHttpdLogDir)->end()
            ->end()
        ->end();

        return $treeBuilder;
    }
}
