<?php
namespace Topalis\Log\EventListener;

use Doctrine\ORM\Event\LifecycleEventArgs;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Topalis\Admin\Entity\Admin;
use Topalis\Log\WebDavManager;

/**
 *
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class WebDavEventListener
{
    /**
     * @var \Symfony\Component\DependencyInjection\ContainerInterface
     */
    private $container;

    public function __construct(ContainerInterface $container)
    {
        $this->container = $container;
    }

    /**
     * @return WebDavManager
     */
    private function getWebDavManager()
    {
        return $this->container->get("log.webdav.manager");
    }

    public function postRemove(LifecycleEventArgs $eventArgs)
    {
        $this->generate($eventArgs);
    }

    public function postPersist(LifecycleEventArgs $eventArgs)
    {
        $this->generate($eventArgs);
    }

    public function postUpdate(LifecycleEventArgs $eventArgs)
    {
        $this->generate($eventArgs);
    }

    private function generate(LifecycleEventArgs $eventArgs)
    {
        $entity = $eventArgs->getEntity();
        if (!$entity instanceof Admin) {
            return;
        }

        $this->getWebDavManager()->generateHtpasswd();
    }
}
