<?php
namespace Topalis\Log;

/**
 * Interface for log file
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
interface LogInterface
{
    /**
     * Return total line count
     * @return int
     */
    public function getLines();

    /**
     * Return content form line $line
     * @param int $line
     *
     * @return string
     */
    public function getContentFromLine($line);

    /**
     * Return complete content
     * @return string
     */
    public function getContent();

    /**
     * Get log id (used to identify logs)
     * @return string
     */
    public function getId();

    /**
     * Return human readable name of the log
     * @return string
     */
    public function getName();

    /**
     * Sets the human readable name of the log.
     *
     * @param string $name The name to set.
     */
    public function setName($name);
}
