<?php
namespace Topalis\MDM\Controller;

use Topalis\Kernel\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;

/**
 *
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 *
 * @Route("/mdm", service="mdm.controller")
 */
class MdmController extends Controller
{
    /**
     * @return \Topalis\MDM\MdmService
     */
    private function getMdmService()
    {
        return $this->container->get("mdm.service");
    }

    /**
     * @Route("", name="mdm")
     * // for devices rolled out with versions prior to 2.1
     * @Route(".php", name="mdm_old")
     *
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function indexAction()
    {
        // set language of admin mails to default; ignore locale sent by client
        $this->getTranslator()->setLocale("");
        return $this->getMdmService()->handleRequest($this->getRequest());
    }
}
