<?php
namespace Topalis\MDM\Entity;

use Topalis\Database\EntityManager;
use Doctrine\ORM\Query\Expr;

/**
 *
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class MdmCommandEntityManager extends EntityManager
{
    /**
     *
     * @param string|array $status
     * @param integer $deviceOs
     */
    public function findByStatusAndOs($status, $deviceOs = null)
    {
        $qb = $this->createQueryBuilder("c");
        if (is_string($status)) {
            $qb->where("c.status = :status")
                ->setParameter("status", $status);
        } else {
            $qb->where("c.status IN (:status)")
                ->setParameter("status", implode(", ", $status));
        }
        if ($deviceOs !== null) {
            $qb->join("c.device", "d", Expr\Join::WITH, "d.os = :os")
                ->setParameter("os", $deviceOs);
        }

        return $qb->getQuery()->getResult();
    }
}
