<?php
namespace Topalis\MDM\EventListener;

use Doctrine\ORM\Event\LifecycleEventArgs;
use Topalis\MDM\Entity\MdmCommand;

class MdmCommandListener
{
    private $logger;

    public function __construct(\Psr\Log\LoggerInterface $logger)
    {
        $this->logger = $logger;
    }

    /**
     * @return \Psr\Log\LoggerInterface
     */
    private function getLogger()
    {
        return $this->logger;
    }

    public function postPersist(LifecycleEventArgs $eventArgs)
    {
        $entity = $eventArgs->getEntity();
        if (!$entity instanceof MdmCommand) {
            return;
        }

        $admin = $entity->getAdmin()->getLogin() . " (id " . $entity->getAdmin()->getId() . ")";
        $command = $entity->getRequestType() . " (" . $entity->getInfo() . ", id " . $entity->getId() . ")";
        $this->getLogger()->info("Admin " . $admin . " created a new MDM command: " . $command);
    }
}
