<?php
namespace Topalis\MDM;

use Symfony\Component\EventDispatcher\Event;
use Topalis\MDM\Entity\MdmCommand;

/**
 *
 *
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class MdmEvent extends Event
{
    /**
     * @var MdmServiceContext
     */
    protected $context;

    public function __construct(MdmServiceContext $context)
    {
        $this->context = $context;
    }

    /**
     * @return \Topalis\MDM\MdmServiceContext
     */
    public function getContext()
    {
        return $this->context;
    }

    /**
     * @return \Topalis\Device\Entity\Device
     */
    public function getDevice()
    {
        return $this->getContext()->getDevice();
    }

    public function isAcknowledged()
    {
        return MdmCommand::STATUS_ACKNOWLEDGED == $this->context->getMdmRequest()->getStatus();
    }

    public function isError()
    {
        $status = $this->context->getMdmRequest()->getStatus();

        return MdmCommand::STATUS_ERROR == $status
               || MdmCommand::STATUS_COMMAND_FORMAT_ERROR == $status;
    }
}
