<?php
namespace Topalis\MDM\Request;

use Topalis\MDM\Request\AbstractMdmRequest;

/**
 * This class represents the ApplyRedemptionCode request.
 *
 * @author Dominic Tubach <dominic.tubach@to.com>
 */
class ApplyRedemptionCodeRequest extends AbstractMdmRequest
{
    const REQUEST_TYPE = "ApplyRedemptionCode";

    /**
     *
     * @return string|NULL
     */
    public function getIdentifier()
    {
        return $this->getValue("Identifier");
    }

    /**
     *
     * @param string $identifier
     */
    public function setIdentifier($identifier)
    {
        $this->setValue("Identifier", $identifier, self::TYPE_STRING);
    }

    /**
     *
     * @return string|NULL
     */
    public function getRedemptionCode()
    {
        return $this->getValue("RedemptionCode");
    }

    /**
     *
     * @param string $redemptionCode
     */
    public function setRedemptionCode($redemptionCode)
    {
        $this->setValue("RedemptionCode", $redemptionCode, self::TYPE_STRING);
    }
}
