<?php
namespace Topalis\MDM\Request;

use Topalis\MDM\Request\AbstractMdmRequest;

/**
 * This class represents the InviteToProgram request.
 *
 * @author Dominic Tubach <dominic.tubach@to.com>
 */
class InviteToProgramRequest extends AbstractMdmRequest
{
    const REQUEST_TYPE = "InviteToProgram";

    const VOLUME_PURCHASING_PROGRAM_ID = "com.apple.cloudvpp";

    /**
     *
     * @return string|NULL
     */
    public function getProgramID()
    {
        return $this->getValue("ProgramID");
    }

    /**
     *
     * @param string $programID
     */
    public function setProgramID($programID)
    {
        $this->setValue("ProgramID", $programID, self::TYPE_STRING);
    }

    /**
     *
     * @return string|NULL
     */
    public function getInvitationURL()
    {
        return $this->getValue("InvitationURL");
    }

    /**
     *
     * @param string $invitationURL
     */
    public function setInvitationURL($invitationURL)
    {
        $this->setValue("InvitationURL", $invitationURL, self::TYPE_STRING);
    }
}
