<?php
namespace Topalis\MDM;

use Symfony\Component\HttpKernel\Bundle\Bundle;
use Topalis\Device\Entity\Device;

/**
 *
 *
 * @author Florian Pfitzer <florian.pfitzer@to.com>
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
class TopalisMdmBundle extends Bundle
{
    public function boot()
    {
        $deviceTypeFactory = $this->container->get("device.type.factory");
        $mdmFacadeContainer = $this->container->get("device.mdm.facade.container");
        $mdmFacadeContainer->registerMdmFacade(
            $deviceTypeFactory->getType("ios")->getId(), $this->container->get("mdm.facade"));
        $mdmFacadeContainer->registerMdmFacade(
            $deviceTypeFactory->getType("android")->getId(), $this->container->get("mdm.facade"));
    }
}
