<?php
namespace Topalis\Maintenance\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\Validator\Constraints\NotBlank;
use Topalis\Form\Validator\Constraint\Password;

/**
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class MaintenanceForm extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused
        $builder
            ->add("password", "repeated", array(
                "type" => "password",
                "invalid_message" => "password.doNotMatch",
                "first_options" => array("label" => "Password"),
                "second_options" => array("label" => "repeatPassword"),
                "constraints" => array(
                    new NotBlank(),
                    new Password(array(
                        "capital" => false,
                        "lowercase" => false,
                        "digit" => false,
                        "specialChar" => false
                    ))
                )
            ))
        ;
    }

    /**
     * Returns the name of this type.
     * @return string The name of this type
     */
    public function getName()
    {
        return "maintenance";
    }
}
