<?php
namespace Topalis\Menu;

/**
 * Class for building a simple menu and registering a menu in twig templates
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class Menu
{
    protected $items = array();

    public function add($link, $text, $icon = "")
    {
        $item = new MenuItem($link, $text, $icon);
        $this->addItem($item);

        return $this;
    }

    public function addItem(MenuItem $item)
    {
        $this->items[] = $item;

        return $this;
    }

    public function addGroup($text)
    {
        $this->items[] = new MenuGroup($text);

        return $this;
    }

    public function addDivider()
    {
        $this->items[] = new MenuDivider();
    }

    public function getItems()
    {
        return $this->items;
    }
}
