<?php
namespace Topalis\Menu;

/**
 * Represents a menu item
 *
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class MenuItem implements MenuItemInterface
{
    protected $link;
    protected $text;
    protected $icon;
    public function __construct($link, $text, $icon = "")
    {
        $this->link = $link;
        $this->text = $text;
        $this->icon = $icon;
    }

    public function setLink($link)
    {
        $this->link = $link;

        return $this;
    }

    public function getLink()
    {
        return $this->link;
    }

    public function setText($text)
    {
        $this->text = $text;

        return $this;
    }

    public function getText()
    {
        return $this->text;
    }

    public function setIcon($icon)
    {
        $this->icon = $icon;

        return $this;
    }
    public function getIcon()
    {
        return $this->icon;
    }

    public function isActive()
    {
        $url = $_SERVER['PHP_SELF'];
        if ($url == $this->link) {
            return true;
        }

        return false;
    }

    public function getType()
    {
        return "item";
    }
}
