<?php
namespace Topalis\Update\Command;

use Topalis\App\Entity\App;

/**
 * This class contains methods to perform the update to version 2.3.1
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
class UpdateHelper020301
{
    /**
     * @var \Symfony\Component\DependencyInjection\ContainerInterface
     */
    private $container;

    public function __construct(\Symfony\Component\DependencyInjection\ContainerInterface $container)
    {
        $this->container = $container;
    }

    /**
     * Sets the type of apps with empty types to UNKNOWN #AUR-604
     */
    public function setEmptyAppTypeToUnknown()
    {
        $appEntityManagers = array(
            $this->container->get("app.entity.manager.android_app"),
            $this->container->get("app.entity.manager.ios_app")
        );

        foreach ($appEntityManagers as $appEntityManager) {
            $appEntityManager->createQueryBuilder("a")
                ->update()
                ->set("a.type", ":type")
                ->where("a.type = ''")
                ->setParameter("type", App::TYPE_UNKNOWN)
                ->getQuery()
                ->execute();
        }
    }
}
