<?php
namespace Topalis\User\Form\Transformer;

use Symfony\Component\Form\DataTransformerInterface;
use Topalis\User\Entity\User;
use Topalis\User\Entity\UserEntityManager;

/**
 * Transform user to numeric id
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class UserTransformer implements DataTransformerInterface
{
    /**
     * @var \Topalis\User\Entity\UserEntityManager
     */
    private $userManager;

    public function __construct(UserEntityManager $userManager)
    {
        $this->userManager = $userManager;
    }

    public function transform($value)
    {
        if (null === $value) {
            return;
        }

        if (!$value instanceof User) {
            return null;
        }

        return $value->getId();
    }

    public function reverseTransform($value)
    {
        if (null === $value) {
            return;
        }

        return $this->userManager->find($value);
    }
}
