<?php
namespace Topalis\WebClip\Entity;

use Doctrine\ORM\Mapping as ORM;
use Topalis\ConfigGroup\Entity\ConfigGroup;

/**
 *
 * @ORM\Entity()
 * @ORM\Table(name="web_clips")
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class WebClip extends AbstractWebClip
{
    /**
     * @var string
     * @ORM\Column(type="string")
     */
    protected $url;

    /**
     * Indicates if and icon is added to the home screen.
     *
     * @var boolean
     *
     * @ORM\Column(name="visible", type="boolean", nullable=false,
     *     options={"default"=true})
     */
    protected $visible = true;

    /**
     * @return string
     */
    public function getUrl()
    {
        return $this->url;
    }

    /**
     * @param string $url
     *
     * @return $this
     */
    public function setUrl($url)
    {
        $this->url = $url;

        return $this;
    }

    public function addConfigGroup(ConfigGroup $group)
    {
        if ($this->configGroups->contains($group)) {
            return $this;
        }

        $this->configGroups->add($group);
        $group->addWebClip($this);

        return $this;
    }

    public function removeConfigGroup(ConfigGroup $group)
    {
        if ($this->configGroups->removeElement($group)) {
            $group->removeWebClip($this);
        }

        return $this;
    }

}
