<?php
namespace Topalis\Wifi\Form\Handler;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Form\FormInterface;
use Topalis\Wifi\Entity\WifiConfig;

class WifiConfigFormHandler
{
    /**
     *
     * @var \Symfony\Component\HttpFoundation\Request
     */
    private $request;

    /**
     * @var \Topalis\Wifi\Entity\WifiConfig
     */
    private $wifiConfigEntity;

    public function __construct(Request $request)
    {
        $this->request = $request;
    }

    /**
     *
     * @return \Topalis\Wifi\Entity\WifiConfig
     */
    public function getWifiConfigEntity()
    {
        return $this->wifiConfigEntity;
    }

    public function process(FormInterface $form)
    {
        $form->handleRequest($this->request);

        if ($form->isValid()) {
            $this->onSuccess($form);
            return true;
        }

        return false;
    }

    private function onSuccess(FormInterface $form)
    {
        $this->wifiConfigEntity = $form->get("wifiConfig")->getData();
        if ($this->wifiConfigEntity->getEncryptionType() == WifiConfig::ENCRYPTION_TYPE_NONE) {
            $this->wifiConfigEntity->setEncryptionKey(null);
        }
        $proxyType = $this->wifiConfigEntity->getProxyType();
        if ($proxyType == WifiConfig::PROXY_TYPE_NONE || $proxyType == WifiConfig::PROXY_TYPE_AUTO) {
            $this->wifiConfigEntity->setProxyHost(null);
            $this->wifiConfigEntity->setProxyPassword(null);
            $this->wifiConfigEntity->setProxyPort(null);
            $this->wifiConfigEntity->setProxyUsername(null);
        }
        if ($proxyType == WifiConfig::PROXY_TYPE_NONE || $proxyType == WifiConfig::PROXY_TYPE_MANUAL) {
            $this->wifiConfigEntity->setProxyPacFallbackAllowed(null);
            $this->wifiConfigEntity->setProxyPacUrl(null);
        }
    }
}
