<?php
namespace Topalis\Wifi\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Topalis\Wifi\Entity\WifiConfig;
use Topalis\Wifi\Form\Type\WifiConfigType;

/**
 * @author Dominic Tubach <dominic.tubach@to.com>
 */
class WifiConfigForm extends AbstractType
{
    /**
     *
     * @var \Topalis\Wifi\Entity\WifiConfig
     */
    private $wifiConfig;

    public function __construct(WifiConfig $wifiConfig = null)
    {
        $this->wifiConfig = $wifiConfig;
    }

    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused

        $builder->add("wifiConfig", new WifiConfigType());

        if ($this->wifiConfig !== null && $this->wifiConfig->getId() !== null) {
            $builder->get("wifiConfig")->setData($this->wifiConfig);
        } else {
            $builder->get("wifiConfig")->get("autoJoin")->setData(true);
        }
    }

    /**
     * Returns the name of this type.
     * @return string The name of this type
     */
    public function getName()
    {
        return "wifiConfig";
    }
}
