<?php
namespace Topalis\WinPhone\Controller;

use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Topalis\Kernel\Controller;
use Topalis\WinPhone\Wstep\WstepServer;
use Topalis\WinPhone\Soap\SoapResponse;

/**
 * This controller provides the certificate enrollment service for Windows Phone.
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 *
 * @Route("/EnrollmentServer/DeviceEnrollment.svc", service="winphone.controller.enrollment")
 */
class EnrollmentController extends Controller
{
    public function getSoapServer()
    {
        $server = new WstepServer();
        $server->setContainer($this->container);
        return $server;
    }

    /**
     * @Route("", name="win_enroll", methods="POST")
     *
     * @return \Topalis\WinPhone\Soap\SoapResponse
     */
    public function enrollAction()
    {
        $server = $this->getSoapServer();
        $content = $server->handle($this->getRequest()->getContent());
        $response = new SoapResponse($content);
        $response->headers->set("Cache-Control", "private");
        $response->headers->set("Content-Length", strlen($content));
        return $response;
    }
}
