<?php
namespace Topalis\WinPhone\Event\OMA\SyncML;

use Doctrine\ORM\Event\LifecycleEventArgs;
use Topalis\WinPhone\Entity\SyncMLCommand;

class SyncMLCommandListener
{
    private $logger;

    public function __construct(\Psr\Log\LoggerInterface $logger)
    {
        $this->logger = $logger;
    }

    /**
     * @return \Psr\Log\LoggerInterface
     */
    private function getLogger()
    {
        return $this->logger;
    }

    public function postPersist(LifecycleEventArgs $eventArgs)
    {
        $entity = $eventArgs->getEntity();
        if (!$entity instanceof SyncMLCommand) {
            return;
        }

        $admin = $entity->getAdmin()->getLogin() . " (id " . $entity->getAdmin()->getId() . ")";
        $command = $entity->getCommandType() . " (" . $entity->getInfo() . ", id " . $entity->getId() . ")";
        $this->getLogger()->info("Admin " . $admin . " created a new SyncML command: " . $command);
    }
}
