<?php
namespace Topalis\WinPhone\OMA\Provisioning;

class ProviderCharacteristic extends Characteristic
{
    /**
     * @var Characteristic
     */
    private $providerId;

    public function __construct($id)
    {
        parent::__construct("Provider");
        $this->providerId = new Characteristic($id);
        parent::addCharacteristic($this->providerId);
    }

    public function addCharacteristic(Characteristic $characteristic)
    {
        $this->removeCharacteristic($this->providerId);
        parent::addCharacteristic($characteristic);
        $this->providerId = $characteristic;
    }

    public function getId()
    {
        return $this->providerId->getType();
    }

    public function setId($id)
    {
        $this->providerId->setType($id);
    }

    public function getEntDeviceName()
    {
        return $this->providerId->getParmValue("EntDeviceName");
    }

    public function setEntDeviceName($entDeviceName)
    {
        $this->providerId->setParmValue("EntDeviceName", $entDeviceName, "string");
    }

    public function getEntDMID()
    {
        return $this->providerId->getParmValue("EntDMID");
    }

    public function setEntDMID($entDMID)
    {
        $this->providerId->setParmValue("EntDMID", $entDMID, "string");
    }

    /**
     * @return PollCharacteristic|NULL
     */
    public function getPoll()
    {
        return $this->providerId->getFirstCharacteristic("Poll");
    }

    public function setPoll(PollCharacteristic $poll = null)
    {
        $this->providerId->setCharacteristic("Poll", $poll);
    }
}
