<?php
namespace Topalis\WinPhone\OMA\SyncML\Entity;

abstract class AbstractConcreteCommand extends AbstractCommand
{

    /**
     *
     * @var Cred
     */
    protected $cred;

    /**
     *
     * @var array
     */
    protected $items = array();

    /**
     *
     * @return Cred
     */
    public function getCred()
    {
        return $this->cred;
    }

    /**
     *
     * @param Cred $cred
     */
    public function setCred(Cred $cred)
    {
        $this->cred = $cred;
        return $this;
    }

    public function addItem(Item $item)
    {
        $this->items[] = $item;
    }

    /**
     *
     * @param integer $index
     * @return Item
     */
    public function getItem($index)
    {
        return $this->items[$index];
    }

    /**
     *
     * @return array
     */
    public function getItems()
    {
        return $this->items;
    }

    /**
     *
     * @param array $items
     */
    public function setItems(array $items)
    {
        $this->items = $items;
        return $this;
    }
}
