<?php
namespace Topalis\WinPhone\OMA\SyncML\Entity;

class Exec extends AbstractConcreteCommand
{

    /**
     *
     * @param Item $item
     * @throws \BadMethodCallException If the command already has an item.
     */
    public function addItem(Item $item)
    {
        if (count($this->items) > 0) {
            throw new \BadMethodCallException("The Exec element must not have more than one Item element");
        }

        $this->items[] = $item;
    }

    /**
     *
     * @param Item $item
     */
    public function setItem(Item $item)
    {
        $this->items = array(
            $item
        );
    }

    /**
     *
     * @param array $items
     * @throws \InvalidArgumentException If the array has more than one element.
     */
    public function setItems(array $items)
    {
        if (count($items > 0)) {
            throw new \InvalidArgumentException("The Exec element must not have more than one Item element");
        }

        $this->items = $items;
        return $this;
    }
}
