<?php
namespace Topalis\WinPhone\OMA\SyncML\Entity;

use Topalis\Util\TypeCheck;

class Meta extends AbstractSyncMLElement
{
    protected $elements;

    public function __construct(array $elements = array())
    {
        $this->elements = $elements;
    }

    public function __get($name)
    {
        return isset($this->elements[$name]) ? $this->elements[$name] : null;
    }

    public function __set($name, $value)
    {
        $this->elements[$name] = $value;
    }

    protected function appendValueToDOM($name, $value, \DOMNode $node)
    {
        $name; // unused

        if (!TypeCheck::isAssocArray($value)) {
            throw new \InvalidArgumentException("Epected associative array");
        }

        foreach ($value as $key => $val) {
            $doc = $node->ownerDocument;
            $elem = $doc->createElement($key);
            $node->appendChild($elem);
            $elem->setAttribute("xmlns", "syncml:metinf");
            if (!is_bool($value)) {
                $elem->nodeValue = $val;
            }
        }
    }
}
