<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for AdditionalContext originally named AdditionalContextType
 * Meta informations extracted from the WSDL
 * - from schema : {@link http://schemas.xmlsoap.org/ws/2006/12/authorization/ws-authorization.xsd}
 * @date 2013-12-03
 */
class AdditionalContext
{
    /**
     * The ContextItem
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * @var ContextItem
     */
    public $ContextItem;
    /**
     * The any
     * @var DOMDocument
     */
    public $any;
    /**
     * Constructor method for AdditionalContextType
     * @uses AdditionalContext::setContextItem()
     * @uses AdditionalContext::setAny()
     * @param  ContextItem       $_contextItem
     * @param  DOMDocument       $_any
     * @return AdditionalContext
     */
    public function __construct($_contextItem = null, $_any = null)
    {
        $this->setContextItem($_contextItem);
        $this->setAny($_any);
    }
    /**
     * Get ContextItem value
     * @return ContextItem|null
     */
    public function getContextItem()
    {
        return $this->ContextItem;
    }
    /**
     * Set ContextItem value
     * @param  ContextItem $_contextItem the ContextItem
     * @return ContextItem
     */
    public function setContextItem($_contextItem)
    {
        return ($this->ContextItem = $_contextItem);
    }
    /**
     * Get any value
     * @uses DOMDocument::loadXML()
     * @uses DOMDocument::hasChildNodes()
     * @uses DOMDocument::saveXML()
     * @uses DOMNode::item()
     * @uses AdditionalContext::setAny()
     * @param bool true or false whether to return XML value as string or as DOMDocument
     * @return DOMDocument|null
     */
    public function getAny($_asString = true)
    {
        if (!empty($this->any) && !($this->any instanceof DOMDocument)) {
            $dom = new \DOMDocument('1.0', 'UTF-8');
            $dom->formatOutput = true;
            if ($dom->loadXML($this->any)) {
                $this->setAny($dom);
            }
            unset($dom);
        }

        return ($_asString && ($this->any instanceof DOMDocument)
            && $this->any->hasChildNodes()) ? $this->any->saveXML($this->any->childNodes->item(0)) : $this->any;
    }
    /**
     * Set any value
     * @param  DOMDocument $_any the any
     * @return DOMDocument
     */
    public function setAny($_any)
    {
        return ($this->any = $_any);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
