<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * Class which returns the class map definition by the static method
 * ClassMap::getClassMap() @date 2013-12-03
 */
class ClassMap
{

    /**
     * This method returns the array containing the mapping between WSDL structs
     * and generated classes This array is sent to the SoapClient when calling
     * the WS
     *
     * @return array
     */
    final public static function getClassMap()
    {
        // @codingStandardsIgnoreStart
        return array(
            "AdditionalContextType" => "Topalis\\WinPhone\\Wstep\\Entity\\AdditionalContext",
            "AllowPostdatingType" => "Topalis\\WinPhone\\Wstep\\Entity\\AllowPostdating",
            "AttributedDateTime" => "Topalis\\WinPhone\\Wstep\\Entity\\AttributedDateTime",
            "AttributedQNameType" => "Topalis\\WinPhone\\Wstep\\Entity\\AttributedQName",
            "AttributedString" => "Topalis\\WinPhone\\Wstep\\Entity\\AttributedString",
            "AttributedURI" => "Topalis\\WinPhone\\Wstep\\Entity\\AttributedURI",
            "AttributedURIType" => "Topalis\\WinPhone\\Wstep\\Entity\\AttributedURI",
            "AttributedUnsignedLongType" => "Topalis\\WinPhone\\Wstep\\Entity\\AttributedUnsignedLong",
            "AuthenticatorType" => "Topalis\\WinPhone\\Wstep\\Entity\\Authenticator",
            "BinaryExchangeType" => "Topalis\\WinPhone\\Wstep\\Entity\\BinaryExchange",
            "BinarySecretType" => "Topalis\\WinPhone\\Wstep\\Entity\\BinarySecret",
            "BinarySecretTypeEnum" => "Topalis\\WinPhone\\Wstep\\Entity\\BinarySecretTypeEnum",
            "BinarySecurityTokenType" => "Topalis\\WinPhone\\Wstep\\Entity\\BinarySecurityToken",
            "CancelTargetType" => "Topalis\\WinPhone\\Wstep\\Entity\\CancelTarget",
            "CanonicalizationMethodType" => "Topalis\\WinPhone\\Wstep\\Entity\\CanonicalizationMethod",
            "CertificateEnrollmentWSDetailType" => "Topalis\\WinPhone\\Wstep\\Entity\\CertificateEnrollmentWSDetail",
            "ClaimType" => "Topalis\\WinPhone\\Wstep\\Entity\\Claim",
            "ClaimsType" => "Topalis\\WinPhone\\Wstep\\Entity\\Claims",
            "ComputedKeyEnum" => "Topalis\\WinPhone\\Wstep\\Entity\\ComputedKeyEnum",
            "ContextItemType" => "Topalis\\WinPhone\\Wstep\\Entity\\ContextItem",
            "DSAKeyValueType" => "Topalis\\WinPhone\\Wstep\\Entity\\DSAKeyValue",
            "DelegateToType" => "Topalis\\WinPhone\\Wstep\\Entity\\DelegateTo",
            "DigestMethodType" => "Topalis\\WinPhone\\Wstep\\Entity\\DigestMethod",
            "DispositionMessageType" => "Topalis\\WinPhone\\Wstep\\Entity\\DispositionMessage",
            "EmbeddedType" => "Topalis\\WinPhone\\Wstep\\Entity\\Embedded",
            "EncodedString" => "Topalis\\WinPhone\\Wstep\\Entity\\EncodedString",
            "EncryptionType" => "Topalis\\WinPhone\\Wstep\\Entity\\Encryption",
            "EndpointReferenceType" => "Topalis\\WinPhone\\Wstep\\Entity\\EndpointReference",
            "EntropyType" => "Topalis\\WinPhone\\Wstep\\Entity\\Entropy",
            "FaultCodesType" => "Topalis\\WinPhone\\Wstep\\Entity\\FaultCodes",
            "FaultcodeEnum" => "Topalis\\WinPhone\\Wstep\\Entity\\FaultcodeEnum",
            "KeyExchangeTokenType" => "Topalis\\WinPhone\\Wstep\\Entity\\KeyExchangeToken",
            "KeyIdentifierType" => "Topalis\\WinPhone\\Wstep\\Entity\\KeyIdentifier",
            "KeyInfoType" => "Topalis\\WinPhone\\Wstep\\Entity\\KeyInfo",
            "KeyTypeEnum" => "Topalis\\WinPhone\\Wstep\\Entity\\KeyTypeEnum",
            "KeyValueType" => "Topalis\\WinPhone\\Wstep\\Entity\\KeyValue",
            "LifetimeType" => "Topalis\\WinPhone\\Wstep\\Entity\\Lifetime",
            "ManifestType" => "Topalis\\WinPhone\\Wstep\\Entity\\Manifest",
            "MetadataType" => "Topalis\\WinPhone\\Wstep\\Entity\\Metadata",
            "ObjectType" => "Topalis\\WinPhone\\Wstep\\Entity\\Object",
            "OnBehalfOfType" => "Topalis\\WinPhone\\Wstep\\Entity\\OnBehalfOf",
            "PGPDataType" => "Topalis\\WinPhone\\Wstep\\Entity\\PGPData",
            "ParticipantType" => "Topalis\\WinPhone\\Wstep\\Entity\\Participant",
            "ParticipantsType" => "Topalis\\WinPhone\\Wstep\\Entity\\Participants",
            "PasswordString" => "Topalis\\WinPhone\\Wstep\\Entity\\PasswordString",
            "ProblemActionType" => "Topalis\\WinPhone\\Wstep\\Entity\\ProblemAction",
            "ProofEncryptionType" => "Topalis\\WinPhone\\Wstep\\Entity\\ProofEncryption",
            "RSAKeyValueType" => "Topalis\\WinPhone\\Wstep\\Entity\\RSAKeyValue",
            "ReferenceParametersType" => "Topalis\\WinPhone\\Wstep\\Entity\\ReferenceParameters",
            "ReferenceType" => "Topalis\\WinPhone\\Wstep\\Entity\\Reference",
            "RelatesToType" => "Topalis\\WinPhone\\Wstep\\Entity\\RelatesTo",
            "RelationshipType" => "Topalis\\WinPhone\\Wstep\\Entity\\Relationship",
            "RenewTargetType" => "Topalis\\WinPhone\\Wstep\\Entity\\RenewTarget",
            "RenewingType" => "Topalis\\WinPhone\\Wstep\\Entity\\Renewing",
            "RequestKETType" => "Topalis\\WinPhone\\Wstep\\Entity\\RequestKET",
            "RequestSecurityTokenCollectionType" => "Topalis\\WinPhone\\Wstep\\Entity\\RequestSecurityTokenCollection",
            "RequestSecurityTokenResponseCollectionType" => "Topalis\\WinPhone\\Wstep\\Entity\\RequestSecurityTokenResponseCollection",
            "RequestSecurityTokenResponseType" => "Topalis\\WinPhone\\Wstep\\Entity\\RequestSecurityTokenResponse",
            "RequestSecurityTokenType" => "Topalis\\WinPhone\\Wstep\\Entity\\RequestSecurityToken",
            "RequestTypeEnum" => "Topalis\\WinPhone\\Wstep\\Entity\\RequestTypeEnum",
            "RequestedProofTokenType" => "Topalis\\WinPhone\\Wstep\\Entity\\RequestedProofToken",
            "RequestedReferenceType" => "Topalis\\WinPhone\\Wstep\\Entity\\RequestedReference",
            "RequestedSecurityTokenType" => "Topalis\\WinPhone\\Wstep\\Entity\\RequestedSecurityToken",
            "RequestedTokenCancelledType" => "Topalis\\WinPhone\\Wstep\\Entity\\RequestedTokenCancelled",
            "RetrievalMethodType" => "Topalis\\WinPhone\\Wstep\\Entity\\RetrievalMethod",
            "SPKIDataType" => "Topalis\\WinPhone\\Wstep\\Entity\\SPKIData",
            "SecurityHeaderType" => "Topalis\\WinPhone\\Wstep\\Entity\\SecurityHeader",
            "SecurityTokenReferenceType" => "Topalis\\WinPhone\\Wstep\\Entity\\SecurityTokenReference",
            "SignChallengeType" => "Topalis\\WinPhone\\Wstep\\Entity\\SignChallenge",
            "SignatureMethodType" => "Topalis\\WinPhone\\Wstep\\Entity\\SignatureMethod",
            "SignaturePropertiesType" => "Topalis\\WinPhone\\Wstep\\Entity\\SignatureProperties",
            "SignaturePropertyType" => "Topalis\\WinPhone\\Wstep\\Entity\\SignatureProperty",
            "SignatureType" => "Topalis\\WinPhone\\Wstep\\Entity\\Signature",
            "SignatureValueType" => "Topalis\\WinPhone\\Wstep\\Entity\\SignatureValue",
            "SignedInfoType" => "Topalis\\WinPhone\\Wstep\\Entity\\SignedInfo",
            "StatusCodeEnum" => "Topalis\\WinPhone\\Wstep\\Entity\\StatusCodeEnum",
            "StatusType" => "Topalis\\WinPhone\\Wstep\\Entity\\Status",
            "TimestampType" => "Topalis\\WinPhone\\Wstep\\Entity\\Timestamp",
            "TransformType" => "Topalis\\WinPhone\\Wstep\\Entity\\Transform",
            "TransformationParametersType" => "Topalis\\WinPhone\\Wstep\\Entity\\TransformationParameters",
            "TransformsType" => "Topalis\\WinPhone\\Wstep\\Entity\\Transforms",
            "UseKeyType" => "Topalis\\WinPhone\\Wstep\\Entity\\UseKey",
            "UsernameTokenType" => "Topalis\\WinPhone\\Wstep\\Entity\\UsernameToken",
            "ValidateTargetType" => "Topalis\\WinPhone\\Wstep\\Entity\\ValidateTarget",
            "X509DataType" => "Topalis\\WinPhone\\Wstep\\Entity\\X509Data",
            "X509IssuerSerialType" => "Topalis\\WinPhone\\Wstep\\Entity\\X509IssuerSerial",
            "lang" => "Topalis\\WinPhone\\Wstep\\Entity\\Lang",
            "space" => "Topalis\\WinPhone\\Wstep\\Entity\\Space",
            "tTimestampFault" => "Topalis\\WinPhone\\Wstep\\Entity\\TTimestampFault"
        );
        // @codingStandardsIgnoreEnd
    }
}
