<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for DSAKeyValue originally named DSAKeyValueType
 * Meta informations extracted from the WSDL
 * - from schema : xmldsig-core-schema.xsd
 * @date 2013-12-03
 */
class DSAKeyValue
{
    /**
     * The P
     * @var base64Binary
     */
    public $P;
    /**
     * The Q
     * @var base64Binary
     */
    public $Q;
    /**
     * The G
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var base64Binary
     */
    public $G;
    /**
     * The Y
     * @var base64Binary
     */
    public $Y;
    /**
     * The J
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var base64Binary
     */
    public $J;
    /**
     * The Seed
     * @var base64Binary
     */
    public $Seed;
    /**
     * The PgenCounter
     * @var base64Binary
     */
    public $PgenCounter;
    /**
     * Constructor method for DSAKeyValueType
     * @uses DSAKeyValue::setP()
     * @uses DSAKeyValue::setQ()
     * @uses DSAKeyValue::setG()
     * @uses DSAKeyValue::setY()
     * @uses DSAKeyValue::setJ()
     * @uses DSAKeyValue::setSeed()
     * @uses DSAKeyValue::setPgenCounter()
     * @param  base64Binary $_p
     * @param  base64Binary $_q
     * @param  base64Binary $_g
     * @param  base64Binary $_y
     * @param  base64Binary $_j
     * @param  base64Binary $_seed
     * @param  base64Binary $_pgenCounter
     * @return DSAKeyValue
     */
    public function __construct($_p = null, $_q = null, $_g = null, $_y = null,
        $_j = null, $_seed = null, $_pgenCounter = null)
    {
        $this->setP($_p);
        $this->setQ($_q);
        $this->setG($_g);
        $this->setY($_y);
        $this->setJ($_j);
        $this->setSeed($_seed);
        $this->setPgenCounter($_pgenCounter);
    }
    /**
     * Get P value
     * @return base64Binary|null
     */
    public function getP()
    {
        return $this->P;
    }
    /**
     * Set P value
     * @param  base64Binary $_p the P
     * @return base64Binary
     */
    public function setP($_p)
    {
        return ($this->P = $_p);
    }
    /**
     * Get Q value
     * @return base64Binary|null
     */
    public function getQ()
    {
        return $this->Q;
    }
    /**
     * Set Q value
     * @param  base64Binary $_q the Q
     * @return base64Binary
     */
    public function setQ($_q)
    {
        return ($this->Q = $_q);
    }
    /**
     * Get G value
     * @return base64Binary|null
     */
    public function getG()
    {
        return $this->G;
    }
    /**
     * Set G value
     * @param  base64Binary $_g the G
     * @return base64Binary
     */
    public function setG($_g)
    {
        return ($this->G = $_g);
    }
    /**
     * Get Y value
     * @return base64Binary|null
     */
    public function getY()
    {
        return $this->Y;
    }
    /**
     * Set Y value
     * @param  base64Binary $_y the Y
     * @return base64Binary
     */
    public function setY($_y)
    {
        return ($this->Y = $_y);
    }
    /**
     * Get J value
     * @return base64Binary|null
     */
    public function getJ()
    {
        return $this->J;
    }
    /**
     * Set J value
     * @param  base64Binary $_j the J
     * @return base64Binary
     */
    public function setJ($_j)
    {
        return ($this->J = $_j);
    }
    /**
     * Get Seed value
     * @return base64Binary|null
     */
    public function getSeed()
    {
        return $this->Seed;
    }
    /**
     * Set Seed value
     * @param  base64Binary $_seed the Seed
     * @return base64Binary
     */
    public function setSeed($_seed)
    {
        return ($this->Seed = $_seed);
    }
    /**
     * Get PgenCounter value
     * @return base64Binary|null
     */
    public function getPgenCounter()
    {
        return $this->PgenCounter;
    }
    /**
     * Set PgenCounter value
     * @param  base64Binary $_pgenCounter the PgenCounter
     * @return base64Binary
     */
    public function setPgenCounter($_pgenCounter)
    {
        return ($this->PgenCounter = $_pgenCounter);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
