<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for FaultCodes originally named FaultCodesType
 * Meta informations extracted from the WSDL
 * - from schema : ws-addr.xsd
 * @date 2013-12-03
 */
class FaultCodes
{
    /**
     * Constant for value 'tns:InvalidAddressingHeader'
     * @return string 'tns:InvalidAddressingHeader'
     */
    const VALUE_TNS_INVALIDADDRESSINGHEADER = 'tns:InvalidAddressingHeader';
    /**
     * Constant for value 'tns:InvalidAddress'
     * @return string 'tns:InvalidAddress'
     */
    const VALUE_TNS_INVALIDADDRESS = 'tns:InvalidAddress';
    /**
     * Constant for value 'tns:InvalidEPR'
     * @return string 'tns:InvalidEPR'
     */
    const VALUE_TNS_INVALIDEPR = 'tns:InvalidEPR';
    /**
     * Constant for value 'tns:InvalidCardinality'
     * @return string 'tns:InvalidCardinality'
     */
    const VALUE_TNS_INVALIDCARDINALITY = 'tns:InvalidCardinality';
    /**
     * Constant for value 'tns:MissingAddressInEPR'
     * @return string 'tns:MissingAddressInEPR'
     */
    const VALUE_TNS_MISSINGADDRESSINEPR = 'tns:MissingAddressInEPR';
    /**
     * Constant for value 'tns:DuplicateMessageID'
     * @return string 'tns:DuplicateMessageID'
     */
    const VALUE_TNS_DUPLICATEMESSAGEID = 'tns:DuplicateMessageID';
    /**
     * Constant for value 'tns:ActionMismatch'
     * @return string 'tns:ActionMismatch'
     */
    const VALUE_TNS_ACTIONMISMATCH = 'tns:ActionMismatch';
    /**
     * Constant for value 'tns:MessageAddressingHeaderRequired'
     * @return string 'tns:MessageAddressingHeaderRequired'
     */
    const VALUE_TNS_MESSAGEADDRESSINGHEADERREQUIRED = 'tns:MessageAddressingHeaderRequired';
    /**
     * Constant for value 'tns:DestinationUnreachable'
     * @return string 'tns:DestinationUnreachable'
     */
    const VALUE_TNS_DESTINATIONUNREACHABLE = 'tns:DestinationUnreachable';
    /**
     * Constant for value 'tns:ActionNotSupported'
     * @return string 'tns:ActionNotSupported'
     */
    const VALUE_TNS_ACTIONNOTSUPPORTED = 'tns:ActionNotSupported';
    /**
     * Constant for value 'tns:EndpointUnavailable'
     * @return string 'tns:EndpointUnavailable'
     */
    const VALUE_TNS_ENDPOINTUNAVAILABLE = 'tns:EndpointUnavailable';
    /**
     * Return true if value is allowed
     * @uses self::VALUE_TNS_INVALIDADDRESSINGHEADER
     * @uses self::VALUE_TNS_INVALIDADDRESS
     * @uses self::VALUE_TNS_INVALIDEPR
     * @uses self::VALUE_TNS_INVALIDCARDINALITY
     * @uses self::VALUE_TNS_MISSINGADDRESSINEPR
     * @uses self::VALUE_TNS_DUPLICATEMESSAGEID
     * @uses self::VALUE_TNS_ACTIONMISMATCH
     * @uses self::VALUE_TNS_MESSAGEADDRESSINGHEADERREQUIRED
     * @uses self::VALUE_TNS_DESTINATIONUNREACHABLE
     * @uses self::VALUE_TNS_ACTIONNOTSUPPORTED
     * @uses self::VALUE_TNS_ENDPOINTUNAVAILABLE
     * @param  mixed $_value value
     * @return bool  true|false
     */
    public static function valueIsValid($_value)
    {
        return in_array($_value, array(
            self::VALUE_TNS_INVALIDADDRESSINGHEADER,
            self::VALUE_TNS_INVALIDADDRESS,
            self::VALUE_TNS_INVALIDEPR,
            self::VALUE_TNS_INVALIDCARDINALITY,
            self::VALUE_TNS_MISSINGADDRESSINEPR,
            self::VALUE_TNS_DUPLICATEMESSAGEID,
            self::VALUE_TNS_ACTIONMISMATCH,
            self::VALUE_TNS_MESSAGEADDRESSINGHEADERREQUIRED,
            self::VALUE_TNS_DESTINATIONUNREACHABLE,
            self::VALUE_TNS_ACTIONNOTSUPPORTED,
            self::VALUE_TNS_ENDPOINTUNAVAILABLE));
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
