<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for Lifetime originally named LifetimeType
 * Meta informations extracted from the WSDL
 * - from schema : ws-trust-1.3.xsd
 * @date 2013-12-03
 */
class Lifetime
{
    /**
     * The Created
     * @var AttributedDateTime
     */
    public $Created;
    /**
     * The Expires
     * @var AttributedDateTime
     */
    public $Expires;
    /**
     * Constructor method for LifetimeType
     * @uses Lifetime::setCreated()
     * @uses Lifetime::setExpires()
     * @param  AttributedDateTime $_created
     * @param  AttributedDateTime $_expires
     * @return Lifetime
     */
    public function __construct($_created = null, $_expires = null)
    {
        $this->setCreated($_created);
        $this->setExpires($_expires);
    }
    /**
     * Get Created value
     * @return AttributedDateTime|null
     */
    public function getCreated()
    {
        return $this->Created;
    }
    /**
     * Set Created value
     * @param  AttributedDateTime $_created the Created
     * @return AttributedDateTime
     */
    public function setCreated($_created)
    {
        return ($this->Created = $_created);
    }
    /**
     * Get Expires value
     * @return AttributedDateTime|null
     */
    public function getExpires()
    {
        return $this->Expires;
    }
    /**
     * Set Expires value
     * @param  AttributedDateTime $_expires the Expires
     * @return AttributedDateTime
     */
    public function setExpires($_expires)
    {
        return ($this->Expires = $_expires);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
