<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for Reference originally named ReferenceType
 * Documentation : This type represents a reference to an external security token.
 * Meta informations extracted from the WSDL
 * - from schema : oasis-200401-wss-wssecurity-secext-1.0.xsd
 * @date 2013-12-03
 */
class Reference
{
    /**
     * The Transforms
     * @var Transforms
     */
    public $Transforms;
    /**
     * The DigestMethod
     * @var DigestMethod
     */
    public $DigestMethod;
    /**
     * The DigestValue
     * @var base64Binary
     */
    public $DigestValue;
    /**
     * The Id
     * Meta informations extracted from the WSDL
     * - use : optional
     * @var ID
     */
    public $Id;
    /**
     * The URI
     * Meta informations extracted from the WSDL
     * - use : optional
     * @var anyURI
     */
    public $URI;
    /**
     * The Type
     * Meta informations extracted from the WSDL
     * - use : optional
     * @var anyURI
     */
    public $Type;
    /**
     * The ValueType
     * @var anyURI
     */
    public $ValueType;
    /**
     * Constructor method for ReferenceType
     * @uses Reference::setTransforms()
     * @uses Reference::setDigestMethod()
     * @uses Reference::setDigestValue()
     * @uses Reference::setId()
     * @uses Reference::setURI()
     * @uses Reference::setType()
     * @uses Reference::setValueType()
     * @param  Transforms   $_transforms
     * @param  DigestMethod $_digestMethod
     * @param  base64Binary $_digestValue
     * @param  ID           $_id
     * @param  anyURI       $_uRI
     * @param  anyURI       $_type
     * @param  anyURI       $_valueType
     * @return Reference
     */
    public function __construct($_transforms = null, $_digestMethod = null,
            $_digestValue = null, $_id = null, $_uRI = null, $_type = null, $_valueType = null)
    {
        $this->setTransforms($_transforms);
        $this->setDigestMethod($_digestMethod);
        $this->setDigestValue($_digestValue);
        $this->setId($_id);
        $this->setURI($_uRI);
        $this->setType($_type);
        $this->setValueType($_valueType);
    }
    /**
     * Get Transforms value
     * @return Transforms|null
     */
    public function getTransforms()
    {
        return $this->Transforms;
    }
    /**
     * Set Transforms value
     * @param  Transforms $_transforms the Transforms
     * @return Transforms
     */
    public function setTransforms($_transforms)
    {
        return ($this->Transforms = $_transforms);
    }
    /**
     * Get DigestMethod value
     * @return DigestMethod|null
     */
    public function getDigestMethod()
    {
        return $this->DigestMethod;
    }
    /**
     * Set DigestMethod value
     * @param  DigestMethod $_digestMethod the DigestMethod
     * @return DigestMethod
     */
    public function setDigestMethod($_digestMethod)
    {
        return ($this->DigestMethod = $_digestMethod);
    }
    /**
     * Get DigestValue value
     * @return base64Binary|null
     */
    public function getDigestValue()
    {
        return $this->DigestValue;
    }
    /**
     * Set DigestValue value
     * @param  base64Binary $_digestValue the DigestValue
     * @return base64Binary
     */
    public function setDigestValue($_digestValue)
    {
        return ($this->DigestValue = $_digestValue);
    }
    /**
     * Get Id value
     * @return ID|null
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param  ID $_id the Id
     * @return ID
     */
    public function setId($_id)
    {
        return ($this->Id = $_id);
    }
    /**
     * Get URI value
     * @return anyURI|null
     */
    public function getURI()
    {
        return $this->URI;
    }
    /**
     * Set URI value
     * @param  anyURI $_uRI the URI
     * @return anyURI
     */
    public function setURI($_uRI)
    {
        return ($this->URI = $_uRI);
    }
    /**
     * Get Type value
     * @return anyURI|null
     */
    public function getType()
    {
        return $this->Type;
    }
    /**
     * Set Type value
     * @param  anyURI $_type the Type
     * @return anyURI
     */
    public function setType($_type)
    {
        return ($this->Type = $_type);
    }
    /**
     * Get ValueType value
     * @return anyURI|null
     */
    public function getValueType()
    {
        return $this->ValueType;
    }
    /**
     * Set ValueType value
     * @param  anyURI $_valueType the ValueType
     * @return anyURI
     */
    public function setValueType($_valueType)
    {
        return ($this->ValueType = $_valueType);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
