<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for RequestSecurityToken originally named RequestSecurityTokenType
 * Meta informations extracted from the WSDL
 * - from schema : ws-trust-1.3.xsd
 * @date 2013-12-03
 */
class RequestSecurityToken
{
    /**
     * The TokenType
     * @var anyURI
     */
    public $TokenType;
    /**
     * The RequestType
     * Meta informations extracted from the WSDL
     * - union : RequestTypeEnum,anyURI
     * @var RequestTypeEnum,anyURI
     */
    public $RequestType;
    /**
     * The RequestKET
     * @var RequestKET
     */
    public $RequestKET;
    /**
     * The BinarySecurityToken
     * @var BinarySecurityToken
     */
    public $BinarySecurityToken;
    /**
     * The AdditionalContext
     * @var AdditionalContext
     */
    public $AdditionalContext;
    /**
     * The RequestID
     * @var string
     */
    public $RequestID;
    /**
     * The any
     * @var DOMDocument
     */
    public $any;
    /**
     * The PreferedLanguage
     * Meta informations extracted from the WSDL
     * - use : optional
     * @var language
     */
    public $PreferedLanguage;
    /**
     * Constructor method for RequestSecurityTokenType
     * @uses RequestSecurityToken::setTokenType()
     * @uses RequestSecurityToken::setRequestType()
     * @uses RequestSecurityToken::setRequestKET()
     * @uses RequestSecurityToken::setBinarySecurityToken()
     * @uses RequestSecurityToken::setAdditionalContext()
     * @uses RequestSecurityToken::setRequestID()
     * @uses RequestSecurityToken::setAny()
     * @uses RequestSecurityToken::setPreferedLanguage()
     * @param  anyURI                 $_tokenType
     * @param  RequestTypeEnum,anyURI $_requestType
     * @param  RequestKET             $_requestKET
     * @param  BinarySecurityToken    $_binarySecurityToken
     * @param  AdditionalContext      $_additionalContext
     * @param  string                 $_requestID
     * @param  DOMDocument            $_any
     * @param  language               $_preferedLanguage
     * @return RequestSecurityToken
     */
    public function __construct($_tokenType = null, $_requestType = null, $_requestKET = null,
        $_binarySecurityToken = null, $_additionalContext = null, $_requestID = null, $_any = null,
        $_preferedLanguage = null)
    {
        $this->setTokenType($_tokenType);
        $this->setRequestType($_requestType);
        $this->setRequestKET($_requestKET);
        $this->setBinarySecurityToken($_binarySecurityToken);
        $this->setAdditionalContext($_additionalContext);
        $this->setRequestID($_requestID);
        $this->setAny($_any);
        $this->setPreferedLanguage($_preferedLanguage);
    }
    /**
     * Get TokenType value
     * @return anyURI|null
     */
    public function getTokenType()
    {
        return $this->TokenType;
    }
    /**
     * Set TokenType value
     * @param  anyURI $_tokenType the TokenType
     * @return anyURI
     */
    public function setTokenType($_tokenType)
    {
        return ($this->TokenType = $_tokenType);
    }
    /**
     * Get RequestType value
     * @return RequestTypeEnum,anyURI|null
     */
    public function getRequestType()
    {
        return $this->RequestType;
    }
    /**
     * Set RequestType value
     * @param  RequestTypeEnum,anyURI $_requestType the RequestType
     * @return RequestTypeEnum,anyURI
     */
    public function setRequestType($_requestType)
    {
        return ($this->RequestType = $_requestType);
    }
    /**
     * Get RequestKET value
     * @return RequestKET|null
     */
    public function getRequestKET()
    {
        return $this->RequestKET;
    }
    /**
     * Set RequestKET value
     * @param  RequestKET $_requestKET the RequestKET
     * @return RequestKET
     */
    public function setRequestKET($_requestKET)
    {
        return ($this->RequestKET = $_requestKET);
    }
    /**
     * Get BinarySecurityToken value
     * @return BinarySecurityToken|null
     */
    public function getBinarySecurityToken()
    {
        return $this->BinarySecurityToken;
    }
    /**
     * Set BinarySecurityToken value
     * @param  BinarySecurityToken $_binarySecurityToken the BinarySecurityToken
     * @return BinarySecurityToken
     */
    public function setBinarySecurityToken($_binarySecurityToken)
    {
        return ($this->BinarySecurityToken = $_binarySecurityToken);
    }
    /**
     * Get AdditionalContext value
     * @return AdditionalContext|null
     */
    public function getAdditionalContext()
    {
        return $this->AdditionalContext;
    }
    /**
     * Set AdditionalContext value
     * @param  AdditionalContext $_additionalContext the AdditionalContext
     * @return AdditionalContext
     */
    public function setAdditionalContext($_additionalContext)
    {
        return ($this->AdditionalContext = $_additionalContext);
    }
    /**
     * Get RequestID value
     * @return string|null
     */
    public function getRequestID()
    {
        return $this->RequestID;
    }
    /**
     * Set RequestID value
     * @param  string $_requestID the RequestID
     * @return string
     */
    public function setRequestID($_requestID)
    {
        return ($this->RequestID = $_requestID);
    }
    /**
     * Get any value
     * @uses DOMDocument::loadXML()
     * @uses DOMDocument::hasChildNodes()
     * @uses DOMDocument::saveXML()
     * @uses DOMNode::item()
     * @uses RequestSecurityToken::setAny()
     * @param bool true or false whether to return XML value as string or as DOMDocument
     * @return DOMDocument|null
     */
    public function getAny($_asString = true)
    {
        if (!empty($this->any) && !($this->any instanceof DOMDocument)) {
            $dom = new \DOMDocument('1.0', 'UTF-8');
            $dom->formatOutput = true;
            if ($dom->loadXML($this->any)) {
                $this->setAny($dom);
            }
            unset($dom);
        }

        return ($_asString && ($this->any instanceof DOMDocument)
            && $this->any->hasChildNodes()) ? $this->any->saveXML($this->any->childNodes->item(0)) : $this->any;
    }
    /**
     * Set any value
     * @param  DOMDocument $_any the any
     * @return DOMDocument
     */
    public function setAny($_any)
    {
        return ($this->any = $_any);
    }
    /**
     * Get PreferedLanguage value
     * @return language|null
     */
    public function getPreferedLanguage()
    {
        return $this->PreferedLanguage;
    }
    /**
     * Set PreferedLanguage value
     * @param  language $_preferedLanguage the PreferedLanguage
     * @return language
     */
    public function setPreferedLanguage($_preferedLanguage)
    {
        return ($this->PreferedLanguage = $_preferedLanguage);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
