<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for RequestedSecurityToken originally named RequestedSecurityTokenType
 * Meta informations extracted from the WSDL
 * - from schema : ws-trust-1.3.xsd
 * @date 2013-12-03
 */
class RequestedSecurityToken
{
    /**
     * The BinarySecurityToken
     * @var BinarySecurityToken
     */
    public $BinarySecurityToken;
    /**
     * The SecurityTokenReference
     * @var SecurityTokenReference
     */
    public $SecurityTokenReference;
    /**
     * The any
     * @var DOMDocument
     */
    public $any;
    /**
     * Constructor method for RequestedSecurityTokenType
     * @uses RequestedSecurityToken::setBinarySecurityToken()
     * @uses RequestedSecurityToken::setSecurityTokenReference()
     * @uses RequestedSecurityToken::setAny()
     * @param  BinarySecurityToken    $_binarySecurityToken
     * @param  SecurityTokenReference $_securityTokenReference
     * @param  DOMDocument            $_any
     * @return RequestedSecurityToken
     */
    public function __construct($_binarySecurityToken = null, $_securityTokenReference = null, $_any = null)
    {
        $this->setBinarySecurityToken($_binarySecurityToken);
        $this->setSecurityTokenReference($_securityTokenReference);
        $this->setAny($_any);
    }
    /**
     * Get BinarySecurityToken value
     * @return BinarySecurityToken|null
     */
    public function getBinarySecurityToken()
    {
        return $this->BinarySecurityToken;
    }
    /**
     * Set BinarySecurityToken value
     * @param  BinarySecurityToken $_binarySecurityToken the BinarySecurityToken
     * @return BinarySecurityToken
     */
    public function setBinarySecurityToken($_binarySecurityToken)
    {
        return ($this->BinarySecurityToken = $_binarySecurityToken);
    }
    /**
     * Get SecurityTokenReference value
     * @return SecurityTokenReference|null
     */
    public function getSecurityTokenReference()
    {
        return $this->SecurityTokenReference;
    }
    /**
     * Set SecurityTokenReference value
     * @param  SecurityTokenReference $_securityTokenReference the SecurityTokenReference
     * @return SecurityTokenReference
     */
    public function setSecurityTokenReference($_securityTokenReference)
    {
        return ($this->SecurityTokenReference = $_securityTokenReference);
    }
    /**
     * Get any value
     * @uses DOMDocument::loadXML()
     * @uses DOMDocument::hasChildNodes()
     * @uses DOMDocument::saveXML()
     * @uses DOMNode::item()
     * @uses RequestedSecurityToken::setAny()
     * @param bool true or false whether to return XML value as string or as DOMDocument
     * @return DOMDocument|null
     */
    public function getAny($_asString = true)
    {
        if (!empty($this->any) && !($this->any instanceof DOMDocument)) {
            $dom = new \DOMDocument('1.0', 'UTF-8');
            $dom->formatOutput = true;
            if ($dom->loadXML($this->any)) {
                $this->setAny($dom);
            }
            unset($dom);
        }

        return ($_asString && ($this->any instanceof DOMDocument)
            && $this->any->hasChildNodes()) ? $this->any->saveXML($this->any->childNodes->item(0)) : $this->any;
    }
    /**
     * Set any value
     * @param  DOMDocument $_any the any
     * @return DOMDocument
     */
    public function setAny($_any)
    {
        return ($this->any = $_any);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
