<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for SPKIData originally named SPKIDataType
 * Meta informations extracted from the WSDL
 * - from schema : xmldsig-core-schema.xsd
 * @date 2013-12-03
 */
class SPKIData
{
    /**
     * The SPKISexp
     * @var base64Binary
     */
    public $SPKISexp;
    /**
     * The any
     * @var DOMDocument
     */
    public $any;
    /**
     * Constructor method for SPKIDataType
     * @uses SPKIData::setSPKISexp()
     * @uses SPKIData::setAny()
     * @param  base64Binary $_sPKISexp
     * @param  DOMDocument  $_any
     * @return SPKIData
     */
    public function __construct($_sPKISexp = null, $_any = null)
    {
        $this->setSPKISexp($_sPKISexp);
        $this->setAny($_any);
    }
    /**
     * Get SPKISexp value
     * @return base64Binary|null
     */
    public function getSPKISexp()
    {
        return $this->SPKISexp;
    }
    /**
     * Set SPKISexp value
     * @param  base64Binary $_sPKISexp the SPKISexp
     * @return base64Binary
     */
    public function setSPKISexp($_sPKISexp)
    {
        return ($this->SPKISexp = $_sPKISexp);
    }
    /**
     * Get any value
     * @uses DOMDocument::loadXML()
     * @uses DOMDocument::hasChildNodes()
     * @uses DOMDocument::saveXML()
     * @uses DOMNode::item()
     * @uses SPKIData::setAny()
     * @param bool true or false whether to return XML value as string or as DOMDocument
     * @return DOMDocument|null
     */
    public function getAny($_asString = true)
    {
        if (!empty($this->any) && !($this->any instanceof DOMDocument)) {
            $dom = new \DOMDocument('1.0', 'UTF-8');
            $dom->formatOutput = true;
            if ($dom->loadXML($this->any)) {
                $this->setAny($dom);
            }
            unset($dom);
        }

        return ($_asString && ($this->any instanceof DOMDocument)
            && $this->any->hasChildNodes()) ? $this->any->saveXML($this->any->childNodes->item(0)) : $this->any;
    }
    /**
     * Set any value
     * @param  DOMDocument $_any the any
     * @return DOMDocument
     */
    public function setAny($_any)
    {
        return ($this->any = $_any);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
