<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for SecurityHeader originally named SecurityHeaderType
 * Documentation : This complexType defines header block to use for security-relevant
 * data directed at a specific SOAP actor. The use of "any" is to allow extensibility
 * and different forms of security data.
 * Meta informations extracted from the WSDL
 * - from schema : oasis-200401-wss-wssecurity-secext-1.0.xsd
 * @date 2013-12-03
 */
class SecurityHeader
{
    public $Timestamp;

    /**
     * The any
     * @var DOMDocument
     */
    public $any;
    /**
     * Constructor method for SecurityHeaderType
     * @uses SecurityHeader::setAny()
     * @param  DOMDocument    $_any
     * @return SecurityHeader
     */
    public function __construct($_any = null)
    {
        $this->setAny($_any);
    }
    /**
     * Get any value
     * @uses DOMDocument::loadXML()
     * @uses DOMDocument::hasChildNodes()
     * @uses DOMDocument::saveXML()
     * @uses DOMNode::item()
     * @uses SecurityHeader::setAny()
     * @param bool true or false whether to return XML value as string or as DOMDocument
     * @return DOMDocument|null
     */
    public function getAny($_asString = true)
    {
        if (!empty($this->any) && !($this->any instanceof DOMDocument)) {
            $dom = new \DOMDocument('1.0', 'UTF-8');
            $dom->formatOutput = true;
            if ($dom->loadXML($this->any)) {
                $this->setAny($dom);
            }
            unset($dom);
        }

        return ($_asString && ($this->any instanceof DOMDocument)
            && $this->any->hasChildNodes()) ? $this->any->saveXML($this->any->childNodes->item(0)) : $this->any;
    }
    /**
     * Set any value
     * @param  DOMDocument $_any the any
     * @return DOMDocument
     */
    public function setAny($_any)
    {
        return ($this->any = $_any);
    }

    public function getTimestamp()
    {
        return $this->Timestamp;
    }

    public function setTimestamp($timestamp)
    {
        $this->Timestamp = $timestamp;
    }

    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
