<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for SecurityTokenReference originally named SecurityTokenReferenceType
 * Documentation : This type is used reference a security token.
 * Meta informations extracted from the WSDL
 * - from schema : oasis-200401-wss-wssecurity-secext-1.0.xsd
 * @date 2013-12-03
 */
class SecurityTokenReference
{
    /**
     * The any
     * @var DOMDocument
     */
    public $any;
    /**
     * The Id
     * @var ID
     */
    public $Id;
    /**
     * The Usage
     * Meta informations extracted from the WSDL
     * - documentation : Typedef to allow a list of usages (as URIs).
     * @var tUsage
     */
    public $Usage;
    /**
     * Constructor method for SecurityTokenReferenceType
     * @uses SecurityTokenReference::setAny()
     * @uses SecurityTokenReference::setId()
     * @uses SecurityTokenReference::setUsage()
     * @param  DOMDocument            $_any
     * @param  ID                     $_id
     * @param  tUsage                 $_usage
     * @return SecurityTokenReference
     */
    public function __construct($_any = null, $_id = null, $_usage = null)
    {
        $this->setAny($_any);
        $this->setId($_id);
        $this->setUsage($_usage);
    }
    /**
     * Get any value
     * @uses DOMDocument::loadXML()
     * @uses DOMDocument::hasChildNodes()
     * @uses DOMDocument::saveXML()
     * @uses DOMNode::item()
     * @uses SecurityTokenReference::setAny()
     * @param bool true or false whether to return XML value as string or as DOMDocument
     * @return DOMDocument|null
     */
    public function getAny($_asString = true)
    {
        if (!empty($this->any) && !($this->any instanceof DOMDocument)) {
            $dom = new \DOMDocument('1.0', 'UTF-8');
            $dom->formatOutput = true;
            if ($dom->loadXML($this->any)) {
                $this->setAny($dom);
            }
            unset($dom);
        }

        return ($_asString && ($this->any instanceof DOMDocument)
            && $this->any->hasChildNodes()) ? $this->any->saveXML($this->any->childNodes->item(0)) : $this->any;
    }
    /**
     * Set any value
     * @param  DOMDocument $_any the any
     * @return DOMDocument
     */
    public function setAny($_any)
    {
        return ($this->any = $_any);
    }
    /**
     * Get Id value
     * @return ID|null
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param  ID $_id the Id
     * @return ID
     */
    public function setId($_id)
    {
        return ($this->Id = $_id);
    }
    /**
     * Get Usage value
     * @return tUsage|null
     */
    public function getUsage()
    {
        return $this->Usage;
    }
    /**
     * Set Usage value
     * @param  tUsage $_usage the Usage
     * @return tUsage
     */
    public function setUsage($_usage)
    {
        return ($this->Usage = $_usage);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
