<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for SignChallenge originally named SignChallengeType
 * Meta informations extracted from the WSDL
 * - from schema : ws-trust-1.3.xsd
 * @date 2013-12-03
 */
class SignChallenge
{
    /**
     * The Challenge
     * @var string
     */
    public $Challenge;
    /**
     * The any
     * @var DOMDocument
     */
    public $any;
    /**
     * Constructor method for SignChallengeType
     * @uses SignChallenge::setChallenge()
     * @uses SignChallenge::setAny()
     * @param  string        $_challenge
     * @param  DOMDocument   $_any
     * @return SignChallenge
     */
    public function __construct($_challenge = null, $_any = null)
    {
        $this->setChallenge($_challenge);
        $this->setAny($_any);
    }
    /**
     * Get Challenge value
     * @return string|null
     */
    public function getChallenge()
    {
        return $this->Challenge;
    }
    /**
     * Set Challenge value
     * @param  string $_challenge the Challenge
     * @return string
     */
    public function setChallenge($_challenge)
    {
        return ($this->Challenge = $_challenge);
    }
    /**
     * Get any value
     * @uses DOMDocument::loadXML()
     * @uses DOMDocument::hasChildNodes()
     * @uses DOMDocument::saveXML()
     * @uses DOMNode::item()
     * @uses SignChallenge::setAny()
     * @param bool true or false whether to return XML value as string or as DOMDocument
     * @return DOMDocument|null
     */
    public function getAny($_asString = true)
    {
        if (!empty($this->any) && !($this->any instanceof DOMDocument)) {
            $dom = new \DOMDocument('1.0', 'UTF-8');
            $dom->formatOutput = true;
            if ($dom->loadXML($this->any)) {
                $this->setAny($dom);
            }
            unset($dom);
        }

        return ($_asString && ($this->any instanceof DOMDocument)
            && $this->any->hasChildNodes()) ? $this->any->saveXML($this->any->childNodes->item(0)) : $this->any;
    }
    /**
     * Set any value
     * @param  DOMDocument $_any the any
     * @return DOMDocument
     */
    public function setAny($_any)
    {
        return ($this->any = $_any);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
