<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for SignedInfo originally named SignedInfoType
 * Meta informations extracted from the WSDL
 * - from schema : xmldsig-core-schema.xsd
 * @date 2013-12-03
 */
class SignedInfo
{
    /**
     * The CanonicalizationMethod
     * @var CanonicalizationMethod
     */
    public $CanonicalizationMethod;
    /**
     * The SignatureMethod
     * @var SignatureMethod
     */
    public $SignatureMethod;
    /**
     * The Reference
     * @var Reference
     */
    public $Reference;
    /**
     * The Id
     * Meta informations extracted from the WSDL
     * - use : optional
     * @var ID
     */
    public $Id;
    /**
     * Constructor method for SignedInfoType
     * @uses SignedInfo::setCanonicalizationMethod()
     * @uses SignedInfo::setSignatureMethod()
     * @uses SignedInfo::setReference()
     * @uses SignedInfo::setId()
     * @param  CanonicalizationMethod $_canonicalizationMethod
     * @param  SignatureMethod        $_signatureMethod
     * @param  Reference              $_reference
     * @param  ID                     $_id
     * @return SignedInfo
     */
    public function __construct($_canonicalizationMethod = null, $_signatureMethod = null,
        $_reference = null, $_id = null)
    {
        $this->setCanonicalizationMethod($_canonicalizationMethod);
        $this->setSignatureMethod($_signatureMethod);
        $this->setReference($_reference);
        $this->setId($_id);
    }
    /**
     * Get CanonicalizationMethod value
     * @return CanonicalizationMethod|null
     */
    public function getCanonicalizationMethod()
    {
        return $this->CanonicalizationMethod;
    }
    /**
     * Set CanonicalizationMethod value
     * @param  CanonicalizationMethod $_canonicalizationMethod the CanonicalizationMethod
     * @return CanonicalizationMethod
     */
    public function setCanonicalizationMethod($_canonicalizationMethod)
    {
        return ($this->CanonicalizationMethod = $_canonicalizationMethod);
    }
    /**
     * Get SignatureMethod value
     * @return SignatureMethod|null
     */
    public function getSignatureMethod()
    {
        return $this->SignatureMethod;
    }
    /**
     * Set SignatureMethod value
     * @param  SignatureMethod $_signatureMethod the SignatureMethod
     * @return SignatureMethod
     */
    public function setSignatureMethod($_signatureMethod)
    {
        return ($this->SignatureMethod = $_signatureMethod);
    }
    /**
     * Get Reference value
     * @return Reference|null
     */
    public function getReference()
    {
        return $this->Reference;
    }
    /**
     * Set Reference value
     * @param  Reference $_reference the Reference
     * @return Reference
     */
    public function setReference($_reference)
    {
        return ($this->Reference = $_reference);
    }
    /**
     * Get Id value
     * @return ID|null
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param  ID $_id the Id
     * @return ID
     */
    public function setId($_id)
    {
        return ($this->Id = $_id);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
