<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for Status originally named StatusType
 * Meta informations extracted from the WSDL
 * - from schema : ws-trust-1.3.xsd
 * @date 2013-12-03
 */
class Status
{
    /**
     * The Code
     * Meta informations extracted from the WSDL
     * - union : StatusCodeEnum,anyURI
     * @var StatusCodeEnum,anyURI
     */
    public $Code;
    /**
     * The Reason
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $Reason;
    /**
     * Constructor method for StatusType
     * @uses Status::setCode()
     * @uses Status::setReason()
     * @param  StatusCodeEnum,anyURI $_code
     * @param  string                $_reason
     * @return Status
     */
    public function __construct($_code = null, $_reason = null)
    {
        $this->setCode($_code);
        $this->setReason($_reason);
    }
    /**
     * Get Code value
     * @return StatusCodeEnum,anyURI|null
     */
    public function getCode()
    {
        return $this->Code;
    }
    /**
     * Set Code value
     * @param  StatusCodeEnum,anyURI $_code the Code
     * @return StatusCodeEnum,anyURI
     */
    public function setCode($_code)
    {
        return ($this->Code = $_code);
    }
    /**
     * Get Reason value
     * @return string|null
     */
    public function getReason()
    {
        return $this->Reason;
    }
    /**
     * Set Reason value
     * @param  string $_reason the Reason
     * @return string
     */
    public function setReason($_reason)
    {
        return ($this->Reason = $_reason);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
