<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for TTimestampFault originally named tTimestampFault
 * Documentation : This type defines the fault code value for Timestamp message expiration.
 * Meta informations extracted from the WSDL
 * - from schema : oasis-200401-wss-wssecurity-utility-1.0.xsd
 * @date 2013-12-03
 */
class TTimestampFault
{
    /**
     * Constant for value 'wsu:MessageExpired'
     * @return string 'wsu:MessageExpired'
     */
    const VALUE_WSU_MESSAGEEXPIRED = 'wsu:MessageExpired';
    /**
     * Return true if value is allowed
     * @uses TTimestampFault::VALUE_WSU_MESSAGEEXPIRED
     * @param  mixed $_value value
     * @return bool  true|false
     */
    public static function valueIsValid($_value)
    {
        return in_array($_value, array(self::VALUE_WSU_MESSAGEEXPIRED));
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
