<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for Timestamp originally named TimestampType
 * Documentation : This complex type ties together the timestamp related elements into a composite type.
 * Meta informations extracted from the WSDL
 * - from schema : oasis-200401-wss-wssecurity-utility-1.0.xsd
 * @date 2013-12-03
 */
class Timestamp
{
    /**
     * The Created
     * @var AttributedDateTime
     */
    public $Created;
    /**
     * The Expires
     * @var AttributedDateTime
     */
    public $Expires;
    /**
     * The any
     * @var DOMDocument
     */
    public $any;
    /**
     * The Id
     * @var ID
     */
    public $Id;
    /**
     * Constructor method for TimestampType
     * @uses Timestamp::setCreated()
     * @uses Timestamp::setExpires()
     * @uses Timestamp::setAny()
     * @uses Timestamp::setId()
     * @param  AttributedDateTime $_created
     * @param  AttributedDateTime $_expires
     * @param  DOMDocument        $_any
     * @param  ID                 $_id
     * @return Timestamp
     */
    public function __construct($_created = null, $_expires = null, $_any = null, $_id = null)
    {
        $this->setCreated($_created);
        $this->setExpires($_expires);
        $this->setAny($_any);
        $this->setId($_id);
    }
    /**
     * Get Created value
     * @return AttributedDateTime|null
     */
    public function getCreated()
    {
        return $this->Created;
    }
    /**
     * Set Created value
     * @param  AttributedDateTime $_created the Created
     * @return AttributedDateTime
     */
    public function setCreated($_created)
    {
        return ($this->Created = $_created);
    }
    /**
     * Get Expires value
     * @return AttributedDateTime|null
     */
    public function getExpires()
    {
        return $this->Expires;
    }
    /**
     * Set Expires value
     * @param  AttributedDateTime $_expires the Expires
     * @return AttributedDateTime
     */
    public function setExpires($_expires)
    {
        return ($this->Expires = $_expires);
    }
    /**
     * Get any value
     * @uses DOMDocument::loadXML()
     * @uses DOMDocument::hasChildNodes()
     * @uses DOMDocument::saveXML()
     * @uses DOMNode::item()
     * @uses Timestamp::setAny()
     * @param bool true or false whether to return XML value as string or as DOMDocument
     * @return DOMDocument|null
     */
    public function getAny($_asString = true)
    {
        if (!empty($this->any) && !($this->any instanceof DOMDocument)) {
            $dom = new \DOMDocument('1.0', 'UTF-8');
            $dom->formatOutput = true;
            if ($dom->loadXML($this->any)) {
                $this->setAny($dom);
            }
            unset($dom);
        }

        return ($_asString && ($this->any instanceof DOMDocument)
            && $this->any->hasChildNodes()) ? $this->any->saveXML($this->any->childNodes->item(0)) : $this->any;
    }
    /**
     * Set any value
     * @param  DOMDocument $_any the any
     * @return DOMDocument
     */
    public function setAny($_any)
    {
        return ($this->any = $_any);
    }
    /**
     * Get Id value
     * @return ID|null
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param  ID $_id the Id
     * @return ID
     */
    public function setId($_id)
    {
        return ($this->Id = $_id);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
