<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for Transform originally named TransformType
 * Meta informations extracted from the WSDL
 * - from schema : xmldsig-core-schema.xsd
 * @date 2013-12-03
 */
class Transform
{
    /**
     * The Algorithm
     * Meta informations extracted from the WSDL
     * - use : required
     * @var anyURI
     */
    public $Algorithm;
    /**
     * The any
     * @var DOMDocument
     */
    public $any;
    /**
     * The XPath
     * @var string
     */
    public $XPath;
    /**
     * Constructor method for TransformType
     * @uses Transform::setAlgorithm()
     * @uses Transform::setAny()
     * @uses Transform::setXPath()
     * @param  anyURI      $_algorithm
     * @param  DOMDocument $_any
     * @param  string      $_xPath
     * @return Transform
     */
    public function __construct($_algorithm, $_any = null, $_xPath = null)
    {
        $this->setAlgorithm($_algorithm);
        $this->setAny($_any);
        $this->setXPath($_xPath);
    }
    /**
     * Get Algorithm value
     * @return anyURI
     */
    public function getAlgorithm()
    {
        return $this->Algorithm;
    }
    /**
     * Set Algorithm value
     * @param  anyURI $_algorithm the Algorithm
     * @return anyURI
     */
    public function setAlgorithm($_algorithm)
    {
        return ($this->Algorithm = $_algorithm);
    }
    /**
     * Get any value
     * @uses DOMDocument::loadXML()
     * @uses DOMDocument::hasChildNodes()
     * @uses DOMDocument::saveXML()
     * @uses DOMNode::item()
     * @uses Transform::setAny()
     * @param bool true or false whether to return XML value as string or as DOMDocument
     * @return DOMDocument|null
     */
    public function getAny($_asString = true)
    {
        if (!empty($this->any) && !($this->any instanceof DOMDocument)) {
            $dom = new \DOMDocument('1.0', 'UTF-8');
            $dom->formatOutput = true;
            if ($dom->loadXML($this->any)) {
                $this->setAny($dom);
            }
            unset($dom);
        }

        return ($_asString && ($this->any instanceof DOMDocument)
            && $this->any->hasChildNodes()) ? $this->any->saveXML($this->any->childNodes->item(0)) : $this->any;
    }
    /**
     * Set any value
     * @param  DOMDocument $_any the any
     * @return DOMDocument
     */
    public function setAny($_any)
    {
        return ($this->any = $_any);
    }
    /**
     * Get XPath value
     * @return string|null
     */
    public function getXPath()
    {
        return $this->XPath;
    }
    /**
     * Set XPath value
     * @param  string $_xPath the XPath
     * @return string
     */
    public function setXPath($_xPath)
    {
        return ($this->XPath = $_xPath);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
