<?php
namespace Topalis\WinPhone\Wstep\Entity;

/**
 * This class stands for X509IssuerSerial originally named X509IssuerSerialType
 * Meta informations extracted from the WSDL
 * - from schema : xmldsig-core-schema.xsd
 * @date 2013-12-03
 */
class X509IssuerSerial
{
    /**
     * The X509IssuerName
     * @var string
     */
    public $X509IssuerName;
    /**
     * The X509SerialNumber
     * @var integer
     */
    public $X509SerialNumber;
    /**
     * Constructor method for X509IssuerSerialType
     * @uses X509IssuerSerial::setX509IssuerName()
     * @uses X509IssuerSerial::setX509SerialNumber()
     * @param  string           $_x509IssuerName
     * @param  integer          $_x509SerialNumber
     * @return X509IssuerSerial
     */
    public function __construct($_x509IssuerName = null, $_x509SerialNumber = null)
    {
        $this->setX509IssuerName($_x509IssuerName);
        $this->setX509SerialNumber($_x509SerialNumber);
    }
    /**
     * Get X509IssuerName value
     * @return string|null
     */
    public function getX509IssuerName()
    {
        return $this->X509IssuerName;
    }
    /**
     * Set X509IssuerName value
     * @param  string $_x509IssuerName the X509IssuerName
     * @return string
     */
    public function setX509IssuerName($_x509IssuerName)
    {
        return ($this->X509IssuerName = $_x509IssuerName);
    }
    /**
     * Get X509SerialNumber value
     * @return integer|null
     */
    public function getX509SerialNumber()
    {
        return $this->X509SerialNumber;
    }
    /**
     * Set X509SerialNumber value
     * @param  integer $_x509SerialNumber the X509SerialNumber
     * @return integer
     */
    public function setX509SerialNumber($_x509SerialNumber)
    {
        return ($this->X509SerialNumber = $_x509SerialNumber);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
