<?php
namespace Topalis\WinPhone\Wstep;

use Topalis\WinPhone\Wstep\Entity\ClassMap;
use Topalis\WinPhone\Soap\SoapServer;

/**
 * SOAP server that implements MS-WSTEP for the rollout of Windows Phone
 * devices.
 *
 * @see http://msdn.microsoft.com/en-us/library/dd340609.aspx
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
class WstepServer extends SoapServer
{
    public function __construct(array $options = null)
    {
        $wsdl = __DIR__ . "/../Resources/wsdl/ws-trust-1.3.wsdl";
        $options['classmap'] = ClassMap::getClassMap();
        if (isset($options['features'])) {
            $options['features'] |= SOAP_SINGLE_ELEMENT_ARRAYS;
        } else {
            $options['features'] = SOAP_SINGLE_ELEMENT_ARRAYS;
        }
        parent::__construct($wsdl, new WstepService(), $options);
    }
}
