<?php
namespace Topalis\WinPhone\Xcep\Entity;

/**
 * This class stands for Attributes originally named Attributes
 * Meta informations extracted from the WSDL
 * - from schema : xcep.xsd
 * @date 2013-12-10
 */
class Attributes
{
    /**
     * The commonName
     * @var string
     */
    public $commonName;

    /**
     * The policySchema
     * @var unsignedInt
     */
    public $policySchema;

    /**
     * The certificateValidity
     * @var CertificateValidity
     */
    public $certificateValidity;

    /**
     * The permission
     * @var EnrollmentPermission
     */
    public $permission;

    /**
     * The privateKeyAttributes
     * @var PrivateKeyAttributes
     */
    public $privateKeyAttributes;

    /**
     * The revision
     * @var Revision
     */
    public $revision;

    /**
     * The supersededPolicies
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var SupersededPolicies
     */
    public $supersededPolicies;

    /**
     * The privateKeyFlags
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var unsignedInt
     */
    public $privateKeyFlags;

    /**
     * The subjectNameFlags
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var unsignedInt
     */
    public $subjectNameFlags;

    /**
     * The enrollmentFlags
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var unsignedInt
     */
    public $enrollmentFlags;

    /**
     * The generalFlags
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var unsignedInt
     */
    public $generalFlags;

    /**
     * The hashAlgorithmOIDReference
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var int
     */
    public $hashAlgorithmOIDReference;

    /**
     * The rARequirements
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var RARequirements
     */
    public $rARequirements;

    /**
     * The keyArchivalAttributes
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var KeyArchivalAttributes
     */
    public $keyArchivalAttributes;

    /**
     * The extensions
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var ExtensionCollection
     */
    public $extensions;

    /**
     * The any
     * @var DOMDocument
     */
    public $any;

    /**
     * Constructor method for Attributes
     * @uses Attributes::setCommonName()
     * @uses Attributes::setPolicySchema()
     * @uses Attributes::setCertificateValidity()
     * @uses Attributes::setPermission()
     * @uses Attributes::setPrivateKeyAttributes()
     * @uses Attributes::setRevision()
     * @uses Attributes::setSupersededPolicies()
     * @uses Attributes::setPrivateKeyFlags()
     * @uses Attributes::setSubjectNameFlags()
     * @uses Attributes::setEnrollmentFlags()
     * @uses Attributes::setGeneralFlags()
     * @uses Attributes::setHashAlgorithmOIDReference()
     * @uses Attributes::setRARequirements()
     * @uses Attributes::setKeyArchivalAttributes()
     * @uses Attributes::setExtensions()
     * @uses Attributes::setAny()
     * @param string $_commonName
     * @param unsignedInt $_policySchema
     * @param CertificateValidity $_certificateValidity
     * @param EnrollmentPermission $_permission
     * @param PrivateKeyAttributes $_privateKeyAttributes
     * @param Revision $_revision
     * @param SupersededPolicies $_supersededPolicies
     * @param unsignedInt $_privateKeyFlags
     * @param unsignedInt $_subjectNameFlags
     * @param unsignedInt $_enrollmentFlags
     * @param unsignedInt $_generalFlags
     * @param int $_hashAlgorithmOIDReference
     * @param RARequirements $_rARequirements
     * @param KeyArchivalAttributes $_keyArchivalAttributes
     * @param ExtensionCollection $_extensions
     * @param DOMDocument $_any
     * @return Attributes
     */
    public function __construct($_commonName = null, $_policySchema = null, $_certificateValidity = null,
        $_permission = null, $_privateKeyAttributes = null, $_revision = null, $_supersededPolicies = null,
        $_privateKeyFlags = null, $_subjectNameFlags = null, $_enrollmentFlags = null, $_generalFlags = null,
        $_hashAlgorithmOIDReference = null, $_rARequirements = null, $_keyArchivalAttributes = null,
        $_extensions = null, $_any = null)
    {
        $this->setCommonName($_commonName);
        $this->setPolicySchema($_policySchema);
        $this->setCertificateValidity($_certificateValidity);
        $this->setPermission($_permission);
        $this->setPrivateKeyAttributes($_privateKeyAttributes);
        $this->setRevision($_revision);
        $this->setSupersededPolicies($_supersededPolicies);
        $this->setPrivateKeyFlags($_privateKeyFlags);
        $this->setSubjectNameFlags($_subjectNameFlags);
        $this->setEnrollmentFlags($_enrollmentFlags);
        $this->setGeneralFlags($_generalFlags);
        $this->setHashAlgorithmOIDReference($_hashAlgorithmOIDReference);
        $this->setRARequirements($_rARequirements);
        $this->setKeyArchivalAttributes($_keyArchivalAttributes);
        $this->setExtensions($_extensions);
        $this->setAny($_any);
    }

    /**
     * Get commonName value
     * @return string|null
     */
    public function getCommonName()
    {
        return $this->commonName;
    }

    /**
     * Set commonName value
     * @param string $_commonName the commonName
     * @return string
     */
    public function setCommonName($_commonName)
    {
        return ($this->commonName = $_commonName);
    }

    /**
     * Get policySchema value
     * @return unsignedInt|null
     */
    public function getPolicySchema()
    {
        return $this->policySchema;
    }

    /**
     * Set policySchema value
     * @param unsignedInt $_policySchema the policySchema
     * @return unsignedInt
     */
    public function setPolicySchema($_policySchema)
    {
        return ($this->policySchema = $_policySchema);
    }

    /**
     * Get certificateValidity value
     * @return CertificateValidity|null
     */
    public function getCertificateValidity()
    {
        return $this->certificateValidity;
    }

    /**
     * Set certificateValidity value
     * @param CertificateValidity $_certificateValidity the certificateValidity
     * @return CertificateValidity
     */
    public function setCertificateValidity($_certificateValidity)
    {
        return ($this->certificateValidity = $_certificateValidity);
    }

    /**
     * Get permission value
     * @return EnrollmentPermission|null
     */
    public function getPermission()
    {
        return $this->permission;
    }

    /**
     * Set permission value
     * @param EnrollmentPermission $_permission the permission
     * @return EnrollmentPermission
     */
    public function setPermission($_permission)
    {
        return ($this->permission = $_permission);
    }

    /**
     * Get privateKeyAttributes value
     * @return PrivateKeyAttributes|null
     */
    public function getPrivateKeyAttributes()
    {
        return $this->privateKeyAttributes;
    }

    /**
     * Set privateKeyAttributes value
     * @param PrivateKeyAttributes $_privateKeyAttributes the privateKeyAttributes
     * @return PrivateKeyAttributes
     */
    public function setPrivateKeyAttributes($_privateKeyAttributes)
    {
        return ($this->privateKeyAttributes = $_privateKeyAttributes);
    }

    /**
     * Get revision value
     * @return Revision|null
     */
    public function getRevision()
    {
        return $this->revision;
    }

    /**
     * Set revision value
     * @param Revision $_revision the revision
     * @return Revision
     */
    public function setRevision($_revision)
    {
        return ($this->revision = $_revision);
    }

    /**
     * Get supersededPolicies value
     * @return SupersededPolicies|null
     */
    public function getSupersededPolicies()
    {
        return $this->supersededPolicies;
    }

    /**
     * Set supersededPolicies value
     * @param SupersededPolicies $_supersededPolicies the supersededPolicies
     * @return SupersededPolicies
     */
    public function setSupersededPolicies($_supersededPolicies)
    {
        return ($this->supersededPolicies = $_supersededPolicies);
    }

    /**
     * Get privateKeyFlags value
     * @return unsignedInt|null
     */
    public function getPrivateKeyFlags()
    {
        return $this->privateKeyFlags;
    }

    /**
     * Set privateKeyFlags value
     * @param unsignedInt $_privateKeyFlags the privateKeyFlags
     * @return unsignedInt
     */
    public function setPrivateKeyFlags($_privateKeyFlags)
    {
        return ($this->privateKeyFlags = $_privateKeyFlags);
    }

    /**
     * Get subjectNameFlags value
     * @return unsignedInt|null
     */
    public function getSubjectNameFlags()
    {
        return $this->subjectNameFlags;
    }

    /**
     * Set subjectNameFlags value
     * @param unsignedInt $_subjectNameFlags the subjectNameFlags
     * @return unsignedInt
     */
    public function setSubjectNameFlags($_subjectNameFlags)
    {
        return ($this->subjectNameFlags = $_subjectNameFlags);
    }

    /**
     * Get enrollmentFlags value
     * @return unsignedInt|null
     */
    public function getEnrollmentFlags()
    {
        return $this->enrollmentFlags;
    }

    /**
     * Set enrollmentFlags value
     * @param unsignedInt $_enrollmentFlags the enrollmentFlags
     * @return unsignedInt
     */
    public function setEnrollmentFlags($_enrollmentFlags)
    {
        return ($this->enrollmentFlags = $_enrollmentFlags);
    }

    /**
     * Get generalFlags value
     * @return unsignedInt|null
     */
    public function getGeneralFlags()
    {
        return $this->generalFlags;
    }

    /**
     * Set generalFlags value
     * @param unsignedInt $_generalFlags the generalFlags
     * @return unsignedInt
     */
    public function setGeneralFlags($_generalFlags)
    {
        return ($this->generalFlags = $_generalFlags);
    }

    /**
     * Get hashAlgorithmOIDReference value
     * @return int|null
     */
    public function getHashAlgorithmOIDReference()
    {
        return $this->hashAlgorithmOIDReference;
    }

    /**
     * Set hashAlgorithmOIDReference value
     * @param int $_hashAlgorithmOIDReference the hashAlgorithmOIDReference
     * @return int
     */
    public function setHashAlgorithmOIDReference($_hashAlgorithmOIDReference)
    {
        return ($this->hashAlgorithmOIDReference = $_hashAlgorithmOIDReference);
    }

    /**
     * Get rARequirements value
     * @return RARequirements|null
     */
    public function getRARequirements()
    {
        return $this->rARequirements;
    }

    /**
     * Set rARequirements value
     * @param RARequirements $_rARequirements the rARequirements
     * @return RARequirements
     */
    public function setRARequirements($_rARequirements)
    {
        return ($this->rARequirements = $_rARequirements);
    }

    /**
     * Get keyArchivalAttributes value
     * @return KeyArchivalAttributes|null
     */
    public function getKeyArchivalAttributes()
    {
        return $this->keyArchivalAttributes;
    }

    /**
     * Set keyArchivalAttributes value
     * @param KeyArchivalAttributes $_keyArchivalAttributes the keyArchivalAttributes
     * @return KeyArchivalAttributes
     */
    public function setKeyArchivalAttributes($_keyArchivalAttributes)
    {
        return ($this->keyArchivalAttributes = $_keyArchivalAttributes);
    }

    /**
     * Get extensions value
     * @return ExtensionCollection|null
     */
    public function getExtensions()
    {
        return $this->extensions;
    }

    /**
     * Set extensions value
     * @param ExtensionCollection $_extensions the extensions
     * @return ExtensionCollection
     */
    public function setExtensions($_extensions)
    {
        return ($this->extensions = $_extensions);
    }

    /**
     * Get any value
     * @uses DOMDocument::loadXML()
     * @uses DOMDocument::hasChildNodes()
     * @uses DOMDocument::saveXML()
     * @uses DOMNode::item()
     * @uses Attributes::setAny()
     * @param bool true or false whether to return XML value as string or as DOMDocument
     * @return DOMDocument|null
     */
    public function getAny($_asString = true)
    {
        if (!empty($this->any) && !($this->any instanceof DOMDocument)) {
            $dom = new \DOMDocument('1.0', 'UTF-8');
            $dom->formatOutput = true;
            if ($dom->loadXML($this->any)) {
                $this->setAny($dom);
            }

            unset($dom);
        }

        return ($_asString && ($this->any instanceof DOMDocument)
            && $this->any->hasChildNodes()) ? $this->any->saveXML($this->any->childNodes->item(0)) : $this->any;
    }

    /**
     * Set any value
     * @param DOMDocument $_any the any
     * @return DOMDocument
     */
    public function setAny($_any)
    {
        return ($this->any = $_any);
    }

    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }

}
