<?php
namespace Topalis\WinPhone\Xcep\Entity;

/**
 * This class stands for CACollection originally named CACollection
 * Meta informations extracted from the WSDL
 * - from schema : xcep.xsd
 * @date 2013-12-10
 */
class CACollection
{
    /**
     * The cA
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 1
     * @var CA
     */
    public $cA;

    /**
     * Constructor method for CACollection
     * @uses CACollection::setCA()
     * @param CA $_cA
     * @return CACollection
     */
    public function __construct($_cA)
    {
        $this->setCA($_cA);
    }

    /**
     * Get cA value
     * @return CA
     */
    public function getCA()
    {
        return $this->cA;
    }

    /**
     * Set cA value
     * @param CA $_cA the cA
     * @return CA
     */
    public function setCA($_cA)
    {
        return ($this->cA = $_cA);
    }

    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }

}
