<?php
namespace Topalis\WinPhone\Xcep\Entity;

/**
 * This class stands for CAURI originally named CAURI
 * Meta informations extracted from the WSDL
 * - from schema : xcep.xsd
 * @date 2013-12-10
 */
class CAURI
{
    /**
     * The clientAuthentication
     * @var unsignedInt
     */
    public $clientAuthentication;

    /**
     * The uri
     * @var anyURI
     */
    public $uri;

    /**
     * The priority
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var unsignedInt
     */
    public $priority;

    /**
     * The renewalOnly
     * @var boolean
     */
    public $renewalOnly;

    /**
     * The any
     * @var DOMDocument
     */
    public $any;

    /**
     * Constructor method for CAURI
     * @uses CAURI::setClientAuthentication()
     * @uses CAURI::setUri()
     * @uses CAURI::setPriority()
     * @uses CAURI::setRenewalOnly()
     * @uses CAURI::setAny()
     * @param unsignedInt $_clientAuthentication
     * @param anyURI $_uri
     * @param unsignedInt $_priority
     * @param boolean $_renewalOnly
     * @param DOMDocument $_any
     * @return CAURI
     */
    public function __construct($_clientAuthentication = null, $_uri = null, $_priority = null,
        $_renewalOnly = null, $_any = null)
    {
        $this->setClientAuthentication($_clientAuthentication);
        $this->setUri($_uri);
        $this->setPriority($_priority);
        $this->setRenewalOnly($_renewalOnly);
        $this->setAny($_any);
    }

    /**
     * Get clientAuthentication value
     * @return unsignedInt|null
     */
    public function getClientAuthentication()
    {
        return $this->clientAuthentication;
    }

    /**
     * Set clientAuthentication value
     * @param unsignedInt $_clientAuthentication the clientAuthentication
     * @return unsignedInt
     */
    public function setClientAuthentication($_clientAuthentication)
    {
        return ($this->clientAuthentication = $_clientAuthentication);
    }

    /**
     * Get uri value
     * @return anyURI|null
     */
    public function getUri()
    {
        return $this->uri;
    }

    /**
     * Set uri value
     * @param anyURI $_uri the uri
     * @return anyURI
     */
    public function setUri($_uri)
    {
        return ($this->uri = $_uri);
    }

    /**
     * Get priority value
     * @return unsignedInt|null
     */
    public function getPriority()
    {
        return $this->priority;
    }

    /**
     * Set priority value
     * @param unsignedInt $_priority the priority
     * @return unsignedInt
     */
    public function setPriority($_priority)
    {
        return ($this->priority = $_priority);
    }

    /**
     * Get renewalOnly value
     * @return boolean|null
     */
    public function getRenewalOnly()
    {
        return $this->renewalOnly;
    }

    /**
     * Set renewalOnly value
     * @param boolean $_renewalOnly the renewalOnly
     * @return boolean
     */
    public function setRenewalOnly($_renewalOnly)
    {
        return ($this->renewalOnly = $_renewalOnly);
    }

    /**
     * Get any value
     * @uses DOMDocument::loadXML()
     * @uses DOMDocument::hasChildNodes()
     * @uses DOMDocument::saveXML()
     * @uses DOMNode::item()
     * @uses CAURI::setAny()
     * @param bool true or false whether to return XML value as string or as DOMDocument
     * @return DOMDocument|null
     */
    public function getAny($_asString = true)
    {
        if (!empty($this->any) && !($this->any instanceof DOMDocument)) {
            $dom = new \DOMDocument('1.0', 'UTF-8');
            $dom->formatOutput = true;
            if ($dom->loadXML($this->any)) {
                $this->setAny($dom);
            }

            unset($dom);
        }

        return ($_asString && ($this->any instanceof DOMDocument)
            && $this->any->hasChildNodes()) ? $this->any->saveXML($this->any->childNodes->item(0)) : $this->any;
    }

    /**
     * Set any value
     * @param DOMDocument $_any the any
     * @return DOMDocument
     */
    public function setAny($_any)
    {
        return ($this->any = $_any);
    }

    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }

}
