<?php
namespace Topalis\WinPhone\Xcep\Entity;

/**
 * This class stands for CAURICollection originally named CAURICollection
 * Meta informations extracted from the WSDL
 * - from schema : xcep.xsd
 * @date 2013-12-10
 */
class CAURICollection
{
    /**
     * The cAURI
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 1
     * @var CAURI
     */
    public $cAURI;

    /**
     * Constructor method for CAURICollection
     * @uses CAURICollection::setCAURI()
     * @param CAURI $_cAURI
     * @return CAURICollection
     */
    public function __construct($_cAURI)
    {
        $this->setCAURI($_cAURI);
    }

    /**
     * Get cAURI value
     * @return CAURI
     */
    public function getCAURI()
    {
        return $this->cAURI;
    }

    /**
     * Set cAURI value
     * @param CAURI $_cAURI the cAURI
     * @return CAURI
     */
    public function setCAURI($_cAURI)
    {
        return ($this->cAURI = $_cAURI);
    }

    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }

}
