<?php
namespace Topalis\WinPhone\Xcep\Entity;

/**
 * This class stands for CertificateValidity originally named CertificateValidity
 * Meta informations extracted from the WSDL
 * - from schema : xcep.xsd
 * @date 2013-12-10
 */
class CertificateValidity
{
    /**
     * The validityPeriodSeconds
     * @var unsignedLong
     */
    public $validityPeriodSeconds;

    /**
     * The renewalPeriodSeconds
     * @var unsignedLong
     */
    public $renewalPeriodSeconds;

    /**
     * Constructor method for CertificateValidity
     * @uses CertificateValidity::setValidityPeriodSeconds()
     * @uses CertificateValidity::setRenewalPeriodSeconds()
     * @param unsignedLong $_validityPeriodSeconds
     * @param unsignedLong $_renewalPeriodSeconds
     * @return CertificateValidity
     */
    public function __construct($_validityPeriodSeconds = null, $_renewalPeriodSeconds = null)
    {
        $this->setValidityPeriodSeconds($_validityPeriodSeconds);
        $this->setRenewalPeriodSeconds($_renewalPeriodSeconds);
    }

    /**
     * Get validityPeriodSeconds value
     * @return unsignedLong|null
     */
    public function getValidityPeriodSeconds()
    {
        return $this->validityPeriodSeconds;
    }

    /**
     * Set validityPeriodSeconds value
     * @param unsignedLong $_validityPeriodSeconds the validityPeriodSeconds
     * @return unsignedLong
     */
    public function setValidityPeriodSeconds($_validityPeriodSeconds)
    {
        return ($this->validityPeriodSeconds = $_validityPeriodSeconds);
    }

    /**
     * Get renewalPeriodSeconds value
     * @return unsignedLong|null
     */
    public function getRenewalPeriodSeconds()
    {
        return $this->renewalPeriodSeconds;
    }

    /**
     * Set renewalPeriodSeconds value
     * @param unsignedLong $_renewalPeriodSeconds the renewalPeriodSeconds
     * @return unsignedLong
     */
    public function setRenewalPeriodSeconds($_renewalPeriodSeconds)
    {
        return ($this->renewalPeriodSeconds = $_renewalPeriodSeconds);
    }

    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }

}
