<?php
namespace Topalis\WinPhone\Xcep\Entity;

/**
 * This class stands for Extension originally named Extension
 * Meta informations extracted from the WSDL
 * - from schema : xcep.xsd
 * @date 2013-12-10
 */
class Extension
{
    /**
     * The oIDReference
     * @var int
     */
    public $oIDReference;

    /**
     * The critical
     * @var boolean
     */
    public $critical;

    /**
     * The value
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var base64Binary
     */
    public $value;

    /**
     * Constructor method for Extension
     * @uses Extension::setOIDReference()
     * @uses Extension::setCritical()
     * @uses Extension::setValue()
     * @param int $_oIDReference
     * @param boolean $_critical
     * @param base64Binary $_value
     * @return Extension
     */
    public function __construct($_oIDReference = null, $_critical = null, $_value = null)
    {
        $this->setOIDReference($_oIDReference);
        $this->setCritical($_critical);
        $this->setValue($_value);
    }

    /**
     * Get oIDReference value
     * @return int|null
     */
    public function getOIDReference()
    {
        return $this->oIDReference;
    }

    /**
     * Set oIDReference value
     * @param int $_oIDReference the oIDReference
     * @return int
     */
    public function setOIDReference($_oIDReference)
    {
        return ($this->oIDReference = $_oIDReference);
    }

    /**
     * Get critical value
     * @return boolean|null
     */
    public function getCritical()
    {
        return $this->critical;
    }

    /**
     * Set critical value
     * @param boolean $_critical the critical
     * @return boolean
     */
    public function setCritical($_critical)
    {
        return ($this->critical = $_critical);
    }

    /**
     * Get value value
     * @return base64Binary|null
     */
    public function getValue()
    {
        return $this->value;
    }

    /**
     * Set value value
     * @param base64Binary $_value the value
     * @return base64Binary
     */
    public function setValue($_value)
    {
        return ($this->value = $_value);
    }

    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }

}
