<?php
namespace Topalis\WinPhone\Xcep\Entity;

/**
 * This class stands for FilterOIDCollection originally named FilterOIDCollection
 * Meta informations extracted from the WSDL
 * - from schema : xcep.xsd
 * @date 2013-12-10
 */
class FilterOIDCollection
{
    /**
     * The oid
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 1
     * @var string
     */
    public $oid;

    /**
     * Constructor method for FilterOIDCollection
     * @uses FilterOIDCollection::setOid()
     * @param string $_oid
     * @return FilterOIDCollection
     */
    public function __construct($_oid)
    {
        $this->setOid($_oid);
    }

    /**
     * Get oid value
     * @return string
     */
    public function getOid()
    {
        return $this->oid;
    }

    /**
     * Set oid value
     * @param string $_oid the oid
     * @return string
     */
    public function setOid($_oid)
    {
        return ($this->oid = $_oid);
    }

    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }

}
