<?php
namespace Topalis\WinPhone\Xcep\Entity;

/**
 * This class stands for Response originally named Response
 * Meta informations extracted from the WSDL
 * - from schema : xcep.xsd
 * @date 2013-12-10
 */
class Response
{
    /**
     * The policyID
     * Meta informations extracted from the WSDL
     * - nillable : false
     * @var string
     */
    public $policyID;

    /**
     * The policyFriendlyName
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var string
     */
    public $policyFriendlyName;

    /**
     * The nextUpdateHours
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var unsignedInt
     */
    public $nextUpdateHours;

    /**
     * The policiesNotChanged
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var boolean
     */
    public $policiesNotChanged;

    /**
     * The policies
     * Meta informations extracted from the WSDL
     * - nillable : true
     * @var PolicyCollection
     */
    public $policies;

    /**
     * The any
     * @var DOMDocument
     */
    public $any;

    /**
     * Constructor method for Response
     * @uses Response::setPolicyID()
     * @uses Response::setPolicyFriendlyName()
     * @uses Response::setNextUpdateHours()
     * @uses Response::setPoliciesNotChanged()
     * @uses Response::setPolicies()
     * @uses Response::setAny()
     * @param string $_policyID
     * @param string $_policyFriendlyName
     * @param unsignedInt $_nextUpdateHours
     * @param boolean $_policiesNotChanged
     * @param PolicyCollection $_policies
     * @param DOMDocument $_any
     * @return Response
     */
    public function __construct($_policyID = null, $_policyFriendlyName = null,
        $_nextUpdateHours = null, $_policiesNotChanged = null, $_policies = null, $_any = null)
    {
        $this->setPolicyID($_policyID);
        $this->setPolicyFriendlyName($_policyFriendlyName);
        $this->setNextUpdateHours($_nextUpdateHours);
        $this->setPoliciesNotChanged($_policiesNotChanged);
        $this->setPolicies($_policies);
        $this->setAny($_any);
    }

    /**
     * Get policyID value
     * @return string|null
     */
    public function getPolicyID()
    {
        return $this->policyID;
    }

    /**
     * Set policyID value
     * @param string $_policyID the policyID
     * @return string
     */
    public function setPolicyID($_policyID)
    {
        return ($this->policyID = $_policyID);
    }

    /**
     * Get policyFriendlyName value
     * @return string|null
     */
    public function getPolicyFriendlyName()
    {
        return $this->policyFriendlyName;
    }

    /**
     * Set policyFriendlyName value
     * @param string $_policyFriendlyName the policyFriendlyName
     * @return string
     */
    public function setPolicyFriendlyName($_policyFriendlyName)
    {
        return ($this->policyFriendlyName = $_policyFriendlyName);
    }

    /**
     * Get nextUpdateHours value
     * @return unsignedInt|null
     */
    public function getNextUpdateHours()
    {
        return $this->nextUpdateHours;
    }

    /**
     * Set nextUpdateHours value
     * @param unsignedInt $_nextUpdateHours the nextUpdateHours
     * @return unsignedInt
     */
    public function setNextUpdateHours($_nextUpdateHours)
    {
        return ($this->nextUpdateHours = $_nextUpdateHours);
    }

    /**
     * Get policiesNotChanged value
     * @return boolean|null
     */
    public function getPoliciesNotChanged()
    {
        return $this->policiesNotChanged;
    }

    /**
     * Set policiesNotChanged value
     * @param boolean $_policiesNotChanged the policiesNotChanged
     * @return boolean
     */
    public function setPoliciesNotChanged($_policiesNotChanged)
    {
        return ($this->policiesNotChanged = $_policiesNotChanged);
    }

    /**
     * Get policies value
     * @return PolicyCollection|null
     */
    public function getPolicies()
    {
        return $this->policies;
    }

    /**
     * Set policies value
     * @param PolicyCollection $_policies the policies
     * @return PolicyCollection
     */
    public function setPolicies($_policies)
    {
        return ($this->policies = $_policies);
    }

    /**
     * Get any value
     * @uses DOMDocument::loadXML()
     * @uses DOMDocument::hasChildNodes()
     * @uses DOMDocument::saveXML()
     * @uses DOMNode::item()
     * @uses Response::setAny()
     * @param bool true or false whether to return XML value as string or as DOMDocument
     * @return DOMDocument|null
     */
    public function getAny($_asString = true)
    {
        if (!empty($this->any) && !($this->any instanceof DOMDocument)) {
            $dom = new \DOMDocument('1.0', 'UTF-8');
            $dom->formatOutput = true;
            if ($dom->loadXML($this->any)) {
                $this->setAny($dom);
            }

            unset($dom);
        }

        return ($_asString && ($this->any instanceof DOMDocument)
            && $this->any->hasChildNodes()) ? $this->any->saveXML($this->any->childNodes->item(0)) : $this->any;
    }

    /**
     * Set any value
     * @param DOMDocument $_any the any
     * @return DOMDocument
     */
    public function setAny($_any)
    {
        return ($this->any = $_any);
    }

    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }

}
