<?php
namespace Topalis\WinPhone\Xcep\Entity;

/**
 * This class stands for Revision originally named Revision
 * Meta informations extracted from the WSDL
 * - from schema : xcep.xsd
 * @date 2013-12-10
 */
class Revision
{
    /**
     * The majorRevision
     * @var unsignedInt
     */
    public $majorRevision;

    /**
     * The minorRevision
     * @var unsignedInt
     */
    public $minorRevision;

    /**
     * Constructor method for Revision
     * @uses Revision::setMajorRevision()
     * @uses Revision::setMinorRevision()
     * @param unsignedInt $_majorRevision
     * @param unsignedInt $_minorRevision
     * @return Revision
     */
    public function __construct($_majorRevision = null, $_minorRevision = null)
    {
        $this->setMajorRevision($_majorRevision);
        $this->setMinorRevision($_minorRevision);
    }

    /**
     * Get majorRevision value
     * @return unsignedInt|null
     */
    public function getMajorRevision()
    {
        return $this->majorRevision;
    }

    /**
     * Set majorRevision value
     * @param unsignedInt $_majorRevision the majorRevision
     * @return unsignedInt
     */
    public function setMajorRevision($_majorRevision)
    {
        return ($this->majorRevision = $_majorRevision);
    }

    /**
     * Get minorRevision value
     * @return unsignedInt|null
     */
    public function getMinorRevision()
    {
        return $this->minorRevision;
    }

    /**
     * Set minorRevision value
     * @param unsignedInt $_minorRevision the minorRevision
     * @return unsignedInt
     */
    public function setMinorRevision($_minorRevision)
    {
        return ($this->minorRevision = $_minorRevision);
    }

    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }

}
