<?php
namespace Topalis\WinPhone\Xcep;

use Topalis\WinPhone\Xcep\Entity\ClassMap;
use Topalis\WinPhone\Soap\SoapServer;

/**
 * SOAP server that implements MS-XCEP for the rollout of Windows Phone
 * devices.
 *
 * @see http://msdn.microsoft.com/en-us/library/dd302869.aspx
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
class XcepServer extends SoapServer
{
    public function __construct(array $options = null)
    {
        $wsdl = __DIR__ . "/../Resources/wsdl/xcep.wsdl";
        $options['classmap'] = ClassMap::getClassMap();
        parent::__construct($wsdl, new XcepService($this), $options);
    }
}
