<?php
namespace Topalis\Certificate\Controller;

use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;
use Topalis\Kernel\Controller;

/**
 * This controller can be used to get information about a client certificate.
 *
 * @author Fritz Elfert <fritz.elfert@topalis.com>
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 *
 * @Route("/admin/testclientcert", service="testclientcert.controller")
 */
class TestClientCertController extends Controller
{
    /**
     * @Template
     * @Route("", name="admin_testclientcert")
     *
     * @return array
     */
    public function indexAction()
    {
        $server = $this->getRequest()->server;
        $parameters = array(
            "server" => array(
                "country"       => $server->get("SSL_CLIENT_S_DN_C"),
                "state"         => $server->get("SSL_CLIENT_S_DN_ST"),
                "location"      => $server->get("SSL_CLIENT_S_DN_L"),
                "organization"  => $server->get("SSL_CLIENT_S_DN_O"),
                "unit"          => $server->get("SSL_CLIENT_S_DN_OU"),
                "common"        => $server->get("SSL_CLIENT_S_DN_CN"),
                "email"         => $server->get("SSL_CLIENT_S_DN_Email"),
                "valid"         => $server->get("SSL_CLIENT_V_END"),
                "serial"        => $server->get("SSL_CLIENT_M_SERIAL"),
                "protocol"      => $server->get("SSL_PROTOCOL"),
                "cipher"        => $server->get("SSL_CIPHER"),
                "verify"        => $server->get("SSL_CLIENT_VERIFY"),
            ),
            "verified" => ($server->get("SSL_CLIENT_VERIFY") == "SUCCESS")
        );

        return $parameters;
    }

}
