<?php
namespace Topalis\Certificate\DependencyInjection;

use Symfony\Component\Config\FileLocator;
use Symfony\Component\DependencyInjection\ContainerBuilder;
use Symfony\Component\DependencyInjection\Extension\Extension;
use Symfony\Component\DependencyInjection\Loader\YamlFileLoader;

/**
 *
 *
 * @author Florian Pfitzer <florian.pfitzer@to.com>
 */
class TopalisCertificateExtension extends Extension
{
    public function load(array $configs, ContainerBuilder $container)
    {
        $configuration = $this->getConfiguration($configs, $container);
        $this->processConfiguration($configuration, $configs);

        if (!$container->hasParameter("openssl.config_file")) {
            if ($container->getParameter("kernel.environment") == "test") {
                $container->setParameter("openssl.config_file", __DIR__."/../Tests/Resources/openssl.cnf");
            } else {
                $container->setParameter("openssl.config_file", "/etc/auralis/pki/tls/openssl.cnf");
            }
        }

        $loader = new YamlFileLoader($container, new FileLocator(__DIR__."/../Resources/config"));
        $loader->load("services.yml");
    }
}
