<?php
namespace Topalis\Certificate\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Symfony\Component\Validator\Constraints\File;
use Topalis\Certificate\Validator\CACertificate;

/**
 * Form for uploading certs
 * @author Florian Pfitzer <florian.pfitzer@topalis.com>
 */
class CertUploadForm extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $options; // unused
        $builder
            ->add("file", "file", array(
                "label" => "admin.cert.pkcs12",
                "constraints" => new File()
            ))
            ->add("password", "password", array(
                "label" => "admin.cert.importPassword",
                "required" => false,
            ))
        ;
    }

    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver
            ->setDefaults(array(
                "constraints" => new CACertificate()
            ));
    }

    /**
     * Returns the name of this type.
     * @return string The name of this type
     */
    public function getName()
    {
        return "cert_upload";
    }
}
