<?php
namespace Topalis\Certificate\Listener;

use Symfony\Component\HttpKernel\Event\PostResponseEvent;
use Symfony\Component\DependencyInjection\ContainerAware;

class TerminateListener extends ContainerAware
{
    /**
     * @return \Topalis\Certificate\CertificateManager
     */
    private function getCertificateManager()
    {
        return $this->container->get("certificate.manager");
    }

    /**
     * @return \Psr\Log\LoggerInterface
     */
    private function getLogger()
    {
        return $this->container->get("logger");
    }

    public function onKernelTerminate(PostResponseEvent $event)
    {
        $event; // unused

        if ($this->getCertificateManager()->isCreateRevocationList()) {
            try {
                $this->getCertificateManager()->doCreateRevocationList();
            } catch (\Exception $e) {
                $this->getLogger()->error("Error revoking certificates", array("exception" => $e));
            }
        }
    }
}
