<?php
namespace Topalis\Profile;

use Topalis\Profile\Payload\Android\PasscodePayload;
use Topalis\Profile\Payload\Android\RestrictionsPayload;
use Topalis\Profile\Payload\Android\WifiPayload;

/**
 *
 *
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class AndroidConfigurationProfile extends AbstractProfile
{
    const TYPE = "AndroidConfiguration";

    public function getPasscode()
    {
        return $this->getPayloads(PasscodePayload::TYPE);
    }

    public function setPasscode(array $payloads)
    {
        $this->clearAndSetPayloads(PasscodePayload::TYPE, $payloads);
    }

    public function getRestrictions()
    {
        return $this->getPayloads(RestrictionsPayload::TYPE);
    }

    public function setRestrictions(array $payloads)
    {
        $this->clearAndSetPayloads(RestrictionsPayload::TYPE, $payloads);
    }

    public function getWifi()
    {
        return $this->getPayloads(WifiPayload::TYPE);
    }

    public function setWifi(array $payloads)
    {
        $this->clearAndSetPayloads(WifiPayload::TYPE, $payloads);
    }
}
