<?php
namespace Topalis\Profile;

use Symfony\Component\EventDispatcher\Event;
use Topalis\Device\Entity\Device;
use Topalis\Profile\Payload\PayloadFactory;

/**
 *
 *
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class PayloadEvent extends Event
{
    /**
     * @var Device
     */
    private $device;

    /**
     * @var PayloadFactory
     */
    protected $payloadFactory;
    /**
     * @var AbstractProfile
     */
    protected $profile;

    public function __construct(Device $device, PayloadFactory $payloadFactory, AbstractProfile $profile)
    {
        $this->device = $device;
        $this->payloadFactory = $payloadFactory;
        $this->profile = $profile;
    }

    /**
     * @return \Topalis\Device\Entity\Device
     */
    public function getDevice()
    {
        return $this->device;
    }

    /**
     * @return \Topalis\Profile\Payload\PayloadFactory
     */
    public function getPayloadFactory()
    {
        return $this->payloadFactory;
    }

    /**
     * @return \Topalis\Profile\AbstractProfile
     */
    public function getProfile()
    {
        return $this->profile;
    }
}
