<?php
namespace Topalis\Scep\Controller;

use Topalis\Kernel\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;

/**
 *
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 *
 * @Route("/scep", service="scep.controller")
 */
class ScepController extends Controller
{
    /**
     * @return \Topalis\Scep\ScepService
     */
    private function getScepService()
    {
        return $this->container->get("scep.service");
    }

    /**
     * @Route("", name="scep")
     * for Windows Phone
     * @Route("/pkiclient.exe", name="scep_winphone")
     * for profiles generated with versions prior to 2.1
     * @Route(".php", name="scep_old")
     *
     * @return \Symfony\Component\HttpFoundation\Response
     */
    public function indexAction()
    {
        return $this->getScepService()->handleRequest($this->getRequest());
    }
}
