<?php
namespace Topalis\System\DependencyInjection;

use Symfony\Component\Config\Definition\Builder\TreeBuilder;
use Symfony\Component\Config\Definition\ConfigurationInterface;

/**
 *
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
class Configuration implements ConfigurationInterface
{

    /**
     * Generates the configuration tree builder.
     *
     * @return \Symfony\Component\Config\Definition\Builder\TreeBuilder The tree builder
     */
    public function getConfigTreeBuilder()
    {
        $treeBuilder = new TreeBuilder();
        $rootNode = $treeBuilder->root('system');
        $rootNode->children()
            ->scalarNode("aliases_file")->defaultValue("/etc/aliases")->end()
            ->scalarNode("clock_config")->defaultValue("/etc/sysconfig/clock")->end()
            ->scalarNode("network_scripts_dir")->defaultValue("/etc/sysconfig/network-scripts")->end()
            ->scalarNode("ntp_config")->defaultValue("/etc/ntp.conf")->end()
            ->scalarNode("time_zone_dir")->defaultValue("/usr/share/zoneinfo")->end()
            ->scalarNode("postfix_main_config")->defaultValue("/etc/postfix/main.cf")->end()
        ->end();

        return $treeBuilder;
    }
}
