<?php
namespace Topalis\Util;

/**
 * Class with array specific helper functions.
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
class ArrayUtil
{
    /**
     * @param array $search The array to check.
     * @param int|string $key The array key.
     * @param mixed $default The default value (defaults to null).
     * @return mixed The array entry with the specified key, or the specified
     *     default value if not existent.
     */
    public static function get(array $search, $key, $default = null)
    {
        if (array_key_exists($key, $search)) {
            return $search[$key];
        }
        return $default;
    }

}
