<?php
namespace Topalis\Util;

/**
 * Utility functions related to DOM nodes.
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
class DOMUtil
{
    /**
     * Returns the content (including sub nodes) from the specified node.
     *
     * @param \DOMNode $node The node to get the content for.
     * @param boolean $outer true to keep the node tags of the specified node.
     * @return string the node content.
     */
    public static function nodeContent(\DOMNode $node, $outer = false)
    {
        $doc = new \DOMDocument('1.0');
        $nodeCopy = $doc->importNode($node->cloneNode(true), true);
        $doc->appendChild($nodeCopy);
        $content = $doc->saveHTML();
        if (!$outer) {
            // remove outer tags
            $content = substr($content, strpos($content, '>') + 1, - (strlen($node->nodeName) + 4));
        }
        return $content;
    }
}
