<?php
namespace Topalis\Util;

/**
 * This class contains methods related to randomness.
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
class Random
{
    /**
     * Generate a random string similar to base64.
     * The following characters are omitted in the output:
     * ':', ';', '<', '=', '>', '?', '@', '[', '\', ']', '^', '_', '`', '.', '{', '|'
     * @param int $len The desired length of the string
     * @return string The random string.
     */
    public static function getString($len)
    {
        if (is_readable("/dev/urandom")) {
            $f = fopen("/dev/urandom", "r");
            $urandom = fread($f, $len);
            fclose($f);
        }
        $ret = '';
        for ($i = 0; $i < $len; ++$i) {
            if (!isset($urandom)) {
                if (0 == $i%2) {
                    mt_srand(time() % 2147 * 1000000 + (double) microtime() * 1000000);
                }
                $rand = 48 + mt_rand()%64;
            } else {
                $rand = 48 + ord($urandom[$i])%64;
            }

            // Make shure, we deliver base64 chars only
            if (57 < $rand) {
                $rand += 7;
            }
            if (90 < $rand) {
                $rand += 6;
            }
            if (46 == $rand) {
                $rand = 45;
            }
            if (123 == $rand) {
                $rand = 45;
            }
            if (124 == $rand) {
                $rand = 45;
            }
            $ret .= chr($rand);
        }
        return $ret;
    }
}
