MimeTypeMap = {
    catalog: {
        "application/atom+xml": "Atom feed",
        "application/ecmascript": "ECMAScript",
        "application/EDI-X12": "EDI X12 data",
        "application/EDIFACT": "EDI EDIFACT data",
        "application/json": "JSON",
        "application/javascript": "JavaScript",
        "application/msword": "Microsoft Word ≤2003",
        "application/octet-stream": "Arbitrary binary data",
        "application/ogg": "Ogg",
        "application/pdf": "PDF",
        "application/postscript": "PostScript",
        "application/rdf+xml": "RDF",
        "application/rss+xml": "RSS feed",
        "application/rtf": "RTF",
        "application/soap+xml": "SOAP",
        "application/font-woff": "Web Open Font Format",
        "application/xhtml+xml": "XHTML",
        "application/xml": "XML",
        "application/xml-dtd": "DTD",
        "application/xop+xml": "XOP",
        "application/zip": "ZIP archive",
        "application/gzip": "Gzip archive",
        "application/x-msdownload": "EXE",
        "application/x-nacl": "Native Client web module",
        "application/x-pnacl": "Portable Native Client web module",

        "audio/basic": "μ-law audio",
        "audio/L24": "24bit Linear PCM audio",
        "audio/mp4": "MP4 audio",
        "audio/mpeg": "MPEG audio",
        "audio/ogg": "Ogg audio",
        "audio/opus": "Opus audio",
        "audio/vorbis": "Vorbis audio",
        "audio/vnd.rn-realaudio": "RealAudio",
        "audio/vnd.wave": "WAV audio",
        "audio/webm": "WebM audio",

        "image/gif": "GIF",
        "image/jpeg": "JPEG",
        "image/pjpeg": "Progressive JPEG",
        "image/png": "PNG",
        "image/svg+xml": "SVG",
        "image/vnd.djvu": "DjVu",

        "model/iges": "IGS",
        "model/mesh": "MSH",
        "model/vrml": "WRL",
        "model/x3d+binary": "X3DB binary",
        "model/x3d+fastinfoset": "X3DB binary",
        "model/x3d-vrml": "X3DV VRML",
        "model/x3d+xml": "X3D XML",
        
        "multipart/mixed": "MIME Email (mixed)",
        "multipart/alternative": "MIME Email (alternative)",
        "multipart/related": "MIME Email (related)",
        "multipart/form-data": "MIME Webform",

        "text/css": "CSS",
        "text/csv": "CSV",
        "text/html": "HTML",
        "text/javascript": "JavaScript",
        "text/plain": "Plain text",
        "text/rtf": "RTF",
        "text/vcard": "vCard",
        "text/vnd.abc": "ABC music notation",
        "text/xml": "XML",

        "video/avi" : "AVI",
        "video/mpeg": "MPEG-1 video",
        "video/mp4": "MP4 video",
        "video/ogg": "Ogg video",
        "video/quicktime": "QuickTime video",
        "video/webm": "WebM video",
        "video/x-matroska": "Matroska video",
        "video/x-ms-wmv": "WMV",
        "video/x-flv": "Flash video",

        "application/vnd.debian.binary-package": "Debian package",
        "application/vnd.oasis.opendocument.text": "OpenDocument Text",
        "application/vnd.oasis.opendocument.spreadsheet": "OpenDocument Spreadsheet",
        "application/vnd.oasis.opendocument.presentation": "OpenDocument Presentation",
        "application/vnd.oasis.opendocument.graphics": "OpenDocument Graphics",
        "application/vnd.ms-excel": "Microsoft Excel ≤2003",
        "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet": "Microsoft Excel ≥2007",
        "application/vnd.ms-powerpoint": "Microsoft Powerpoint ≤2003",
        "application/vnd.openxmlformats-officedocument.presentationml.presentation": "Microsoft Powerpoint ≥2007",
        "application/vnd.openxmlformats-officedocument.wordprocessingml.document": "Microsoft Word ≥2007",
        "application/vnd.mozilla.xul+xml": "Mozilla XUL",
        "application/vnd.google-earth.kml+xml": "KML",
        "application/vnd.google-earth.kmz": "KMZ",
        "application/dart": "Dart",
        "application/vnd.android.package-archive": "APK",
        "application/vnd.ms-xpsdocument": "Open XML Paper Specification",
        "text/vnd.abc": "ABC music notation",

        "application/x-7z-compressed": "7-Zip archive",
        "application/x-chrome-extension": "Google Chrome extension",
        "application/x-dvi": "DVI",
        "application/x-font-ttf": "TrueType Font",
        "application/x-javascript": "JavaScript",
        "application/x-latex": "LaTeX",
        "application/x-mpegURL": ".m3u8 variant playlist",
        "application/x-rar-compressed": "RAR archive",
        "application/x-shockwave-flash": "Adobe Flash",
        "application/x-stuffit": "StuffIt archive",
        "application/x-tar": "Tarball",
        "application/x-www-form-urlencoded": "Form Encoded Data",
        "application/x-xpinstall": "Mozilla add-on",
        "audio/x-aac": "AAC audio",
        "audio/x-caf": "Apple CAF audio",
        "image/x-xcf": "GIMP image",
        "text/x-gwt-rpc": "GoogleWebToolkit data",
        "text/x-jquery-tmpl": "jQuery template data",
        "text/x-markdown": "Markdown text",
        "application/x-pkcs12": "PKCS#12"
    },
    lookup: function(mimeType) {
        if (this.catalog[mimeType] !== undefined) {
            return this.catalog[mimeType];
        }

        return mimeType;
    }
}
