$.widget('to.profileEditor', {
    options: {},
    _init: function() {
        var self = this;
        // wifi encryption
        $('.wifi_encryption_type').each(function() {
            self.setWifiEncryption($(this));
        });
        $('.wifi_proxy_type').each(function() {
            self.setWifiProxy($(this));
        });
        this.element.on('change', '.wifi_encryption_type', function() {
            self.setWifiEncryption($(this));
        });
        this.element.on('change', '.wifi_proxy_type', function() {
            self.setWifiProxy($(this));
        });

        this.element.find('#config_group_profile_wifi, #config_group_android_profile_wifi').on('item_added', function(e, item) {
            self.setWifiEncryption($(item).find('.wifi_encryption_type'));
            self.setWifiProxy($(item).find('.wifi_proxy_type'));
        });
        // check all restrictions
        this.element.find('#config_group_profile_restrictions, #config_group_android_profile_restrictions').on('item_added', function(e, item) {
            $(item).find('input[type=checkbox]').prop('checked', true);
        });
        this.element.find('#config_group_profile_air_play, #config_group_profile_air_print').on('item_added', function(e, item) {
            $(item).find('.add-button').click();
            $(item).on('item_removed', function() {
                if($(item).find('.item').length == 0) {
                    $(item).find('> .close').click();
                }
            });
        });
    },

    setWifiEncryption: function($select) {
        var $password = this._getControlGroup($select.closest('.item'), "password");
        if ('' == $select.val()) {
            $password.hide();
        } else {
            $password.show();
        }
    },
    setWifiProxy: function($select) {
        var $scope = $select.closest('.item');
        var $manual = $scope.find('.proxy_manual');
        var $auto = $scope.find('.proxy_auto');
        switch ($select.val()) {
            case '':
                $manual.hide();
                $auto.hide();
                break;
            case 'Manual':
                $manual.show();
                $auto.hide();
                break;
            case 'Auto':
                $manual.hide();
                $auto.show();
                break;
        }
    },

    _getControlGroup: function($scope, fieldName) {
        return $scope.find('[name$="['+fieldName+']"]').closest('.control-group')
    }
});

