<?php
namespace Topalis\Profile\Payload\Android;

use Topalis\Profile\Payload\PayloadFactory;
use Topalis\Wifi\Entity\WifiConfig;

class AndroidPayloadFactory extends PayloadFactory
{
    public function createWifiPayload(WifiConfig $wifiConfig)
    {
        $wifiPayload = new WifiPayload();
        $this->initPayload($wifiPayload, $wifiConfig->getSsid());
        $wifiPayload->setDisplayName($wifiConfig->getName());
        $wifiPayload->setSsid($wifiConfig->getSsid());
        $wifiPayload->setIsHidden($wifiConfig->isHidden());

        switch ($wifiConfig->getEncryptionType()) {
            case WifiConfig::ENCRYPTION_TYPE_NONE:
                $wifiPayload->setEncryptionType("None");
                break;
            case WifiConfig::ENCRYPTION_TYPE_WPAPSK:
                /* fall through */
            case WifiConfig::ENCRYPTION_TYPE_WPA2PSK:
                $wifiPayload->setEncryptionType("WPA");
                break;
        }
        $wifiPayload->setPassword($wifiConfig->getEncryptionKey());

        switch ($wifiConfig->getProxyType()) {
            case WifiConfig::PROXY_TYPE_NONE:
                $wifiPayload->setProxyType("None");
                break;
            case WifiConfig::PROXY_TYPE_MANUAL:
                $wifiPayload->setProxyType("Manual");
                $wifiPayload->setProxyHost($wifiConfig->getProxyHost());
                $wifiPayload->setProxyPort($wifiConfig->getProxyPort());
                break;
            case WifiConfig::PROXY_TYPE_AUTO:
                $wifiPayload->setProxyType("None");
        }

        return $wifiPayload;
    }
}
