<?php
namespace Topalis\Profile\Payload\Data;

use Topalis\Profile\Payload\AbstractPayload;
use Topalis\Profile\Annotation\Payload\Key;

/**
 *
 * @Key(name="AuthName", type="string")
 * @Key(name="AuthenticationMethod", type="string")
 * @Key(name="OnDemandEnabled", type="integer")
 * @Key(name="PayloadCertificateUUID", type="string")
 * @Key(name="RemoteAddress", type="string")
 *
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class OpenVpnConfig extends AbstractPayload
{
    const TYPE = null;
    protected static $defaultVersion = null;

    public function setAuthName($authName)
    {
        $this->setValue("AuthName", $authName, self::TYPE_STRING);
    }

    public function getAuthName()
    {
        return $this->getValue("AuthName");
    }

    public function setAuthenticationMethod($authenticationMethod)
    {
        $this->setValue("AuthenticationMethod", $authenticationMethod, self::TYPE_STRING);
    }

    public function getAuthenticationMethod()
    {
        return $this->getValue("AuthenticationMethod");
    }

    public function setOnDemandEnabled($onDemandEnabled)
    {
        $this->setValue("OnDemandEnabled", $onDemandEnabled, self::TYPE_INTEGER);
    }

    public function getOnDemandEnabled()
    {
        return $this->getValue("OnDemandEnabled");
    }

    public function setPayloadCertificateUUID($payloadCertificateUUID)
    {
        $this->setValue("PayloadCertificateUUID", $payloadCertificateUUID, self::TYPE_STRING);
    }

    public function getPayloadCertificateUUID()
    {
        return $this->getValue("PayloadCertificateUUID");
    }

    public function setRemoteAddress($remoteAddress)
    {
        $this->setValue("RemoteAddress", $remoteAddress, self::TYPE_STRING);
    }

    public function getRemoteAddress()
    {
        return $this->getValue("RemoteAddress");
    }

    public function getOnDemandRules()
    {
        return $this->getSubTypeArray("OnDemandRules", 'Topalis\Profile\Payload\Data\OnDemandRule');
    }

    public function setOnDemandRules(array $rules)
    {
        $this->setSubTypeArray("OnDemandRules", $rules);
    }
}
