<?php
namespace Topalis\Profile\Payload;

/**
 * This payload can be used for profiles that have no payload as profiles
 * without payload are not allowed. The payload type is "dummy". It is no
 * official payload type, so this payload will be shown as unknown payload on
 * the iOS device.
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
class DummyPayload extends AbstractPayload
{
    const TYPE = "dummy";

    /**
     *
     * @param string $identifier The payload identifier, default: "dummy"
     */
    public function __construct($identifier = null)
    {
        parent::__construct();
        if ($identifier === null) {
            $identifier = "dummy";
        }
        $this->setIdentifier($identifier);
    }
}
