<?php
namespace Topalis\Profile\Payload;

// @codingStandardsIgnoreStart
/**
 * Represents a Font payload.
 * This payload adds an additional font to the device.
 * @see https://developer.apple.com/library/ios/featuredarticles/iPhoneConfigurationProfileRef/iPhoneConfigurationProfileRef.pdf#//apple_ref/doc/uid/TP40010206-CH1-SW43
 * @since iOS 7.0
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
// @codingStandardsIgnoreEnd
class FontPayload extends AbstractPayload
{
    const TYPE = "com.apple.font";

    public function getName()
    {
        return $this->getValue("Name");
    }

    public function setName($name)
    {
        $this->setValue("Name", $name, self::TYPE_STRING);
    }

    public function getData()
    {
        return $this->getValue("Data");
    }

    public function setData($data)
    {
        $this->setValue("Data", $data, self::TYPE_DATA);
    }
}
