<?php
namespace Topalis\Profile\Payload;

use Topalis\Profile\Annotation\Payload\Key;

/**
 *
 * @Key(name="Password", type="string")
 * @Key(name="PayloadCertificateFileName", type="string")
 * @Key(name="PayloadContent", type="data")
 *
 * Not documented by apple, but exported by Apple Configurator...
 *
 * @author Florian Pfitzer <pfitzer@w3p.cc>
 */
class Pkcs12Payload extends AbstractPayload
{
    const TYPE = "com.apple.security.pkcs12";

    public function setPassword($password)
    {
        $this->setValue("Password", $password, self::TYPE_STRING);
    }

    public function getPassword()
    {
        return $this->getValue("Password");
    }

    public function setPayloadCertificateFileName($payloadCertificateFileName)
    {
        $this->setValue("PayloadCertificateFileName", $payloadCertificateFileName, self::TYPE_STRING);
    }

    public function getPayloadCertificateFileName()
    {
        return $this->getValue("PayloadCertificateFileName");
    }

    public function setPayloadContent($payloadContent)
    {
        $this->setValue("PayloadContent", $payloadContent, self::TYPE_DATA);
    }

    public function getPayloadContent()
    {
        return $this->getValue("PayloadContent");
    }
}
