<?php
namespace Topalis\Profile\Payload;

// @codingStandardsIgnoreStart
/**
 * This class represents a Profile Removal Password payload.
 * If it is part of a profile the device asks for the password if the user wants
 * to remove the profile.
 * @see https://developer.apple.com/library/ios/featuredarticles/iPhoneConfigurationProfileRef/iPhoneConfigurationProfileRef.pdf#//apple_ref/doc/uid/TP40010206-CH1-SW8
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
// @codingStandardsIgnoreEnd
class ProfileRemovalPasswordPayload extends AbstractPayload
{
    const TYPE = "com.apple.profileRemovalPassword";

    public function getRemovalPassword()
    {
        return $this->getValue("RemovalPassword");
    }

    public function setRemovalPassword($removalPassword)
    {
        $this->setValue("RemovalPassword", $removalPassword, self::TYPE_STRING);
    }
}
