<?php
namespace Topalis\Profile\Payload;

use CFPropertyList\CFString;

// @codingStandardsIgnoreStart
/**
 * This class represents a "Profile Service" payload for use in a "Profile
 * Service" profile.
 * @see https://developer.apple.com/library/ios/#documentation/NetworkingInternet/Conceptual/iPhoneOTAConfiguration/ConfigurationProfileExamples/ConfigurationProfileExamples.html#//apple_ref/doc/uid/TP40009505-CH4-SW4
 *
 * @author Dominic Tubach <dominic.tubach@topalis.com>
 */
// @codingStandardsIgnoreEnd
class ProfileServicePayload extends MinimalPayload
{
    public function getUrl()
    {
        return $this->getValue("URL");
    }

    public function setUrl($url)
    {
        $this->set("URL", new CFString($url));
    }

    public function getDeviceAttributes()
    {
        return $this->getValue("DeviceAttributes");
    }

    public function setDeviceAttributes(array $deviceAttributes)
    {
        $this->setValue("DeviceAttributes", $deviceAttributes, self::TYPE_ARRAY);
    }

    public function getChallenge()
    {
        return $this->getValue("Challenge");
    }

    public function setChallenge($challenge)
    {
        $this->set("Challenge", new CFString($challenge));
    }
}
